
/* Copyright © 2015-2021 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
 * IN THE SOFTWARE.
 */

/* This file generated from vk_entrypoints_gen.py, don't edit directly. */

#include "radv_entrypoints.h"

/* Weak aliases for all potential implementations. These will resolve to
 * NULL if they're not defined, which lets the resolve_entrypoint() function
 * either pick the correct entry point.
 *
 * MSVC uses different decorated names for 32-bit versus 64-bit. Declare
 * all argument sizes for 32-bit because computing the actual size would be
 * difficult.
 */




#ifdef _MSC_VER
    VkResult (*radv_CreateInstance_Null)(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@4=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@8=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@12=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@16=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@20=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@24=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@28=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@32=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@36=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@40=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@44=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@48=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@60=_radv_CreateInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateInstance@104=_radv_CreateInstance_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateInstance=radv_CreateInstance_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateInstance(const VkInstanceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkInstance* pInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyInstance_Null)(VkInstance instance, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@4=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@8=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@12=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@16=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@20=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@24=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@28=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@32=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@36=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@40=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@44=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@48=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@60=_radv_DestroyInstance_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyInstance@104=_radv_DestroyInstance_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyInstance=radv_DestroyInstance_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyInstance(VkInstance instance, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumeratePhysicalDevices_Null)(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@4=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@8=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@12=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@16=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@20=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@24=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@28=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@32=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@36=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@40=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@44=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@48=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@60=_radv_EnumeratePhysicalDevices_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDevices@104=_radv_EnumeratePhysicalDevices_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDevices=radv_EnumeratePhysicalDevices_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDevices(VkInstance instance, uint32_t* pPhysicalDeviceCount, VkPhysicalDevice* pPhysicalDevices) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*radv_GetInstanceProcAddr_Null)(VkInstance instance, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@4=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@8=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@12=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@16=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@20=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@24=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@28=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@32=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@36=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@40=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@44=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@48=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@60=_radv_GetInstanceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetInstanceProcAddr@104=_radv_GetInstanceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetInstanceProcAddr=radv_GetInstanceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL radv_GetInstanceProcAddr(VkInstance instance, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumerateInstanceVersion_Null)(uint32_t* pApiVersion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@4=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@8=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@12=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@16=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@20=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@24=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@28=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@32=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@36=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@40=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@44=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@48=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@60=_radv_EnumerateInstanceVersion_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceVersion@104=_radv_EnumerateInstanceVersion_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceVersion=radv_EnumerateInstanceVersion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateInstanceVersion(uint32_t* pApiVersion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumerateInstanceLayerProperties_Null)(uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@4=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@8=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@12=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@16=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@20=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@24=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@28=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@32=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@36=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@40=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@44=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@48=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@60=_radv_EnumerateInstanceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceLayerProperties@104=_radv_EnumerateInstanceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceLayerProperties=radv_EnumerateInstanceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateInstanceLayerProperties(uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumerateInstanceExtensionProperties_Null)(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@4=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@8=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@12=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@16=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@20=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@24=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@28=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@32=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@36=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@40=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@44=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@48=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@60=_radv_EnumerateInstanceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateInstanceExtensionProperties@104=_radv_EnumerateInstanceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumerateInstanceExtensionProperties=radv_EnumerateInstanceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateInstanceExtensionProperties(const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null)(VkRenderPass renderpass, VkExtent2D* pMaxWorkgroupSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@4=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@8=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@12=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@16=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@20=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@24=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@28=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@32=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@36=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@40=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@44=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@48=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@60=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI@104=_radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI=radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI(VkRenderPass renderpass, VkExtent2D* pMaxWorkgroupSize) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_CreateAndroidSurfaceKHR_Null)(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@4=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@8=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@12=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@16=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@20=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@24=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@28=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@32=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@36=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@40=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@44=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@48=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@60=_radv_CreateAndroidSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAndroidSurfaceKHR@104=_radv_CreateAndroidSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateAndroidSurfaceKHR=radv_CreateAndroidSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateAndroidSurfaceKHR(VkInstance instance, const VkAndroidSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_CreateDisplayPlaneSurfaceKHR_Null)(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@4=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@8=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@12=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@16=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@20=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@24=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@28=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@32=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@36=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@40=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@44=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@48=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@60=_radv_CreateDisplayPlaneSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayPlaneSurfaceKHR@104=_radv_CreateDisplayPlaneSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDisplayPlaneSurfaceKHR=radv_CreateDisplayPlaneSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDisplayPlaneSurfaceKHR(VkInstance instance, const VkDisplaySurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroySurfaceKHR_Null)(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@4=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@8=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@12=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@16=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@20=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@24=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@28=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@32=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@36=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@40=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@44=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@48=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@60=_radv_DestroySurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySurfaceKHR@104=_radv_DestroySurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroySurfaceKHR=radv_DestroySurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySurfaceKHR(VkInstance instance, VkSurfaceKHR surface, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_VI_NN
#ifdef _MSC_VER
    VkResult (*radv_CreateViSurfaceNN_Null)(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@4=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@8=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@12=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@16=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@20=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@24=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@28=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@32=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@36=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@40=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@44=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@48=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@60=_radv_CreateViSurfaceNN_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateViSurfaceNN@104=_radv_CreateViSurfaceNN_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateViSurfaceNN=radv_CreateViSurfaceNN_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateViSurfaceNN(VkInstance instance, const VkViSurfaceCreateInfoNN* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkResult (*radv_CreateWaylandSurfaceKHR_Null)(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@4=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@8=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@12=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@16=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@20=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@24=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@28=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@32=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@36=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@40=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@44=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@48=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@60=_radv_CreateWaylandSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWaylandSurfaceKHR@104=_radv_CreateWaylandSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateWaylandSurfaceKHR=radv_CreateWaylandSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateWaylandSurfaceKHR(VkInstance instance, const VkWaylandSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_CreateWin32SurfaceKHR_Null)(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@4=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@8=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@12=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@16=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@20=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@24=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@28=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@32=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@36=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@40=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@44=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@48=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@60=_radv_CreateWin32SurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateWin32SurfaceKHR@104=_radv_CreateWin32SurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateWin32SurfaceKHR=radv_CreateWin32SurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateWin32SurfaceKHR(VkInstance instance, const VkWin32SurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkResult (*radv_CreateXlibSurfaceKHR_Null)(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@4=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@8=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@12=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@16=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@20=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@24=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@28=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@32=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@36=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@40=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@44=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@48=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@60=_radv_CreateXlibSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXlibSurfaceKHR@104=_radv_CreateXlibSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateXlibSurfaceKHR=radv_CreateXlibSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateXlibSurfaceKHR(VkInstance instance, const VkXlibSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkResult (*radv_CreateXcbSurfaceKHR_Null)(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@4=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@8=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@12=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@16=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@20=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@24=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@28=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@32=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@36=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@40=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@44=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@48=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@60=_radv_CreateXcbSurfaceKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateXcbSurfaceKHR@104=_radv_CreateXcbSurfaceKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateXcbSurfaceKHR=radv_CreateXcbSurfaceKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateXcbSurfaceKHR(VkInstance instance, const VkXcbSurfaceCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkResult (*radv_CreateDirectFBSurfaceEXT_Null)(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@4=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@8=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@12=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@16=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@20=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@24=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@28=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@32=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@36=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@40=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@44=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@48=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@60=_radv_CreateDirectFBSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDirectFBSurfaceEXT@104=_radv_CreateDirectFBSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDirectFBSurfaceEXT=radv_CreateDirectFBSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDirectFBSurfaceEXT(VkInstance instance, const VkDirectFBSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*radv_CreateImagePipeSurfaceFUCHSIA_Null)(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@4=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@8=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@12=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@16=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@20=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@24=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@28=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@32=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@36=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@40=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@44=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@48=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@60=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImagePipeSurfaceFUCHSIA@104=_radv_CreateImagePipeSurfaceFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateImagePipeSurfaceFUCHSIA=radv_CreateImagePipeSurfaceFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateImagePipeSurfaceFUCHSIA(VkInstance instance, const VkImagePipeSurfaceCreateInfoFUCHSIA* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
#ifdef _MSC_VER
    VkResult (*radv_CreateStreamDescriptorSurfaceGGP_Null)(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@4=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@8=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@12=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@16=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@20=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@24=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@28=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@32=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@36=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@40=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@44=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@48=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@60=_radv_CreateStreamDescriptorSurfaceGGP_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateStreamDescriptorSurfaceGGP@104=_radv_CreateStreamDescriptorSurfaceGGP_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateStreamDescriptorSurfaceGGP=radv_CreateStreamDescriptorSurfaceGGP_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateStreamDescriptorSurfaceGGP(VkInstance instance, const VkStreamDescriptorSurfaceCreateInfoGGP* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_GGP
#ifdef VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*radv_CreateScreenSurfaceQNX_Null)(VkInstance instance, const VkScreenSurfaceCreateInfoQNX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@4=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@8=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@12=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@16=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@20=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@24=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@28=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@32=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@36=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@40=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@44=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@48=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@60=_radv_CreateScreenSurfaceQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateScreenSurfaceQNX@104=_radv_CreateScreenSurfaceQNX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateScreenSurfaceQNX=radv_CreateScreenSurfaceQNX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateScreenSurfaceQNX(VkInstance instance, const VkScreenSurfaceCreateInfoQNX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*radv_CreateDebugReportCallbackEXT_Null)(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@4=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@8=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@12=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@16=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@20=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@24=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@28=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@32=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@36=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@40=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@44=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@48=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@60=_radv_CreateDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugReportCallbackEXT@104=_radv_CreateDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDebugReportCallbackEXT=radv_CreateDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDebugReportCallbackEXT(VkInstance instance, const VkDebugReportCallbackCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugReportCallbackEXT* pCallback) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDebugReportCallbackEXT_Null)(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@4=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@8=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@12=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@16=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@20=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@24=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@28=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@32=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@36=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@40=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@44=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@48=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@60=_radv_DestroyDebugReportCallbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugReportCallbackEXT@104=_radv_DestroyDebugReportCallbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDebugReportCallbackEXT=radv_DestroyDebugReportCallbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDebugReportCallbackEXT(VkInstance instance, VkDebugReportCallbackEXT callback, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DebugReportMessageEXT_Null)(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@4=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@8=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@12=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@16=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@20=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@24=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@28=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@32=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@36=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@40=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@44=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@48=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@60=_radv_DebugReportMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugReportMessageEXT@104=_radv_DebugReportMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DebugReportMessageEXT=radv_DebugReportMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DebugReportMessageEXT(VkInstance instance, VkDebugReportFlagsEXT flags, VkDebugReportObjectTypeEXT objectType, uint64_t object, size_t location, int32_t messageCode, const char* pLayerPrefix, const char* pMessage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumeratePhysicalDeviceGroups_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@4=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@8=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@12=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@16=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@20=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@24=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@28=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@32=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@36=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@40=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@44=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@48=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@60=_radv_EnumeratePhysicalDeviceGroups_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroups@104=_radv_EnumeratePhysicalDeviceGroups_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceGroups=radv_EnumeratePhysicalDeviceGroups_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDeviceGroups(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumeratePhysicalDeviceGroupsKHR_Null)(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@4=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@8=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@12=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@16=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@20=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@24=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@28=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@32=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@36=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@40=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@44=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@48=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@60=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceGroupsKHR@104=_radv_EnumeratePhysicalDeviceGroupsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceGroupsKHR=radv_EnumeratePhysicalDeviceGroupsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDeviceGroupsKHR(VkInstance instance, uint32_t* pPhysicalDeviceGroupCount, VkPhysicalDeviceGroupProperties* pPhysicalDeviceGroupProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_IOS_MVK
#ifdef _MSC_VER
    VkResult (*radv_CreateIOSSurfaceMVK_Null)(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@4=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@8=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@12=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@16=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@20=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@24=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@28=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@32=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@36=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@40=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@44=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@48=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@60=_radv_CreateIOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIOSSurfaceMVK@104=_radv_CreateIOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateIOSSurfaceMVK=radv_CreateIOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateIOSSurfaceMVK(VkInstance instance, const VkIOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
#ifdef _MSC_VER
    VkResult (*radv_CreateMacOSSurfaceMVK_Null)(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@4=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@8=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@12=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@16=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@20=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@24=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@28=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@32=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@36=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@40=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@44=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@48=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@60=_radv_CreateMacOSSurfaceMVK_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMacOSSurfaceMVK@104=_radv_CreateMacOSSurfaceMVK_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateMacOSSurfaceMVK=radv_CreateMacOSSurfaceMVK_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateMacOSSurfaceMVK(VkInstance instance, const VkMacOSSurfaceCreateInfoMVK* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*radv_CreateMetalSurfaceEXT_Null)(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@4=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@8=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@12=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@16=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@20=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@24=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@28=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@32=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@36=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@40=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@44=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@48=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@60=_radv_CreateMetalSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateMetalSurfaceEXT@104=_radv_CreateMetalSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateMetalSurfaceEXT=radv_CreateMetalSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateMetalSurfaceEXT(VkInstance instance, const VkMetalSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_METAL_EXT
#ifdef _MSC_VER
    VkResult (*radv_CreateDebugUtilsMessengerEXT_Null)(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@4=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@8=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@12=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@16=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@20=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@24=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@28=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@32=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@36=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@40=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@44=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@48=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@60=_radv_CreateDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDebugUtilsMessengerEXT@104=_radv_CreateDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDebugUtilsMessengerEXT=radv_CreateDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDebugUtilsMessengerEXT(VkInstance instance, const VkDebugUtilsMessengerCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDebugUtilsMessengerEXT* pMessenger) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDebugUtilsMessengerEXT_Null)(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@4=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@8=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@12=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@16=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@20=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@24=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@28=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@32=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@36=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@40=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@44=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@48=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@60=_radv_DestroyDebugUtilsMessengerEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDebugUtilsMessengerEXT@104=_radv_DestroyDebugUtilsMessengerEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDebugUtilsMessengerEXT=radv_DestroyDebugUtilsMessengerEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDebugUtilsMessengerEXT(VkInstance instance, VkDebugUtilsMessengerEXT messenger, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_SubmitDebugUtilsMessageEXT_Null)(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@4=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@8=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@12=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@16=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@20=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@24=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@28=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@32=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@36=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@40=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@44=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@48=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@60=_radv_SubmitDebugUtilsMessageEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SubmitDebugUtilsMessageEXT@104=_radv_SubmitDebugUtilsMessageEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SubmitDebugUtilsMessageEXT=radv_SubmitDebugUtilsMessageEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_SubmitDebugUtilsMessageEXT(VkInstance instance, VkDebugUtilsMessageSeverityFlagBitsEXT messageSeverity, VkDebugUtilsMessageTypeFlagsEXT messageTypes, const VkDebugUtilsMessengerCallbackDataEXT* pCallbackData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateHeadlessSurfaceEXT_Null)(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@4=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@8=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@12=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@16=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@20=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@24=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@28=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@32=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@36=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@40=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@44=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@48=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@60=_radv_CreateHeadlessSurfaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateHeadlessSurfaceEXT@104=_radv_CreateHeadlessSurfaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateHeadlessSurfaceEXT=radv_CreateHeadlessSurfaceEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateHeadlessSurfaceEXT(VkInstance instance, const VkHeadlessSurfaceCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSurfaceKHR* pSurface) __attribute__ ((weak));
#endif

const struct vk_instance_entrypoint_table radv_instance_entrypoints = {
    .CreateInstance = radv_CreateInstance,
    .DestroyInstance = radv_DestroyInstance,
    .EnumeratePhysicalDevices = radv_EnumeratePhysicalDevices,
    .GetInstanceProcAddr = radv_GetInstanceProcAddr,
    .EnumerateInstanceVersion = radv_EnumerateInstanceVersion,
    .EnumerateInstanceLayerProperties = radv_EnumerateInstanceLayerProperties,
    .EnumerateInstanceExtensionProperties = radv_EnumerateInstanceExtensionProperties,
    .GetSubpassShadingMaxWorkgroupSizeHUAWEI = radv_GetSubpassShadingMaxWorkgroupSizeHUAWEI,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .CreateAndroidSurfaceKHR = radv_CreateAndroidSurfaceKHR,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CreateDisplayPlaneSurfaceKHR = radv_CreateDisplayPlaneSurfaceKHR,
    .DestroySurfaceKHR = radv_DestroySurfaceKHR,
#ifdef VK_USE_PLATFORM_VI_NN
    .CreateViSurfaceNN = radv_CreateViSurfaceNN,
#endif // VK_USE_PLATFORM_VI_NN
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .CreateWaylandSurfaceKHR = radv_CreateWaylandSurfaceKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .CreateWin32SurfaceKHR = radv_CreateWin32SurfaceKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .CreateXlibSurfaceKHR = radv_CreateXlibSurfaceKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .CreateXcbSurfaceKHR = radv_CreateXcbSurfaceKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .CreateDirectFBSurfaceEXT = radv_CreateDirectFBSurfaceEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_FUCHSIA
    .CreateImagePipeSurfaceFUCHSIA = radv_CreateImagePipeSurfaceFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_GGP
    .CreateStreamDescriptorSurfaceGGP = radv_CreateStreamDescriptorSurfaceGGP,
#endif // VK_USE_PLATFORM_GGP
#ifdef VK_USE_PLATFORM_SCREEN_QNX
    .CreateScreenSurfaceQNX = radv_CreateScreenSurfaceQNX,
#endif // VK_USE_PLATFORM_SCREEN_QNX
    .CreateDebugReportCallbackEXT = radv_CreateDebugReportCallbackEXT,
    .DestroyDebugReportCallbackEXT = radv_DestroyDebugReportCallbackEXT,
    .DebugReportMessageEXT = radv_DebugReportMessageEXT,
    .EnumeratePhysicalDeviceGroups = radv_EnumeratePhysicalDeviceGroups,
    .EnumeratePhysicalDeviceGroupsKHR = radv_EnumeratePhysicalDeviceGroupsKHR,
#ifdef VK_USE_PLATFORM_IOS_MVK
    .CreateIOSSurfaceMVK = radv_CreateIOSSurfaceMVK,
#endif // VK_USE_PLATFORM_IOS_MVK
#ifdef VK_USE_PLATFORM_MACOS_MVK
    .CreateMacOSSurfaceMVK = radv_CreateMacOSSurfaceMVK,
#endif // VK_USE_PLATFORM_MACOS_MVK
#ifdef VK_USE_PLATFORM_METAL_EXT
    .CreateMetalSurfaceEXT = radv_CreateMetalSurfaceEXT,
#endif // VK_USE_PLATFORM_METAL_EXT
    .CreateDebugUtilsMessengerEXT = radv_CreateDebugUtilsMessengerEXT,
    .DestroyDebugUtilsMessengerEXT = radv_DestroyDebugUtilsMessengerEXT,
    .SubmitDebugUtilsMessageEXT = radv_SubmitDebugUtilsMessageEXT,
    .CreateHeadlessSurfaceEXT = radv_CreateHeadlessSurfaceEXT,
};


#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@4=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@8=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@12=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@16=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@20=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@24=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@28=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@32=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@36=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@40=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@44=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@48=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@60=_radv_GetPhysicalDeviceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties@104=_radv_GetPhysicalDeviceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties=radv_GetPhysicalDeviceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceQueueFamilyProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@4=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@8=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@12=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@16=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@20=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@24=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@28=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@32=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@36=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@40=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@44=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@48=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@60=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties@104=_radv_GetPhysicalDeviceQueueFamilyProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties=radv_GetPhysicalDeviceQueueFamilyProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyProperties(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceMemoryProperties_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@4=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@8=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@12=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@16=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@20=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@24=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@28=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@32=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@36=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@40=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@44=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@48=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@60=_radv_GetPhysicalDeviceMemoryProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties@104=_radv_GetPhysicalDeviceMemoryProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties=radv_GetPhysicalDeviceMemoryProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMemoryProperties(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceFeatures_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@4=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@8=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@12=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@16=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@20=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@24=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@28=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@32=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@36=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@40=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@44=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@48=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@60=_radv_GetPhysicalDeviceFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures@104=_radv_GetPhysicalDeviceFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures=radv_GetPhysicalDeviceFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFeatures(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@4=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@8=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@12=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@16=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@20=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@24=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@28=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@32=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@36=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@40=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@44=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@48=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@60=_radv_GetPhysicalDeviceFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties@104=_radv_GetPhysicalDeviceFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties=radv_GetPhysicalDeviceFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@4=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@8=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@12=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@16=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@20=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@24=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@28=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@32=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@36=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@40=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@44=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@48=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@60=_radv_GetPhysicalDeviceImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties@104=_radv_GetPhysicalDeviceImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties=radv_GetPhysicalDeviceImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkImageFormatProperties* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDevice_Null)(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@4=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@8=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@12=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@16=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@20=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@24=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@28=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@32=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@36=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@40=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@44=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@48=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@60=_radv_CreateDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDevice@104=_radv_CreateDevice_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDevice=radv_CreateDevice_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDevice(VkPhysicalDevice physicalDevice, const VkDeviceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDevice* pDevice) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumerateDeviceLayerProperties_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@4=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@8=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@12=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@16=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@20=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@24=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@28=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@32=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@36=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@40=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@44=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@48=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@60=_radv_EnumerateDeviceLayerProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceLayerProperties@104=_radv_EnumerateDeviceLayerProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumerateDeviceLayerProperties=radv_EnumerateDeviceLayerProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateDeviceLayerProperties(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkLayerProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EnumerateDeviceExtensionProperties_Null)(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@4=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@8=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@12=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@16=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@20=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@24=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@28=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@32=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@36=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@40=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@44=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@48=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@60=_radv_EnumerateDeviceExtensionProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumerateDeviceExtensionProperties@104=_radv_EnumerateDeviceExtensionProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumerateDeviceExtensionProperties=radv_EnumerateDeviceExtensionProperties_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumerateDeviceExtensionProperties(VkPhysicalDevice physicalDevice, const char* pLayerName, uint32_t* pPropertyCount, VkExtensionProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceSparseImageFormatProperties_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@4=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@8=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@12=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@16=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@20=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@24=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@28=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@32=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@36=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@40=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@44=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@48=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@60=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties@104=_radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties=radv_GetPhysicalDeviceSparseImageFormatProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceSparseImageFormatProperties(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkSampleCountFlagBits samples, VkImageUsageFlags usage, VkImageTiling tiling, uint32_t* pPropertyCount, VkSparseImageFormatProperties* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceDisplayPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@4=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@8=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@12=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@16=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@20=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@24=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@28=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@32=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@36=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@40=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@44=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@48=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@60=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPropertiesKHR@104=_radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPropertiesKHR=radv_GetPhysicalDeviceDisplayPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayPropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@4=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@8=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@12=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@16=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@20=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@24=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@28=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@32=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@36=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@40=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@44=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@48=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@60=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR@104=_radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPlanePropertiesKHR=radv_GetPhysicalDeviceDisplayPlanePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayPlanePropertiesKHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlanePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDisplayPlaneSupportedDisplaysKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@4=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@8=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@12=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@16=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@20=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@24=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@28=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@32=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@36=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@40=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@44=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@48=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@60=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneSupportedDisplaysKHR@104=_radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneSupportedDisplaysKHR=radv_GetDisplayPlaneSupportedDisplaysKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayPlaneSupportedDisplaysKHR(VkPhysicalDevice physicalDevice, uint32_t planeIndex, uint32_t* pDisplayCount, VkDisplayKHR* pDisplays) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDisplayModePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@4=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@8=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@12=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@16=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@20=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@24=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@28=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@32=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@36=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@40=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@44=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@48=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@60=_radv_GetDisplayModePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModePropertiesKHR@104=_radv_GetDisplayModePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDisplayModePropertiesKHR=radv_GetDisplayModePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayModePropertiesKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDisplayModeKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@4=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@8=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@12=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@16=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@20=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@24=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@28=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@32=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@36=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@40=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@44=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@48=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@60=_radv_CreateDisplayModeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDisplayModeKHR@104=_radv_CreateDisplayModeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDisplayModeKHR=radv_CreateDisplayModeKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDisplayModeKHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, const VkDisplayModeCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDisplayModeKHR* pMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDisplayPlaneCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@4=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@8=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@12=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@16=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@20=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@24=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@28=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@32=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@36=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@40=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@44=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@48=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@60=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilitiesKHR@104=_radv_GetDisplayPlaneCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneCapabilitiesKHR=radv_GetDisplayPlaneCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayPlaneCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkDisplayModeKHR mode, uint32_t planeIndex, VkDisplayPlaneCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfaceSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@4=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@8=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@12=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@16=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@20=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@24=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@28=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@32=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@36=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@40=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@44=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@48=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@60=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceSupportKHR@104=_radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceSupportKHR=radv_GetPhysicalDeviceSurfaceSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, VkSurfaceKHR surface, VkBool32* pSupported) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@4=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@8=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@12=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@16=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@20=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@24=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@28=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@32=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@36=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@40=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@44=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@48=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@60=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR@104=_radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilitiesKHR=radv_GetPhysicalDeviceSurfaceCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceCapabilitiesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilitiesKHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfaceFormatsKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@4=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@8=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@12=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@16=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@20=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@24=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@28=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@32=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@36=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@40=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@44=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@48=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@60=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormatsKHR@104=_radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceFormatsKHR=radv_GetPhysicalDeviceSurfaceFormatsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceFormatsKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pSurfaceFormatCount, VkSurfaceFormatKHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfacePresentModesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@4=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@8=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@12=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@16=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@20=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@24=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@28=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@32=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@36=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@40=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@44=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@48=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@60=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModesKHR@104=_radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfacePresentModesKHR=radv_GetPhysicalDeviceSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfacePresentModesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
#ifdef _MSC_VER
    VkBool32 (*radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@4=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@8=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@12=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@16=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@20=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@24=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@28=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@32=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@36=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@40=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@44=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@48=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@60=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWaylandPresentationSupportKHR@104=_radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceWaylandPresentationSupportKHR=radv_GetPhysicalDeviceWaylandPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceWaylandPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct wl_display* display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkBool32 (*radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@4=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@8=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@12=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@16=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@20=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@24=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@28=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@32=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@36=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@40=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@44=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@48=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@60=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceWin32PresentationSupportKHR@104=_radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceWin32PresentationSupportKHR=radv_GetPhysicalDeviceWin32PresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceWin32PresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
#ifdef _MSC_VER
    VkBool32 (*radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@4=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@8=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@12=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@16=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@20=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@24=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@28=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@32=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@36=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@40=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@44=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@48=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@60=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXlibPresentationSupportKHR@104=_radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceXlibPresentationSupportKHR=radv_GetPhysicalDeviceXlibPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceXlibPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, Display* dpy, VisualID visualID) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
#ifdef _MSC_VER
    VkBool32 (*radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@4=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@8=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@12=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@16=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@20=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@24=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@28=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@32=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@36=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@40=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@44=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@48=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@60=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceXcbPresentationSupportKHR@104=_radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceXcbPresentationSupportKHR=radv_GetPhysicalDeviceXcbPresentationSupportKHR_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceXcbPresentationSupportKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, xcb_connection_t* connection, xcb_visualid_t visual_id) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef _MSC_VER
    VkBool32 (*radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@4=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@8=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@12=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@16=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@20=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@24=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@28=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@32=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@36=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@40=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@44=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@48=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@60=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT@104=_radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDirectFBPresentationSupportEXT=radv_GetPhysicalDeviceDirectFBPresentationSupportEXT_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceDirectFBPresentationSupportEXT(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, IDirectFB* dfb) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkBool32 (*radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct _screen_window* window) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@4=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@8=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@12=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@16=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@20=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@24=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@28=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@32=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@36=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@40=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@44=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@48=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@60=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceScreenPresentationSupportQNX@104=_radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceScreenPresentationSupportQNX=radv_GetPhysicalDeviceScreenPresentationSupportQNX_Null")
#endif
#else
    VKAPI_ATTR VkBool32 VKAPI_CALL radv_GetPhysicalDeviceScreenPresentationSupportQNX(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, struct _screen_window* window) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_SCREEN_QNX
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@4=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@8=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@12=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@16=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@20=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@24=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@28=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@32=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@36=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@40=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@44=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@48=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@60=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV@104=_radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalImageFormatPropertiesNV=radv_GetPhysicalDeviceExternalImageFormatPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceExternalImageFormatPropertiesNV(VkPhysicalDevice physicalDevice, VkFormat format, VkImageType type, VkImageTiling tiling, VkImageUsageFlags usage, VkImageCreateFlags flags, VkExternalMemoryHandleTypeFlagsNV externalHandleType, VkExternalImageFormatPropertiesNV* pExternalImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceFeatures2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@4=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@8=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@12=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@16=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@20=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@24=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@28=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@32=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@36=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@40=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@44=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@48=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@60=_radv_GetPhysicalDeviceFeatures2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2@104=_radv_GetPhysicalDeviceFeatures2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures2=radv_GetPhysicalDeviceFeatures2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFeatures2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceFeatures2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@4=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@8=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@12=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@16=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@20=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@24=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@28=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@32=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@36=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@40=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@44=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@48=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@60=_radv_GetPhysicalDeviceFeatures2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFeatures2KHR@104=_radv_GetPhysicalDeviceFeatures2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFeatures2KHR=radv_GetPhysicalDeviceFeatures2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFeatures2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceFeatures2* pFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@4=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@8=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@12=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@16=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@20=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@24=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@28=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@32=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@36=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@40=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@44=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@48=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@60=_radv_GetPhysicalDeviceProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2@104=_radv_GetPhysicalDeviceProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties2=radv_GetPhysicalDeviceProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@4=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@8=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@12=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@16=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@20=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@24=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@28=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@32=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@36=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@40=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@44=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@48=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@60=_radv_GetPhysicalDeviceProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceProperties2KHR@104=_radv_GetPhysicalDeviceProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceProperties2KHR=radv_GetPhysicalDeviceProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceFormatProperties2_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@4=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@8=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@12=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@16=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@20=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@24=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@28=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@32=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@36=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@40=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@44=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@48=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@60=_radv_GetPhysicalDeviceFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2@104=_radv_GetPhysicalDeviceFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties2=radv_GetPhysicalDeviceFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFormatProperties2(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@4=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@8=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@12=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@16=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@20=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@24=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@28=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@32=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@36=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@40=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@44=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@48=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@60=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFormatProperties2KHR@104=_radv_GetPhysicalDeviceFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFormatProperties2KHR=radv_GetPhysicalDeviceFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceFormatProperties2KHR(VkPhysicalDevice physicalDevice, VkFormat format, VkFormatProperties2* pFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@4=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@8=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@12=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@16=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@20=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@24=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@28=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@32=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@36=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@40=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@44=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@48=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@60=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2@104=_radv_GetPhysicalDeviceImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties2=radv_GetPhysicalDeviceImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@4=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@8=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@12=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@16=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@20=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@24=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@28=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@32=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@36=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@40=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@44=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@48=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@60=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceImageFormatProperties2KHR@104=_radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceImageFormatProperties2KHR=radv_GetPhysicalDeviceImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceImageFormatInfo2* pImageFormatInfo, VkImageFormatProperties2* pImageFormatProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceQueueFamilyProperties2_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@4=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@8=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@12=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@16=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@20=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@24=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@28=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@32=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@36=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@40=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@44=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@48=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@60=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2@104=_radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties2=radv_GetPhysicalDeviceQueueFamilyProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyProperties2(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@4=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@8=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@12=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@16=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@20=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@24=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@28=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@32=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@36=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@40=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@44=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@48=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@60=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyProperties2KHR@104=_radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyProperties2KHR=radv_GetPhysicalDeviceQueueFamilyProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pQueueFamilyPropertyCount, VkQueueFamilyProperties2* pQueueFamilyProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceMemoryProperties2_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@4=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@8=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@12=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@16=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@20=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@24=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@28=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@32=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@36=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@40=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@44=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@48=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@60=_radv_GetPhysicalDeviceMemoryProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2@104=_radv_GetPhysicalDeviceMemoryProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties2=radv_GetPhysicalDeviceMemoryProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMemoryProperties2(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceMemoryProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@4=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@8=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@12=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@16=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@20=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@24=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@28=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@32=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@36=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@40=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@44=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@48=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@60=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMemoryProperties2KHR@104=_radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMemoryProperties2KHR=radv_GetPhysicalDeviceMemoryProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMemoryProperties2KHR(VkPhysicalDevice physicalDevice, VkPhysicalDeviceMemoryProperties2* pMemoryProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceSparseImageFormatProperties2_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@4=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@8=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@12=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@16=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@20=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@24=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@28=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@32=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@36=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@40=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@44=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@48=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@60=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2@104=_radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties2=radv_GetPhysicalDeviceSparseImageFormatProperties2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceSparseImageFormatProperties2(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@4=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@8=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@12=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@16=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@20=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@24=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@28=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@32=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@36=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@40=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@44=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@48=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@60=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR@104=_radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSparseImageFormatProperties2KHR=radv_GetPhysicalDeviceSparseImageFormatProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceSparseImageFormatProperties2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSparseImageFormatInfo2* pFormatInfo, uint32_t* pPropertyCount, VkSparseImageFormatProperties2* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceExternalBufferProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@4=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@8=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@12=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@16=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@20=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@24=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@28=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@32=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@36=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@40=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@44=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@48=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@60=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferProperties@104=_radv_GetPhysicalDeviceExternalBufferProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalBufferProperties=radv_GetPhysicalDeviceExternalBufferProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalBufferProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@4=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@8=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@12=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@16=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@20=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@24=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@28=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@32=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@36=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@40=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@44=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@48=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@60=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalBufferPropertiesKHR@104=_radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalBufferPropertiesKHR=radv_GetPhysicalDeviceExternalBufferPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalBufferPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalBufferInfo* pExternalBufferInfo, VkExternalBufferProperties* pExternalBufferProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceExternalSemaphoreProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@4=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@8=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@12=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@16=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@20=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@24=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@28=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@32=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@36=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@40=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@44=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@48=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@60=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphoreProperties@104=_radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalSemaphoreProperties=radv_GetPhysicalDeviceExternalSemaphoreProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalSemaphoreProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@4=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@8=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@12=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@16=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@20=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@24=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@28=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@32=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@36=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@40=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@44=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@48=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@60=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR@104=_radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR=radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalSemaphoreInfo* pExternalSemaphoreInfo, VkExternalSemaphoreProperties* pExternalSemaphoreProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceExternalFenceProperties_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@4=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@8=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@12=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@16=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@20=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@24=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@28=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@32=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@36=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@40=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@44=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@48=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@60=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFenceProperties@104=_radv_GetPhysicalDeviceExternalFenceProperties_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalFenceProperties=radv_GetPhysicalDeviceExternalFenceProperties_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalFenceProperties(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@4=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@8=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@12=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@16=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@20=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@24=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@28=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@32=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@36=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@40=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@44=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@48=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@60=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceExternalFencePropertiesKHR@104=_radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceExternalFencePropertiesKHR=radv_GetPhysicalDeviceExternalFencePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceExternalFencePropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceExternalFenceInfo* pExternalFenceInfo, VkExternalFenceProperties* pExternalFenceProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ReleaseDisplayEXT_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@4=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@8=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@12=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@16=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@20=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@24=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@28=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@32=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@36=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@40=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@44=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@48=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@60=_radv_ReleaseDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseDisplayEXT@104=_radv_ReleaseDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ReleaseDisplayEXT=radv_ReleaseDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ReleaseDisplayEXT(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*radv_AcquireXlibDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@4=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@8=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@12=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@16=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@20=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@24=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@28=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@32=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@36=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@40=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@44=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@48=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@60=_radv_AcquireXlibDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireXlibDisplayEXT@104=_radv_AcquireXlibDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireXlibDisplayEXT=radv_AcquireXlibDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireXlibDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef _MSC_VER
    VkResult (*radv_GetRandROutputDisplayEXT_Null)(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@4=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@8=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@12=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@16=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@20=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@24=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@28=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@32=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@36=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@40=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@44=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@48=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@60=_radv_GetRandROutputDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRandROutputDisplayEXT@104=_radv_GetRandROutputDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRandROutputDisplayEXT=radv_GetRandROutputDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRandROutputDisplayEXT(VkPhysicalDevice physicalDevice, Display* dpy, RROutput rrOutput, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_AcquireWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@4=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@8=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@12=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@16=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@20=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@24=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@28=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@32=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@36=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@40=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@44=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@48=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@60=_radv_AcquireWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireWinrtDisplayNV@104=_radv_AcquireWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireWinrtDisplayNV=radv_AcquireWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireWinrtDisplayNV(VkPhysicalDevice physicalDevice, VkDisplayKHR display) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetWinrtDisplayNV_Null)(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@4=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@8=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@12=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@16=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@20=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@24=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@28=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@32=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@36=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@40=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@44=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@48=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@60=_radv_GetWinrtDisplayNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetWinrtDisplayNV@104=_radv_GetWinrtDisplayNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetWinrtDisplayNV=radv_GetWinrtDisplayNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetWinrtDisplayNV(VkPhysicalDevice physicalDevice, uint32_t deviceRelativeId, VkDisplayKHR* pDisplay) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@4=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@8=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@12=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@16=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@20=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@24=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@28=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@32=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@36=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@40=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@44=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@48=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@60=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2EXT@104=_radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilities2EXT=radv_GetPhysicalDeviceSurfaceCapabilities2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceCapabilities2EXT(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, VkSurfaceCapabilities2EXT* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDevicePresentRectanglesKHR_Null)(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@4=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@8=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@12=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@16=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@20=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@24=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@28=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@32=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@36=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@40=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@44=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@48=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@60=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDevicePresentRectanglesKHR@104=_radv_GetPhysicalDevicePresentRectanglesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDevicePresentRectanglesKHR=radv_GetPhysicalDevicePresentRectanglesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDevicePresentRectanglesKHR(VkPhysicalDevice physicalDevice, VkSurfaceKHR surface, uint32_t* pRectCount, VkRect2D* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null)(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@4=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@8=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@12=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@16=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@20=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@24=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@28=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@32=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@36=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@40=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@44=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@48=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@60=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceMultisamplePropertiesEXT@104=_radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceMultisamplePropertiesEXT=radv_GetPhysicalDeviceMultisamplePropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceMultisamplePropertiesEXT(VkPhysicalDevice physicalDevice, VkSampleCountFlagBits samples, VkMultisamplePropertiesEXT* pMultisampleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@4=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@8=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@12=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@16=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@20=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@24=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@28=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@32=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@36=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@40=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@44=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@48=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@60=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceCapabilities2KHR@104=_radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceCapabilities2KHR=radv_GetPhysicalDeviceSurfaceCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkSurfaceCapabilities2KHR* pSurfaceCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfaceFormats2KHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@4=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@8=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@12=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@16=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@20=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@24=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@28=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@32=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@36=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@40=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@44=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@48=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@60=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfaceFormats2KHR@104=_radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfaceFormats2KHR=radv_GetPhysicalDeviceSurfaceFormats2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfaceFormats2KHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pSurfaceFormatCount, VkSurfaceFormat2KHR* pSurfaceFormats) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceDisplayProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@4=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@8=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@12=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@16=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@20=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@24=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@28=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@32=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@36=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@40=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@44=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@48=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@60=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayProperties2KHR@104=_radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayProperties2KHR=radv_GetPhysicalDeviceDisplayProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@4=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@8=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@12=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@16=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@20=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@24=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@28=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@32=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@36=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@40=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@44=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@48=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@60=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR@104=_radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceDisplayPlaneProperties2KHR=radv_GetPhysicalDeviceDisplayPlaneProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceDisplayPlaneProperties2KHR(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkDisplayPlaneProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDisplayModeProperties2KHR_Null)(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@4=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@8=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@12=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@16=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@20=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@24=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@28=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@32=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@36=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@40=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@44=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@48=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@60=_radv_GetDisplayModeProperties2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayModeProperties2KHR@104=_radv_GetDisplayModeProperties2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDisplayModeProperties2KHR=radv_GetDisplayModeProperties2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayModeProperties2KHR(VkPhysicalDevice physicalDevice, VkDisplayKHR display, uint32_t* pPropertyCount, VkDisplayModeProperties2KHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDisplayPlaneCapabilities2KHR_Null)(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@4=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@8=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@12=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@16=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@20=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@24=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@28=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@32=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@36=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@40=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@44=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@48=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@60=_radv_GetDisplayPlaneCapabilities2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDisplayPlaneCapabilities2KHR@104=_radv_GetDisplayPlaneCapabilities2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDisplayPlaneCapabilities2KHR=radv_GetDisplayPlaneCapabilities2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDisplayPlaneCapabilities2KHR(VkPhysicalDevice physicalDevice, const VkDisplayPlaneInfo2KHR* pDisplayPlaneInfo, VkDisplayPlaneCapabilities2KHR* pCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@4=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@8=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@12=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@16=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@20=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@24=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@28=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@32=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@36=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@40=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@44=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@48=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@60=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT@104=_radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT=radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT(VkPhysicalDevice physicalDevice, uint32_t* pTimeDomainCount, VkTimeDomainEXT* pTimeDomains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@4=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@8=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@12=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@16=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@20=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@24=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@28=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@32=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@36=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@40=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@44=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@48=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@60=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV@104=_radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV=radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV(VkPhysicalDevice physicalDevice, uint32_t* pPropertyCount, VkCooperativeMatrixPropertiesNV* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@4=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@8=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@12=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@16=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@20=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@24=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@28=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@32=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@36=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@40=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@44=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@48=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@60=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSurfacePresentModes2EXT@104=_radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSurfacePresentModes2EXT=radv_GetPhysicalDeviceSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSurfacePresentModes2EXT(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, uint32_t* pPresentModeCount, VkPresentModeKHR* pPresentModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@4=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@8=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@12=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@16=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@20=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@24=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@28=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@32=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@36=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@40=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@44=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@48=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@60=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR@104=_radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR=radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR(VkPhysicalDevice physicalDevice, uint32_t queueFamilyIndex, uint32_t* pCounterCount, VkPerformanceCounterKHR* pCounters, VkPerformanceCounterDescriptionKHR* pCounterDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null)(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@4=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@8=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@12=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@16=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@20=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@24=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@28=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@32=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@36=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@40=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@44=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@48=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@60=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR@104=_radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR=radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR(VkPhysicalDevice physicalDevice, const VkQueryPoolPerformanceCreateInfoKHR* pPerformanceQueryCreateInfo, uint32_t* pNumPasses) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null)(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@4=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@8=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@12=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@16=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@20=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@24=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@28=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@32=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@36=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@40=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@44=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@48=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@60=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV@104=_radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV=radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV(VkPhysicalDevice physicalDevice, uint32_t* pCombinationCount, VkFramebufferMixedSamplesCombinationNV* pCombinations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceToolPropertiesEXT_Null)(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@4=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@8=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@12=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@16=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@20=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@24=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@28=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@32=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@36=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@40=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@44=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@48=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@60=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceToolPropertiesEXT@104=_radv_GetPhysicalDeviceToolPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceToolPropertiesEXT=radv_GetPhysicalDeviceToolPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceToolPropertiesEXT(VkPhysicalDevice physicalDevice, uint32_t* pToolCount, VkPhysicalDeviceToolPropertiesEXT* pToolProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null)(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@4=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@8=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@12=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@16=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@20=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@24=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@28=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@32=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@36=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@40=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@44=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@48=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@60=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceFragmentShadingRatesKHR@104=_radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceFragmentShadingRatesKHR=radv_GetPhysicalDeviceFragmentShadingRatesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceFragmentShadingRatesKHR(VkPhysicalDevice physicalDevice, uint32_t* pFragmentShadingRateCount, VkPhysicalDeviceFragmentShadingRateKHR* pFragmentShadingRates) __attribute__ ((weak));
#endif
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkVideoProfileKHR* pVideoProfile, VkVideoCapabilitiesKHR* pCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@4=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@8=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@12=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@16=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@20=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@24=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@28=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@32=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@36=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@40=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@44=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@48=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@60=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoCapabilitiesKHR@104=_radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceVideoCapabilitiesKHR=radv_GetPhysicalDeviceVideoCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceVideoCapabilitiesKHR(VkPhysicalDevice physicalDevice, const VkVideoProfileKHR* pVideoProfile, VkVideoCapabilitiesKHR* pCapabilities) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null)(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceVideoFormatInfoKHR* pVideoFormatInfo, uint32_t* pVideoFormatPropertyCount, VkVideoFormatPropertiesKHR* pVideoFormatProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@4=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@8=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@12=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@16=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@20=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@24=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@28=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@32=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@36=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@40=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@44=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@48=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@60=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPhysicalDeviceVideoFormatPropertiesKHR@104=_radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPhysicalDeviceVideoFormatPropertiesKHR=radv_GetPhysicalDeviceVideoFormatPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPhysicalDeviceVideoFormatPropertiesKHR(VkPhysicalDevice physicalDevice, const VkPhysicalDeviceVideoFormatInfoKHR* pVideoFormatInfo, uint32_t* pVideoFormatPropertyCount, VkVideoFormatPropertiesKHR* pVideoFormatProperties) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_AcquireDrmDisplayEXT_Null)(VkPhysicalDevice physicalDevice, int32_t drmFd, VkDisplayKHR display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@4=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@8=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@12=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@16=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@20=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@24=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@28=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@32=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@36=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@40=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@44=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@48=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@60=_radv_AcquireDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireDrmDisplayEXT@104=_radv_AcquireDrmDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireDrmDisplayEXT=radv_AcquireDrmDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireDrmDisplayEXT(VkPhysicalDevice physicalDevice, int32_t drmFd, VkDisplayKHR display) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDrmDisplayEXT_Null)(VkPhysicalDevice physicalDevice, int32_t drmFd, uint32_t connectorId, VkDisplayKHR* display) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@4=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@8=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@12=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@16=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@20=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@24=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@28=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@32=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@36=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@40=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@44=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@48=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@60=_radv_GetDrmDisplayEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDrmDisplayEXT@104=_radv_GetDrmDisplayEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDrmDisplayEXT=radv_GetDrmDisplayEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDrmDisplayEXT(VkPhysicalDevice physicalDevice, int32_t drmFd, uint32_t connectorId, VkDisplayKHR* display) __attribute__ ((weak));
#endif

const struct vk_physical_device_entrypoint_table radv_physical_device_entrypoints = {
    .GetPhysicalDeviceProperties = radv_GetPhysicalDeviceProperties,
    .GetPhysicalDeviceQueueFamilyProperties = radv_GetPhysicalDeviceQueueFamilyProperties,
    .GetPhysicalDeviceMemoryProperties = radv_GetPhysicalDeviceMemoryProperties,
    .GetPhysicalDeviceFeatures = radv_GetPhysicalDeviceFeatures,
    .GetPhysicalDeviceFormatProperties = radv_GetPhysicalDeviceFormatProperties,
    .GetPhysicalDeviceImageFormatProperties = radv_GetPhysicalDeviceImageFormatProperties,
    .CreateDevice = radv_CreateDevice,
    .EnumerateDeviceLayerProperties = radv_EnumerateDeviceLayerProperties,
    .EnumerateDeviceExtensionProperties = radv_EnumerateDeviceExtensionProperties,
    .GetPhysicalDeviceSparseImageFormatProperties = radv_GetPhysicalDeviceSparseImageFormatProperties,
    .GetPhysicalDeviceDisplayPropertiesKHR = radv_GetPhysicalDeviceDisplayPropertiesKHR,
    .GetPhysicalDeviceDisplayPlanePropertiesKHR = radv_GetPhysicalDeviceDisplayPlanePropertiesKHR,
    .GetDisplayPlaneSupportedDisplaysKHR = radv_GetDisplayPlaneSupportedDisplaysKHR,
    .GetDisplayModePropertiesKHR = radv_GetDisplayModePropertiesKHR,
    .CreateDisplayModeKHR = radv_CreateDisplayModeKHR,
    .GetDisplayPlaneCapabilitiesKHR = radv_GetDisplayPlaneCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceSupportKHR = radv_GetPhysicalDeviceSurfaceSupportKHR,
    .GetPhysicalDeviceSurfaceCapabilitiesKHR = radv_GetPhysicalDeviceSurfaceCapabilitiesKHR,
    .GetPhysicalDeviceSurfaceFormatsKHR = radv_GetPhysicalDeviceSurfaceFormatsKHR,
    .GetPhysicalDeviceSurfacePresentModesKHR = radv_GetPhysicalDeviceSurfacePresentModesKHR,
#ifdef VK_USE_PLATFORM_WAYLAND_KHR
    .GetPhysicalDeviceWaylandPresentationSupportKHR = radv_GetPhysicalDeviceWaylandPresentationSupportKHR,
#endif // VK_USE_PLATFORM_WAYLAND_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceWin32PresentationSupportKHR = radv_GetPhysicalDeviceWin32PresentationSupportKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_XLIB_KHR
    .GetPhysicalDeviceXlibPresentationSupportKHR = radv_GetPhysicalDeviceXlibPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XLIB_KHR
#ifdef VK_USE_PLATFORM_XCB_KHR
    .GetPhysicalDeviceXcbPresentationSupportKHR = radv_GetPhysicalDeviceXcbPresentationSupportKHR,
#endif // VK_USE_PLATFORM_XCB_KHR
#ifdef VK_USE_PLATFORM_DIRECTFB_EXT
    .GetPhysicalDeviceDirectFBPresentationSupportEXT = radv_GetPhysicalDeviceDirectFBPresentationSupportEXT,
#endif // VK_USE_PLATFORM_DIRECTFB_EXT
#ifdef VK_USE_PLATFORM_SCREEN_QNX
    .GetPhysicalDeviceScreenPresentationSupportQNX = radv_GetPhysicalDeviceScreenPresentationSupportQNX,
#endif // VK_USE_PLATFORM_SCREEN_QNX
    .GetPhysicalDeviceExternalImageFormatPropertiesNV = radv_GetPhysicalDeviceExternalImageFormatPropertiesNV,
    .GetPhysicalDeviceFeatures2 = radv_GetPhysicalDeviceFeatures2,
    .GetPhysicalDeviceFeatures2KHR = radv_GetPhysicalDeviceFeatures2KHR,
    .GetPhysicalDeviceProperties2 = radv_GetPhysicalDeviceProperties2,
    .GetPhysicalDeviceProperties2KHR = radv_GetPhysicalDeviceProperties2KHR,
    .GetPhysicalDeviceFormatProperties2 = radv_GetPhysicalDeviceFormatProperties2,
    .GetPhysicalDeviceFormatProperties2KHR = radv_GetPhysicalDeviceFormatProperties2KHR,
    .GetPhysicalDeviceImageFormatProperties2 = radv_GetPhysicalDeviceImageFormatProperties2,
    .GetPhysicalDeviceImageFormatProperties2KHR = radv_GetPhysicalDeviceImageFormatProperties2KHR,
    .GetPhysicalDeviceQueueFamilyProperties2 = radv_GetPhysicalDeviceQueueFamilyProperties2,
    .GetPhysicalDeviceQueueFamilyProperties2KHR = radv_GetPhysicalDeviceQueueFamilyProperties2KHR,
    .GetPhysicalDeviceMemoryProperties2 = radv_GetPhysicalDeviceMemoryProperties2,
    .GetPhysicalDeviceMemoryProperties2KHR = radv_GetPhysicalDeviceMemoryProperties2KHR,
    .GetPhysicalDeviceSparseImageFormatProperties2 = radv_GetPhysicalDeviceSparseImageFormatProperties2,
    .GetPhysicalDeviceSparseImageFormatProperties2KHR = radv_GetPhysicalDeviceSparseImageFormatProperties2KHR,
    .GetPhysicalDeviceExternalBufferProperties = radv_GetPhysicalDeviceExternalBufferProperties,
    .GetPhysicalDeviceExternalBufferPropertiesKHR = radv_GetPhysicalDeviceExternalBufferPropertiesKHR,
    .GetPhysicalDeviceExternalSemaphoreProperties = radv_GetPhysicalDeviceExternalSemaphoreProperties,
    .GetPhysicalDeviceExternalSemaphorePropertiesKHR = radv_GetPhysicalDeviceExternalSemaphorePropertiesKHR,
    .GetPhysicalDeviceExternalFenceProperties = radv_GetPhysicalDeviceExternalFenceProperties,
    .GetPhysicalDeviceExternalFencePropertiesKHR = radv_GetPhysicalDeviceExternalFencePropertiesKHR,
    .ReleaseDisplayEXT = radv_ReleaseDisplayEXT,
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .AcquireXlibDisplayEXT = radv_AcquireXlibDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_XLIB_XRANDR_EXT
    .GetRandROutputDisplayEXT = radv_GetRandROutputDisplayEXT,
#endif // VK_USE_PLATFORM_XLIB_XRANDR_EXT
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireWinrtDisplayNV = radv_AcquireWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetWinrtDisplayNV = radv_GetWinrtDisplayNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfaceCapabilities2EXT = radv_GetPhysicalDeviceSurfaceCapabilities2EXT,
    .GetPhysicalDevicePresentRectanglesKHR = radv_GetPhysicalDevicePresentRectanglesKHR,
    .GetPhysicalDeviceMultisamplePropertiesEXT = radv_GetPhysicalDeviceMultisamplePropertiesEXT,
    .GetPhysicalDeviceSurfaceCapabilities2KHR = radv_GetPhysicalDeviceSurfaceCapabilities2KHR,
    .GetPhysicalDeviceSurfaceFormats2KHR = radv_GetPhysicalDeviceSurfaceFormats2KHR,
    .GetPhysicalDeviceDisplayProperties2KHR = radv_GetPhysicalDeviceDisplayProperties2KHR,
    .GetPhysicalDeviceDisplayPlaneProperties2KHR = radv_GetPhysicalDeviceDisplayPlaneProperties2KHR,
    .GetDisplayModeProperties2KHR = radv_GetDisplayModeProperties2KHR,
    .GetDisplayPlaneCapabilities2KHR = radv_GetDisplayPlaneCapabilities2KHR,
    .GetPhysicalDeviceCalibrateableTimeDomainsEXT = radv_GetPhysicalDeviceCalibrateableTimeDomainsEXT,
    .GetPhysicalDeviceCooperativeMatrixPropertiesNV = radv_GetPhysicalDeviceCooperativeMatrixPropertiesNV,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetPhysicalDeviceSurfacePresentModes2EXT = radv_GetPhysicalDeviceSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR = radv_EnumeratePhysicalDeviceQueueFamilyPerformanceQueryCountersKHR,
    .GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR = radv_GetPhysicalDeviceQueueFamilyPerformanceQueryPassesKHR,
    .GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV = radv_GetPhysicalDeviceSupportedFramebufferMixedSamplesCombinationsNV,
    .GetPhysicalDeviceToolPropertiesEXT = radv_GetPhysicalDeviceToolPropertiesEXT,
    .GetPhysicalDeviceFragmentShadingRatesKHR = radv_GetPhysicalDeviceFragmentShadingRatesKHR,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetPhysicalDeviceVideoCapabilitiesKHR = radv_GetPhysicalDeviceVideoCapabilitiesKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetPhysicalDeviceVideoFormatPropertiesKHR = radv_GetPhysicalDeviceVideoFormatPropertiesKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .AcquireDrmDisplayEXT = radv_AcquireDrmDisplayEXT,
    .GetDrmDisplayEXT = radv_GetDrmDisplayEXT,
};


#ifdef _MSC_VER
    PFN_vkVoidFunction (*radv_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@4=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@8=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@12=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@16=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@20=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@24=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@28=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@32=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@36=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@40=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@44=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@48=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@60=_radv_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceProcAddr@104=_radv_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceProcAddr=radv_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL radv_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    PFN_vkVoidFunction (*sqtt_GetDeviceProcAddr_Null)(VkDevice device, const char* pName) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@4=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@8=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@12=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@16=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@20=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@24=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@28=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@32=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@36=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@40=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@44=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@48=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@60=_sqtt_GetDeviceProcAddr_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceProcAddr@104=_sqtt_GetDeviceProcAddr_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceProcAddr=sqtt_GetDeviceProcAddr_Null")
#endif
#else
    VKAPI_ATTR PFN_vkVoidFunction VKAPI_CALL sqtt_GetDeviceProcAddr(VkDevice device, const char* pName) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@4=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@8=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@12=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@16=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@20=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@24=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@28=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@32=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@36=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@40=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@44=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@48=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@60=_radv_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDevice@104=_radv_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDevice=radv_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyDevice_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@4=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@8=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@12=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@16=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@20=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@24=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@28=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@32=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@36=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@40=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@44=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@48=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@60=_sqtt_DestroyDevice_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDevice@104=_sqtt_DestroyDevice_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyDevice=sqtt_DestroyDevice_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDevice(VkDevice device, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@4=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@8=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@12=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@16=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@20=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@24=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@28=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@32=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@36=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@40=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@44=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@48=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@60=_radv_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue@104=_radv_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceQueue=radv_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDeviceQueue_Null)(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@4=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@8=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@12=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@16=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@20=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@24=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@28=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@32=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@36=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@40=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@44=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@48=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@60=_sqtt_GetDeviceQueue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue@104=_sqtt_GetDeviceQueue_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceQueue=sqtt_GetDeviceQueue_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceQueue(VkDevice device, uint32_t queueFamilyIndex, uint32_t queueIndex, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@4=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@8=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@12=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@16=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@20=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@24=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@28=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@32=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@36=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@40=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@44=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@48=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@60=_radv_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit@104=_radv_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueSubmit=radv_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueueSubmit_Null)(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@4=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@8=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@12=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@16=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@20=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@24=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@28=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@32=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@36=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@40=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@44=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@48=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@60=_sqtt_QueueSubmit_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit@104=_sqtt_QueueSubmit_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueSubmit=sqtt_QueueSubmit_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSubmit(VkQueue queue, uint32_t submitCount, const VkSubmitInfo* pSubmits, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@4=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@8=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@12=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@16=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@20=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@24=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@28=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@32=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@36=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@40=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@44=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@48=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@60=_radv_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueWaitIdle@104=_radv_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueWaitIdle=radv_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueueWaitIdle_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@4=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@8=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@12=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@16=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@20=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@24=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@28=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@32=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@36=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@40=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@44=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@48=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@60=_sqtt_QueueWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueWaitIdle@104=_sqtt_QueueWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueWaitIdle=sqtt_QueueWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueWaitIdle(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@4=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@8=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@12=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@16=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@20=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@24=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@28=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@32=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@36=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@40=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@44=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@48=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@60=_radv_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_radv_DeviceWaitIdle@104=_radv_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DeviceWaitIdle=radv_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_DeviceWaitIdle_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@4=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@8=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@12=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@16=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@20=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@24=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@28=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@32=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@36=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@40=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@44=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@48=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@60=_sqtt_DeviceWaitIdle_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeviceWaitIdle@104=_sqtt_DeviceWaitIdle_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DeviceWaitIdle=sqtt_DeviceWaitIdle_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DeviceWaitIdle(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@4=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@8=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@12=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@16=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@20=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@24=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@28=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@32=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@36=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@40=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@44=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@48=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@60=_radv_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateMemory@104=_radv_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AllocateMemory=radv_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AllocateMemory_Null)(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@4=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@8=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@12=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@16=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@20=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@24=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@28=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@32=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@36=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@40=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@44=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@48=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@60=_sqtt_AllocateMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateMemory@104=_sqtt_AllocateMemory_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AllocateMemory=sqtt_AllocateMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AllocateMemory(VkDevice device, const VkMemoryAllocateInfo* pAllocateInfo, const VkAllocationCallbacks* pAllocator, VkDeviceMemory* pMemory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@4=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@8=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@12=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@16=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@20=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@24=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@28=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@32=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@36=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@40=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@44=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@48=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@60=_radv_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeMemory@104=_radv_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:radv_FreeMemory=radv_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_FreeMemory_Null)(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@4=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@8=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@12=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@16=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@20=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@24=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@28=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@32=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@36=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@40=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@44=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@48=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@60=_sqtt_FreeMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeMemory@104=_sqtt_FreeMemory_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_FreeMemory=sqtt_FreeMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_FreeMemory(VkDevice device, VkDeviceMemory memory, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_MapMemory@4=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@8=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@12=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@16=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@20=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@24=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@28=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@32=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@36=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@40=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@44=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@48=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@60=_radv_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_MapMemory@104=_radv_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:radv_MapMemory=radv_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_MapMemory_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@4=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@8=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@12=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@16=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@20=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@24=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@28=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@32=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@36=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@40=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@44=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@48=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@60=_sqtt_MapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MapMemory@104=_sqtt_MapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_MapMemory=sqtt_MapMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_MapMemory(VkDevice device, VkDeviceMemory memory, VkDeviceSize offset, VkDeviceSize size, VkMemoryMapFlags flags, void** ppData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@4=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@8=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@12=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@16=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@20=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@24=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@28=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@32=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@36=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@40=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@44=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@48=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@60=_radv_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_UnmapMemory@104=_radv_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:radv_UnmapMemory=radv_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_UnmapMemory_Null)(VkDevice device, VkDeviceMemory memory) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@4=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@8=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@12=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@16=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@20=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@24=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@28=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@32=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@36=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@40=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@44=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@48=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@60=_sqtt_UnmapMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UnmapMemory@104=_sqtt_UnmapMemory_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_UnmapMemory=sqtt_UnmapMemory_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UnmapMemory(VkDevice device, VkDeviceMemory memory) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@4=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@8=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@12=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@16=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@20=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@24=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@28=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@32=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@36=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@40=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@44=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@48=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@60=_radv_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_FlushMappedMemoryRanges@104=_radv_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:radv_FlushMappedMemoryRanges=radv_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_FlushMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@4=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@8=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@12=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@16=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@20=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@24=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@28=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@32=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@36=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@40=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@44=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@48=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@60=_sqtt_FlushMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FlushMappedMemoryRanges@104=_sqtt_FlushMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_FlushMappedMemoryRanges=sqtt_FlushMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_FlushMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@4=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@8=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@12=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@16=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@20=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@24=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@28=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@32=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@36=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@40=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@44=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@48=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@60=_radv_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_radv_InvalidateMappedMemoryRanges@104=_radv_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:radv_InvalidateMappedMemoryRanges=radv_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_InvalidateMappedMemoryRanges_Null)(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@4=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@8=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@12=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@16=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@20=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@24=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@28=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@32=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@36=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@40=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@44=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@48=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@60=_sqtt_InvalidateMappedMemoryRanges_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InvalidateMappedMemoryRanges@104=_sqtt_InvalidateMappedMemoryRanges_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_InvalidateMappedMemoryRanges=sqtt_InvalidateMappedMemoryRanges_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_InvalidateMappedMemoryRanges(VkDevice device, uint32_t memoryRangeCount, const VkMappedMemoryRange* pMemoryRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@4=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@8=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@12=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@16=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@20=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@24=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@28=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@32=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@36=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@40=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@44=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@48=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@60=_radv_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryCommitment@104=_radv_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryCommitment=radv_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDeviceMemoryCommitment_Null)(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@4=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@8=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@12=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@16=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@20=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@24=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@28=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@32=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@36=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@40=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@44=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@48=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@60=_sqtt_GetDeviceMemoryCommitment_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryCommitment@104=_sqtt_GetDeviceMemoryCommitment_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryCommitment=sqtt_GetDeviceMemoryCommitment_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceMemoryCommitment(VkDevice device, VkDeviceMemory memory, VkDeviceSize* pCommittedMemoryInBytes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@4=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@8=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@12=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@16=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@20=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@24=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@28=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@32=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@36=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@40=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@44=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@48=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@60=_radv_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements@104=_radv_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements=radv_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetBufferMemoryRequirements_Null)(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@4=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@8=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@12=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@16=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@20=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@24=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@28=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@32=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@36=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@40=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@44=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@48=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@60=_sqtt_GetBufferMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements@104=_sqtt_GetBufferMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements=sqtt_GetBufferMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetBufferMemoryRequirements(VkDevice device, VkBuffer buffer, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@4=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@8=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@12=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@16=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@20=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@24=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@28=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@32=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@36=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@40=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@44=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@48=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@60=_radv_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory@104=_radv_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory=radv_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindBufferMemory_Null)(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@4=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@8=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@12=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@16=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@20=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@24=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@28=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@32=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@36=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@40=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@44=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@48=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@60=_sqtt_BindBufferMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory@104=_sqtt_BindBufferMemory_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory=sqtt_BindBufferMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindBufferMemory(VkDevice device, VkBuffer buffer, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@4=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@8=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@12=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@16=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@20=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@24=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@28=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@32=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@36=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@40=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@44=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@48=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@60=_radv_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements@104=_radv_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements=radv_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageMemoryRequirements_Null)(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@4=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@8=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@12=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@16=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@20=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@24=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@28=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@32=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@36=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@40=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@44=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@48=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@60=_sqtt_GetImageMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements@104=_sqtt_GetImageMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements=sqtt_GetImageMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageMemoryRequirements(VkDevice device, VkImage image, VkMemoryRequirements* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@4=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@8=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@12=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@16=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@20=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@24=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@28=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@32=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@36=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@40=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@44=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@48=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@60=_radv_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory@104=_radv_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindImageMemory=radv_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindImageMemory_Null)(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@4=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@8=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@12=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@16=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@20=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@24=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@28=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@32=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@36=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@40=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@44=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@48=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@60=_sqtt_BindImageMemory_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory@104=_sqtt_BindImageMemory_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory=sqtt_BindImageMemory_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindImageMemory(VkDevice device, VkImage image, VkDeviceMemory memory, VkDeviceSize memoryOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@4=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@8=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@12=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@16=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@20=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@24=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@28=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@32=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@36=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@40=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@44=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@48=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@60=_radv_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements@104=_radv_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements=radv_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageSparseMemoryRequirements_Null)(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@4=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@8=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@12=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@16=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@20=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@24=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@28=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@32=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@36=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@40=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@44=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@48=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@60=_sqtt_GetImageSparseMemoryRequirements_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements@104=_sqtt_GetImageSparseMemoryRequirements_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements=sqtt_GetImageSparseMemoryRequirements_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSparseMemoryRequirements(VkDevice device, VkImage image, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@4=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@8=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@12=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@16=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@20=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@24=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@28=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@32=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@36=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@40=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@44=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@48=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@60=_radv_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBindSparse@104=_radv_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueBindSparse=radv_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueueBindSparse_Null)(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@4=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@8=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@12=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@16=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@20=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@24=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@28=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@32=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@36=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@40=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@44=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@48=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@60=_sqtt_QueueBindSparse_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBindSparse@104=_sqtt_QueueBindSparse_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueBindSparse=sqtt_QueueBindSparse_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueBindSparse(VkQueue queue, uint32_t bindInfoCount, const VkBindSparseInfo* pBindInfo, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateFence@4=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@8=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@12=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@16=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@20=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@24=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@28=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@32=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@36=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@40=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@44=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@48=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@60=_radv_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFence@104=_radv_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateFence=radv_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateFence_Null)(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@4=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@8=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@12=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@16=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@20=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@24=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@28=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@32=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@36=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@40=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@44=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@48=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@60=_sqtt_CreateFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFence@104=_sqtt_CreateFence_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateFence=sqtt_CreateFence_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateFence(VkDevice device, const VkFenceCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@4=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@8=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@12=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@16=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@20=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@24=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@28=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@32=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@36=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@40=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@44=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@48=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@60=_radv_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFence@104=_radv_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyFence=radv_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyFence_Null)(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@4=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@8=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@12=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@16=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@20=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@24=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@28=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@32=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@36=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@40=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@44=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@48=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@60=_sqtt_DestroyFence_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFence@104=_sqtt_DestroyFence_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyFence=sqtt_DestroyFence_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyFence(VkDevice device, VkFence fence, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetFences@4=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@8=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@12=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@16=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@20=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@24=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@28=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@32=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@36=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@40=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@44=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@48=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@60=_radv_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetFences@104=_radv_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetFences=radv_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ResetFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@4=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@8=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@12=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@16=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@20=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@24=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@28=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@32=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@36=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@40=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@44=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@48=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@60=_sqtt_ResetFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetFences@104=_sqtt_ResetFences_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetFences=sqtt_ResetFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@4=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@8=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@12=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@16=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@20=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@24=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@28=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@32=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@36=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@40=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@44=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@48=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@60=_radv_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceStatus@104=_radv_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetFenceStatus=radv_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetFenceStatus_Null)(VkDevice device, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@4=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@8=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@12=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@16=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@20=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@24=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@28=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@32=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@36=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@40=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@44=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@48=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@60=_sqtt_GetFenceStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceStatus@104=_sqtt_GetFenceStatus_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetFenceStatus=sqtt_GetFenceStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetFenceStatus(VkDevice device, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@4=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@8=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@12=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@16=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@20=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@24=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@28=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@32=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@36=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@40=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@44=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@48=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@60=_radv_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitForFences@104=_radv_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:radv_WaitForFences=radv_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_WaitForFences_Null)(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@4=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@8=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@12=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@16=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@20=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@24=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@28=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@32=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@36=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@40=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@44=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@48=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@60=_sqtt_WaitForFences_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitForFences@104=_sqtt_WaitForFences_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_WaitForFences=sqtt_WaitForFences_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WaitForFences(VkDevice device, uint32_t fenceCount, const VkFence* pFences, VkBool32 waitAll, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@4=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@8=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@12=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@16=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@20=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@24=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@28=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@32=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@36=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@40=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@44=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@48=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@60=_radv_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSemaphore@104=_radv_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateSemaphore=radv_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateSemaphore_Null)(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@4=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@8=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@12=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@16=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@20=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@24=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@28=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@32=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@36=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@40=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@44=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@48=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@60=_sqtt_CreateSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSemaphore@104=_sqtt_CreateSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateSemaphore=sqtt_CreateSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSemaphore(VkDevice device, const VkSemaphoreCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSemaphore* pSemaphore) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@4=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@8=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@12=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@16=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@20=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@24=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@28=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@32=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@36=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@40=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@44=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@48=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@60=_radv_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySemaphore@104=_radv_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroySemaphore=radv_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroySemaphore_Null)(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@4=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@8=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@12=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@16=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@20=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@24=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@28=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@32=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@36=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@40=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@44=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@48=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@60=_sqtt_DestroySemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySemaphore@104=_sqtt_DestroySemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroySemaphore=sqtt_DestroySemaphore_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySemaphore(VkDevice device, VkSemaphore semaphore, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@4=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@8=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@12=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@16=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@20=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@24=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@28=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@32=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@36=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@40=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@44=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@48=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@60=_radv_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateEvent@104=_radv_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateEvent=radv_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateEvent_Null)(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@4=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@8=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@12=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@16=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@20=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@24=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@28=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@32=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@36=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@40=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@44=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@48=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@60=_sqtt_CreateEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateEvent@104=_sqtt_CreateEvent_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateEvent=sqtt_CreateEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateEvent(VkDevice device, const VkEventCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkEvent* pEvent) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@4=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@8=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@12=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@16=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@20=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@24=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@28=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@32=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@36=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@40=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@44=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@48=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@60=_radv_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyEvent@104=_radv_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyEvent=radv_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyEvent_Null)(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@4=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@8=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@12=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@16=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@20=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@24=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@28=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@32=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@36=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@40=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@44=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@48=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@60=_sqtt_DestroyEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyEvent@104=_sqtt_DestroyEvent_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyEvent=sqtt_DestroyEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyEvent(VkDevice device, VkEvent event, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@4=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@8=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@12=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@16=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@20=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@24=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@28=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@32=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@36=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@40=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@44=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@48=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@60=_radv_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_radv_GetEventStatus@104=_radv_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetEventStatus=radv_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetEventStatus_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@4=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@8=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@12=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@16=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@20=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@24=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@28=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@32=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@36=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@40=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@44=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@48=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@60=_sqtt_GetEventStatus_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetEventStatus@104=_sqtt_GetEventStatus_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetEventStatus=sqtt_GetEventStatus_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetEventStatus(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SetEvent@4=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@8=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@12=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@16=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@20=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@24=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@28=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@32=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@36=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@40=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@44=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@48=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@60=_radv_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_SetEvent@104=_radv_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SetEvent=radv_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_SetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@4=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@8=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@12=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@16=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@20=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@24=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@28=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@32=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@36=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@40=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@44=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@48=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@60=_sqtt_SetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetEvent@104=_sqtt_SetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SetEvent=sqtt_SetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@4=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@8=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@12=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@16=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@20=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@24=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@28=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@32=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@36=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@40=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@44=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@48=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@60=_radv_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetEvent@104=_radv_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetEvent=radv_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ResetEvent_Null)(VkDevice device, VkEvent event) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@4=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@8=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@12=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@16=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@20=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@24=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@28=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@32=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@36=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@40=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@44=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@48=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@60=_sqtt_ResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetEvent@104=_sqtt_ResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetEvent=sqtt_ResetEvent_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetEvent(VkDevice device, VkEvent event) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@4=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@8=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@12=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@16=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@20=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@24=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@28=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@32=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@36=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@40=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@44=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@48=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@60=_radv_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateQueryPool@104=_radv_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateQueryPool=radv_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateQueryPool_Null)(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@4=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@8=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@12=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@16=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@20=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@24=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@28=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@32=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@36=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@40=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@44=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@48=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@60=_sqtt_CreateQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateQueryPool@104=_sqtt_CreateQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateQueryPool=sqtt_CreateQueryPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateQueryPool(VkDevice device, const VkQueryPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkQueryPool* pQueryPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@4=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@8=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@12=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@16=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@20=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@24=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@28=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@32=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@36=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@40=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@44=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@48=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@60=_radv_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyQueryPool@104=_radv_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyQueryPool=radv_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyQueryPool_Null)(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@4=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@8=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@12=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@16=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@20=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@24=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@28=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@32=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@36=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@40=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@44=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@48=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@60=_sqtt_DestroyQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyQueryPool@104=_sqtt_DestroyQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyQueryPool=sqtt_DestroyQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyQueryPool(VkDevice device, VkQueryPool queryPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@4=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@8=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@12=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@16=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@20=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@24=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@28=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@32=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@36=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@40=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@44=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@48=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@60=_radv_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueryPoolResults@104=_radv_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetQueryPoolResults=radv_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetQueryPoolResults_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@4=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@8=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@12=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@16=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@20=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@24=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@28=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@32=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@36=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@40=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@44=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@48=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@60=_sqtt_GetQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueryPoolResults@104=_sqtt_GetQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetQueryPoolResults=sqtt_GetQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetQueryPoolResults(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, size_t dataSize, void* pData, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@4=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@8=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@12=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@16=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@20=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@24=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@28=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@32=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@36=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@40=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@44=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@48=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@60=_radv_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPool@104=_radv_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetQueryPool=radv_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_ResetQueryPool_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@4=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@8=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@12=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@16=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@20=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@24=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@28=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@32=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@36=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@40=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@44=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@48=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@60=_sqtt_ResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPool@104=_sqtt_ResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetQueryPool=sqtt_ResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_ResetQueryPool(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@4=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@8=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@12=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@16=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@20=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@24=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@28=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@32=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@36=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@40=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@44=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@48=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@60=_radv_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetQueryPoolEXT@104=_radv_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetQueryPoolEXT=radv_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_ResetQueryPoolEXT_Null)(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@4=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@8=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@12=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@16=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@20=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@24=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@28=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@32=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@36=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@40=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@44=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@48=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@60=_sqtt_ResetQueryPoolEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetQueryPoolEXT@104=_sqtt_ResetQueryPoolEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetQueryPoolEXT=sqtt_ResetQueryPoolEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_ResetQueryPoolEXT(VkDevice device, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@4=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@8=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@12=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@16=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@20=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@24=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@28=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@32=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@36=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@40=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@44=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@48=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@60=_radv_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBuffer@104=_radv_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateBuffer=radv_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateBuffer_Null)(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@4=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@8=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@12=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@16=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@20=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@24=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@28=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@32=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@36=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@40=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@44=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@48=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@60=_sqtt_CreateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBuffer@104=_sqtt_CreateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateBuffer=sqtt_CreateBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateBuffer(VkDevice device, const VkBufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBuffer* pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@4=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@8=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@12=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@16=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@20=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@24=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@28=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@32=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@36=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@40=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@44=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@48=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@60=_radv_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBuffer@104=_radv_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyBuffer=radv_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyBuffer_Null)(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@4=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@8=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@12=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@16=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@20=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@24=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@28=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@32=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@36=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@40=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@44=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@48=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@60=_sqtt_DestroyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBuffer@104=_sqtt_DestroyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyBuffer=sqtt_DestroyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyBuffer(VkDevice device, VkBuffer buffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@4=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@8=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@12=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@16=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@20=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@24=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@28=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@32=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@36=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@40=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@44=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@48=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@60=_radv_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateBufferView@104=_radv_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateBufferView=radv_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateBufferView_Null)(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@4=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@8=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@12=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@16=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@20=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@24=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@28=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@32=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@36=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@40=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@44=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@48=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@60=_sqtt_CreateBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateBufferView@104=_sqtt_CreateBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateBufferView=sqtt_CreateBufferView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateBufferView(VkDevice device, const VkBufferViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkBufferView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@4=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@8=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@12=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@16=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@20=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@24=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@28=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@32=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@36=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@40=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@44=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@48=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@60=_radv_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyBufferView@104=_radv_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyBufferView=radv_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyBufferView_Null)(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@4=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@8=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@12=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@16=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@20=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@24=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@28=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@32=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@36=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@40=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@44=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@48=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@60=_sqtt_DestroyBufferView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyBufferView@104=_sqtt_DestroyBufferView_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyBufferView=sqtt_DestroyBufferView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyBufferView(VkDevice device, VkBufferView bufferView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateImage@4=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@8=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@12=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@16=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@20=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@24=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@28=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@32=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@36=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@40=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@44=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@48=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@60=_radv_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImage@104=_radv_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateImage=radv_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateImage_Null)(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@4=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@8=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@12=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@16=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@20=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@24=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@28=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@32=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@36=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@40=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@44=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@48=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@60=_sqtt_CreateImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImage@104=_sqtt_CreateImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateImage=sqtt_CreateImage_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateImage(VkDevice device, const VkImageCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImage* pImage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@4=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@8=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@12=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@16=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@20=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@24=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@28=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@32=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@36=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@40=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@44=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@48=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@60=_radv_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImage@104=_radv_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyImage=radv_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyImage_Null)(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@4=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@8=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@12=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@16=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@20=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@24=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@28=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@32=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@36=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@40=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@44=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@48=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@60=_sqtt_DestroyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImage@104=_sqtt_DestroyImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyImage=sqtt_DestroyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyImage(VkDevice device, VkImage image, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@4=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@8=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@12=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@16=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@20=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@24=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@28=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@32=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@36=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@40=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@44=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@48=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@60=_radv_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSubresourceLayout@104=_radv_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageSubresourceLayout=radv_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageSubresourceLayout_Null)(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@4=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@8=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@12=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@16=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@20=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@24=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@28=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@32=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@36=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@40=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@44=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@48=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@60=_sqtt_GetImageSubresourceLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSubresourceLayout@104=_sqtt_GetImageSubresourceLayout_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageSubresourceLayout=sqtt_GetImageSubresourceLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSubresourceLayout(VkDevice device, VkImage image, const VkImageSubresource* pSubresource, VkSubresourceLayout* pLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@4=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@8=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@12=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@16=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@20=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@24=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@28=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@32=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@36=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@40=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@44=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@48=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@60=_radv_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateImageView@104=_radv_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateImageView=radv_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateImageView_Null)(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@4=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@8=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@12=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@16=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@20=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@24=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@28=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@32=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@36=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@40=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@44=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@48=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@60=_sqtt_CreateImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateImageView@104=_sqtt_CreateImageView_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateImageView=sqtt_CreateImageView_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateImageView(VkDevice device, const VkImageViewCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkImageView* pView) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@4=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@8=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@12=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@16=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@20=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@24=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@28=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@32=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@36=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@40=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@44=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@48=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@60=_radv_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyImageView@104=_radv_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyImageView=radv_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyImageView_Null)(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@4=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@8=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@12=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@16=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@20=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@24=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@28=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@32=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@36=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@40=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@44=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@48=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@60=_sqtt_DestroyImageView_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyImageView@104=_sqtt_DestroyImageView_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyImageView=sqtt_DestroyImageView_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyImageView(VkDevice device, VkImageView imageView, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@4=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@8=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@12=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@16=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@20=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@24=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@28=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@32=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@36=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@40=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@44=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@48=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@60=_radv_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateShaderModule@104=_radv_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateShaderModule=radv_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateShaderModule_Null)(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@4=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@8=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@12=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@16=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@20=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@24=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@28=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@32=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@36=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@40=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@44=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@48=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@60=_sqtt_CreateShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateShaderModule@104=_sqtt_CreateShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateShaderModule=sqtt_CreateShaderModule_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateShaderModule(VkDevice device, const VkShaderModuleCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkShaderModule* pShaderModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@4=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@8=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@12=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@16=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@20=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@24=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@28=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@32=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@36=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@40=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@44=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@48=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@60=_radv_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyShaderModule@104=_radv_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyShaderModule=radv_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyShaderModule_Null)(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@4=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@8=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@12=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@16=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@20=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@24=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@28=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@32=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@36=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@40=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@44=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@48=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@60=_sqtt_DestroyShaderModule_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyShaderModule@104=_sqtt_DestroyShaderModule_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyShaderModule=sqtt_DestroyShaderModule_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyShaderModule(VkDevice device, VkShaderModule shaderModule, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@4=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@8=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@12=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@16=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@20=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@24=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@28=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@32=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@36=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@40=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@44=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@48=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@60=_radv_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineCache@104=_radv_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreatePipelineCache=radv_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreatePipelineCache_Null)(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@4=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@8=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@12=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@16=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@20=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@24=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@28=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@32=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@36=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@40=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@44=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@48=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@60=_sqtt_CreatePipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineCache@104=_sqtt_CreatePipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreatePipelineCache=sqtt_CreatePipelineCache_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreatePipelineCache(VkDevice device, const VkPipelineCacheCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineCache* pPipelineCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@4=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@8=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@12=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@16=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@20=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@24=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@28=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@32=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@36=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@40=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@44=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@48=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@60=_radv_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineCache@104=_radv_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyPipelineCache=radv_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyPipelineCache_Null)(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@4=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@8=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@12=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@16=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@20=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@24=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@28=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@32=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@36=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@40=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@44=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@48=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@60=_sqtt_DestroyPipelineCache_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineCache@104=_sqtt_DestroyPipelineCache_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipelineCache=sqtt_DestroyPipelineCache_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPipelineCache(VkDevice device, VkPipelineCache pipelineCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@4=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@8=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@12=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@16=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@20=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@24=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@28=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@32=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@36=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@40=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@44=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@48=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@60=_radv_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineCacheData@104=_radv_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPipelineCacheData=radv_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetPipelineCacheData_Null)(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@4=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@8=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@12=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@16=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@20=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@24=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@28=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@32=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@36=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@40=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@44=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@48=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@60=_sqtt_GetPipelineCacheData_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineCacheData@104=_sqtt_GetPipelineCacheData_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineCacheData=sqtt_GetPipelineCacheData_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineCacheData(VkDevice device, VkPipelineCache pipelineCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@4=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@8=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@12=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@16=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@20=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@24=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@28=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@32=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@36=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@40=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@44=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@48=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@60=_radv_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_radv_MergePipelineCaches@104=_radv_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:radv_MergePipelineCaches=radv_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_MergePipelineCaches_Null)(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@4=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@8=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@12=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@16=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@20=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@24=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@28=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@32=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@36=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@40=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@44=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@48=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@60=_sqtt_MergePipelineCaches_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergePipelineCaches@104=_sqtt_MergePipelineCaches_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_MergePipelineCaches=sqtt_MergePipelineCaches_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_MergePipelineCaches(VkDevice device, VkPipelineCache dstCache, uint32_t srcCacheCount, const VkPipelineCache* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@4=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@8=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@12=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@16=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@20=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@24=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@28=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@32=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@36=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@40=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@44=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@48=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@60=_radv_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateGraphicsPipelines@104=_radv_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateGraphicsPipelines=radv_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateGraphicsPipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@4=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@8=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@12=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@16=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@20=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@24=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@28=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@32=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@36=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@40=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@44=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@48=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@60=_sqtt_CreateGraphicsPipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateGraphicsPipelines@104=_sqtt_CreateGraphicsPipelines_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateGraphicsPipelines=sqtt_CreateGraphicsPipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateGraphicsPipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkGraphicsPipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@4=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@8=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@12=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@16=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@20=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@24=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@28=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@32=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@36=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@40=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@44=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@48=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@60=_radv_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateComputePipelines@104=_radv_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateComputePipelines=radv_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateComputePipelines_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@4=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@8=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@12=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@16=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@20=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@24=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@28=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@32=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@36=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@40=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@44=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@48=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@60=_sqtt_CreateComputePipelines_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateComputePipelines@104=_sqtt_CreateComputePipelines_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateComputePipelines=sqtt_CreateComputePipelines_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateComputePipelines(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkComputePipelineCreateInfo* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@4=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@8=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@12=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@16=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@20=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@24=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@28=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@32=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@36=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@40=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@44=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@48=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@60=_radv_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipeline@104=_radv_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyPipeline=radv_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyPipeline_Null)(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@4=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@8=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@12=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@16=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@20=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@24=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@28=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@32=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@36=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@40=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@44=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@48=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@60=_sqtt_DestroyPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipeline@104=_sqtt_DestroyPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipeline=sqtt_DestroyPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPipeline(VkDevice device, VkPipeline pipeline, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@4=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@8=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@12=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@16=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@20=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@24=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@28=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@32=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@36=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@40=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@44=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@48=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@60=_radv_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePipelineLayout@104=_radv_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreatePipelineLayout=radv_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreatePipelineLayout_Null)(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@4=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@8=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@12=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@16=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@20=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@24=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@28=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@32=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@36=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@40=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@44=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@48=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@60=_sqtt_CreatePipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePipelineLayout@104=_sqtt_CreatePipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreatePipelineLayout=sqtt_CreatePipelineLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreatePipelineLayout(VkDevice device, const VkPipelineLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPipelineLayout* pPipelineLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@4=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@8=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@12=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@16=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@20=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@24=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@28=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@32=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@36=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@40=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@44=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@48=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@60=_radv_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPipelineLayout@104=_radv_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyPipelineLayout=radv_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyPipelineLayout_Null)(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@4=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@8=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@12=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@16=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@20=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@24=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@28=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@32=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@36=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@40=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@44=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@48=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@60=_sqtt_DestroyPipelineLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPipelineLayout@104=_sqtt_DestroyPipelineLayout_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyPipelineLayout=sqtt_DestroyPipelineLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPipelineLayout(VkDevice device, VkPipelineLayout pipelineLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@4=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@8=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@12=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@16=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@20=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@24=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@28=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@32=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@36=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@40=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@44=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@48=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@60=_radv_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSampler@104=_radv_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateSampler=radv_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateSampler_Null)(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@4=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@8=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@12=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@16=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@20=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@24=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@28=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@32=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@36=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@40=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@44=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@48=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@60=_sqtt_CreateSampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSampler@104=_sqtt_CreateSampler_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateSampler=sqtt_CreateSampler_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSampler(VkDevice device, const VkSamplerCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSampler* pSampler) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@4=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@8=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@12=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@16=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@20=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@24=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@28=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@32=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@36=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@40=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@44=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@48=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@60=_radv_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySampler@104=_radv_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroySampler=radv_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroySampler_Null)(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@4=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@8=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@12=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@16=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@20=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@24=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@28=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@32=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@36=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@40=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@44=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@48=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@60=_sqtt_DestroySampler_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySampler@104=_sqtt_DestroySampler_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroySampler=sqtt_DestroySampler_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySampler(VkDevice device, VkSampler sampler, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@4=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@8=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@12=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@16=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@20=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@24=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@28=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@32=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@36=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@40=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@44=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@48=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@60=_radv_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorSetLayout@104=_radv_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorSetLayout=radv_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateDescriptorSetLayout_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@4=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@8=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@12=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@16=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@20=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@24=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@28=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@32=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@36=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@40=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@44=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@48=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@60=_sqtt_CreateDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorSetLayout@104=_sqtt_CreateDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorSetLayout=sqtt_CreateDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorSetLayout(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorSetLayout* pSetLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@4=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@8=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@12=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@16=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@20=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@24=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@28=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@32=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@36=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@40=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@44=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@48=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@60=_radv_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorSetLayout@104=_radv_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorSetLayout=radv_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyDescriptorSetLayout_Null)(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@4=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@8=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@12=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@16=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@20=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@24=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@28=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@32=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@36=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@40=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@44=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@48=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@60=_sqtt_DestroyDescriptorSetLayout_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorSetLayout@104=_sqtt_DestroyDescriptorSetLayout_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorSetLayout=sqtt_DestroyDescriptorSetLayout_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorSetLayout(VkDevice device, VkDescriptorSetLayout descriptorSetLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@4=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@8=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@12=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@16=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@20=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@24=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@28=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@32=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@36=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@40=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@44=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@48=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@60=_radv_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorPool@104=_radv_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorPool=radv_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateDescriptorPool_Null)(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@4=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@8=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@12=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@16=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@20=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@24=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@28=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@32=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@36=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@40=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@44=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@48=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@60=_sqtt_CreateDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorPool@104=_sqtt_CreateDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorPool=sqtt_CreateDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorPool(VkDevice device, const VkDescriptorPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorPool* pDescriptorPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@4=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@8=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@12=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@16=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@20=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@24=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@28=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@32=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@36=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@40=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@44=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@48=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@60=_radv_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorPool@104=_radv_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorPool=radv_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@4=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@8=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@12=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@16=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@20=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@24=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@28=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@32=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@36=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@40=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@44=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@48=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@60=_sqtt_DestroyDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorPool@104=_sqtt_DestroyDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorPool=sqtt_DestroyDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@4=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@8=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@12=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@16=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@20=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@24=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@28=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@32=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@36=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@40=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@44=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@48=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@60=_radv_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetDescriptorPool@104=_radv_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetDescriptorPool=radv_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ResetDescriptorPool_Null)(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@4=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@8=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@12=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@16=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@20=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@24=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@28=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@32=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@36=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@40=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@44=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@48=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@60=_sqtt_ResetDescriptorPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetDescriptorPool@104=_sqtt_ResetDescriptorPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetDescriptorPool=sqtt_ResetDescriptorPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetDescriptorPool(VkDevice device, VkDescriptorPool descriptorPool, VkDescriptorPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@4=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@8=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@12=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@16=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@20=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@24=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@28=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@32=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@36=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@40=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@44=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@48=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@60=_radv_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateDescriptorSets@104=_radv_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AllocateDescriptorSets=radv_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AllocateDescriptorSets_Null)(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@4=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@8=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@12=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@16=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@20=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@24=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@28=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@32=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@36=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@40=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@44=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@48=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@60=_sqtt_AllocateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateDescriptorSets@104=_sqtt_AllocateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AllocateDescriptorSets=sqtt_AllocateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AllocateDescriptorSets(VkDevice device, const VkDescriptorSetAllocateInfo* pAllocateInfo, VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@4=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@8=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@12=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@16=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@20=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@24=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@28=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@32=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@36=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@40=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@44=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@48=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@60=_radv_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeDescriptorSets@104=_radv_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:radv_FreeDescriptorSets=radv_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_FreeDescriptorSets_Null)(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@4=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@8=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@12=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@16=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@20=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@24=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@28=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@32=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@36=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@40=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@44=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@48=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@60=_sqtt_FreeDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeDescriptorSets@104=_sqtt_FreeDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_FreeDescriptorSets=sqtt_FreeDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_FreeDescriptorSets(VkDevice device, VkDescriptorPool descriptorPool, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@4=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@8=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@12=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@16=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@20=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@24=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@28=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@32=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@36=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@40=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@44=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@48=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@60=_radv_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSets@104=_radv_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSets=radv_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_UpdateDescriptorSets_Null)(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@4=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@8=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@12=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@16=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@20=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@24=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@28=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@32=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@36=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@40=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@44=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@48=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@60=_sqtt_UpdateDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSets@104=_sqtt_UpdateDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSets=sqtt_UpdateDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UpdateDescriptorSets(VkDevice device, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites, uint32_t descriptorCopyCount, const VkCopyDescriptorSet* pDescriptorCopies) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@4=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@8=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@12=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@16=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@20=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@24=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@28=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@32=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@36=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@40=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@44=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@48=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@60=_radv_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateFramebuffer@104=_radv_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateFramebuffer=radv_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateFramebuffer_Null)(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@4=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@8=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@12=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@16=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@20=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@24=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@28=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@32=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@36=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@40=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@44=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@48=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@60=_sqtt_CreateFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateFramebuffer@104=_sqtt_CreateFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateFramebuffer=sqtt_CreateFramebuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateFramebuffer(VkDevice device, const VkFramebufferCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkFramebuffer* pFramebuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@4=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@8=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@12=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@16=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@20=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@24=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@28=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@32=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@36=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@40=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@44=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@48=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@60=_radv_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyFramebuffer@104=_radv_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyFramebuffer=radv_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyFramebuffer_Null)(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@4=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@8=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@12=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@16=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@20=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@24=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@28=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@32=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@36=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@40=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@44=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@48=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@60=_sqtt_DestroyFramebuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyFramebuffer@104=_sqtt_DestroyFramebuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyFramebuffer=sqtt_DestroyFramebuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyFramebuffer(VkDevice device, VkFramebuffer framebuffer, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@4=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@8=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@12=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@16=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@20=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@24=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@28=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@32=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@36=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@40=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@44=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@48=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@60=_radv_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass@104=_radv_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass=radv_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateRenderPass_Null)(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@4=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@8=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@12=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@16=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@20=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@24=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@28=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@32=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@36=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@40=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@44=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@48=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@60=_sqtt_CreateRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass@104=_sqtt_CreateRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass=sqtt_CreateRenderPass_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRenderPass(VkDevice device, const VkRenderPassCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@4=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@8=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@12=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@16=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@20=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@24=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@28=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@32=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@36=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@40=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@44=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@48=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@60=_radv_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyRenderPass@104=_radv_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyRenderPass=radv_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyRenderPass_Null)(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@4=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@8=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@12=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@16=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@20=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@24=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@28=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@32=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@36=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@40=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@44=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@48=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@60=_sqtt_DestroyRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyRenderPass@104=_sqtt_DestroyRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyRenderPass=sqtt_DestroyRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyRenderPass(VkDevice device, VkRenderPass renderPass, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@4=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@8=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@12=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@16=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@20=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@24=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@28=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@32=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@36=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@40=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@44=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@48=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@60=_radv_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRenderAreaGranularity@104=_radv_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRenderAreaGranularity=radv_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetRenderAreaGranularity_Null)(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@4=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@8=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@12=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@16=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@20=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@24=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@28=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@32=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@36=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@40=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@44=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@48=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@60=_sqtt_GetRenderAreaGranularity_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRenderAreaGranularity@104=_sqtt_GetRenderAreaGranularity_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetRenderAreaGranularity=sqtt_GetRenderAreaGranularity_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetRenderAreaGranularity(VkDevice device, VkRenderPass renderPass, VkExtent2D* pGranularity) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@4=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@8=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@12=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@16=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@20=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@24=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@28=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@32=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@36=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@40=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@44=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@48=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@60=_radv_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCommandPool@104=_radv_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateCommandPool=radv_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateCommandPool_Null)(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@4=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@8=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@12=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@16=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@20=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@24=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@28=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@32=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@36=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@40=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@44=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@48=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@60=_sqtt_CreateCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCommandPool@104=_sqtt_CreateCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateCommandPool=sqtt_CreateCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateCommandPool(VkDevice device, const VkCommandPoolCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCommandPool* pCommandPool) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@4=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@8=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@12=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@16=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@20=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@24=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@28=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@32=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@36=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@40=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@44=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@48=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@60=_radv_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCommandPool@104=_radv_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyCommandPool=radv_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyCommandPool_Null)(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@4=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@8=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@12=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@16=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@20=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@24=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@28=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@32=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@36=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@40=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@44=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@48=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@60=_sqtt_DestroyCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCommandPool@104=_sqtt_DestroyCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyCommandPool=sqtt_DestroyCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyCommandPool(VkDevice device, VkCommandPool commandPool, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@4=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@8=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@12=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@16=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@20=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@24=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@28=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@32=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@36=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@40=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@44=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@48=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@60=_radv_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandPool@104=_radv_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetCommandPool=radv_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ResetCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@4=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@8=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@12=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@16=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@20=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@24=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@28=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@32=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@36=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@40=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@44=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@48=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@60=_sqtt_ResetCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandPool@104=_sqtt_ResetCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetCommandPool=sqtt_ResetCommandPool_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@4=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@8=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@12=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@16=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@20=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@24=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@28=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@32=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@36=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@40=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@44=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@48=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@60=_radv_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_AllocateCommandBuffers@104=_radv_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AllocateCommandBuffers=radv_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AllocateCommandBuffers_Null)(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@4=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@8=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@12=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@16=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@20=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@24=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@28=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@32=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@36=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@40=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@44=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@48=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@60=_sqtt_AllocateCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AllocateCommandBuffers@104=_sqtt_AllocateCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AllocateCommandBuffers=sqtt_AllocateCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AllocateCommandBuffers(VkDevice device, const VkCommandBufferAllocateInfo* pAllocateInfo, VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@4=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@8=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@12=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@16=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@20=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@24=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@28=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@32=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@36=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@40=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@44=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@48=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@60=_radv_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_FreeCommandBuffers@104=_radv_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:radv_FreeCommandBuffers=radv_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_FreeCommandBuffers_Null)(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@4=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@8=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@12=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@16=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@20=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@24=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@28=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@32=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@36=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@40=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@44=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@48=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@60=_sqtt_FreeCommandBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_FreeCommandBuffers@104=_sqtt_FreeCommandBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_FreeCommandBuffers=sqtt_FreeCommandBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_FreeCommandBuffers(VkDevice device, VkCommandPool commandPool, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@4=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@8=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@12=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@16=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@20=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@24=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@28=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@32=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@36=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@40=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@44=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@48=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@60=_radv_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_BeginCommandBuffer@104=_radv_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BeginCommandBuffer=radv_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BeginCommandBuffer_Null)(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@4=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@8=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@12=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@16=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@20=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@24=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@28=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@32=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@36=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@40=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@44=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@48=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@60=_sqtt_BeginCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BeginCommandBuffer@104=_sqtt_BeginCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BeginCommandBuffer=sqtt_BeginCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BeginCommandBuffer(VkCommandBuffer commandBuffer, const VkCommandBufferBeginInfo* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@4=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@8=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@12=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@16=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@20=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@24=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@28=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@32=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@36=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@40=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@44=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@48=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@60=_radv_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_EndCommandBuffer@104=_radv_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_EndCommandBuffer=radv_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_EndCommandBuffer_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@4=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@8=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@12=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@16=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@20=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@24=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@28=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@32=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@36=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@40=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@44=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@48=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@60=_sqtt_EndCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_EndCommandBuffer@104=_sqtt_EndCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_EndCommandBuffer=sqtt_EndCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_EndCommandBuffer(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@4=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@8=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@12=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@16=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@20=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@24=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@28=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@32=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@36=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@40=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@44=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@48=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@60=_radv_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_ResetCommandBuffer@104=_radv_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ResetCommandBuffer=radv_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ResetCommandBuffer_Null)(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@4=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@8=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@12=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@16=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@20=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@24=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@28=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@32=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@36=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@40=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@44=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@48=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@60=_sqtt_ResetCommandBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ResetCommandBuffer@104=_sqtt_ResetCommandBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ResetCommandBuffer=sqtt_ResetCommandBuffer_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ResetCommandBuffer(VkCommandBuffer commandBuffer, VkCommandBufferResetFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@4=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@8=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@12=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@16=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@20=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@24=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@28=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@32=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@36=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@40=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@44=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@48=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@60=_radv_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipeline@104=_radv_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindPipeline=radv_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindPipeline_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@4=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@8=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@12=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@16=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@20=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@24=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@28=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@32=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@36=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@40=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@44=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@48=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@60=_sqtt_CmdBindPipeline_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipeline@104=_sqtt_CmdBindPipeline_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindPipeline=sqtt_CmdBindPipeline_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindPipeline(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@4=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@8=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@12=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@16=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@20=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@24=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@28=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@32=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@36=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@40=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@44=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@48=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@60=_radv_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewport@104=_radv_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetViewport=radv_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetViewport_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@4=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@8=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@12=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@16=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@20=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@24=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@28=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@32=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@36=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@40=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@44=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@48=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@60=_sqtt_CmdSetViewport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewport@104=_sqtt_CmdSetViewport_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewport=sqtt_CmdSetViewport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewport(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@4=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@8=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@12=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@16=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@20=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@24=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@28=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@32=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@36=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@40=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@44=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@48=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@60=_radv_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissor@104=_radv_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetScissor=radv_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetScissor_Null)(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@4=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@8=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@12=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@16=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@20=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@24=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@28=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@32=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@36=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@40=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@44=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@48=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@60=_sqtt_CmdSetScissor_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissor@104=_sqtt_CmdSetScissor_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetScissor=sqtt_CmdSetScissor_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetScissor(VkCommandBuffer commandBuffer, uint32_t firstScissor, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@4=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@8=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@12=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@16=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@20=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@24=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@28=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@32=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@36=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@40=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@44=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@48=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@60=_radv_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineWidth@104=_radv_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetLineWidth=radv_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetLineWidth_Null)(VkCommandBuffer commandBuffer, float lineWidth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@4=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@8=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@12=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@16=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@20=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@24=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@28=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@32=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@36=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@40=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@44=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@48=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@60=_sqtt_CmdSetLineWidth_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineWidth@104=_sqtt_CmdSetLineWidth_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLineWidth=sqtt_CmdSetLineWidth_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetLineWidth(VkCommandBuffer commandBuffer, float lineWidth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@4=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@8=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@12=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@16=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@20=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@24=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@28=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@32=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@36=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@40=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@44=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@48=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@60=_radv_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBias@104=_radv_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBias=radv_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthBias_Null)(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@4=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@8=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@12=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@16=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@20=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@24=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@28=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@32=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@36=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@40=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@44=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@48=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@60=_sqtt_CmdSetDepthBias_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBias@104=_sqtt_CmdSetDepthBias_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBias=sqtt_CmdSetDepthBias_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBias(VkCommandBuffer commandBuffer, float depthBiasConstantFactor, float depthBiasClamp, float depthBiasSlopeFactor) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@4=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@8=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@12=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@16=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@20=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@24=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@28=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@32=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@36=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@40=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@44=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@48=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@60=_radv_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetBlendConstants@104=_radv_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetBlendConstants=radv_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetBlendConstants_Null)(VkCommandBuffer commandBuffer, const float blendConstants[4]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@4=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@8=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@12=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@16=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@20=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@24=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@28=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@32=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@36=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@40=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@44=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@48=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@60=_sqtt_CmdSetBlendConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetBlendConstants@104=_sqtt_CmdSetBlendConstants_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetBlendConstants=sqtt_CmdSetBlendConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetBlendConstants(VkCommandBuffer commandBuffer, const float blendConstants[4]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@4=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@8=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@12=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@16=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@20=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@24=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@28=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@32=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@36=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@40=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@44=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@48=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@60=_radv_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBounds@104=_radv_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBounds=radv_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthBounds_Null)(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@4=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@8=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@12=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@16=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@20=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@24=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@28=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@32=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@36=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@40=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@44=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@48=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@60=_sqtt_CmdSetDepthBounds_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBounds@104=_sqtt_CmdSetDepthBounds_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBounds=sqtt_CmdSetDepthBounds_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBounds(VkCommandBuffer commandBuffer, float minDepthBounds, float maxDepthBounds) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@4=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@8=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@12=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@16=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@20=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@24=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@28=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@32=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@36=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@40=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@44=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@48=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@60=_radv_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilCompareMask@104=_radv_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilCompareMask=radv_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetStencilCompareMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@4=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@8=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@12=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@16=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@20=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@24=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@28=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@32=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@36=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@40=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@44=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@48=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@60=_sqtt_CmdSetStencilCompareMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilCompareMask@104=_sqtt_CmdSetStencilCompareMask_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilCompareMask=sqtt_CmdSetStencilCompareMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilCompareMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t compareMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@4=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@8=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@12=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@16=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@20=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@24=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@28=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@32=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@36=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@40=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@44=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@48=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@60=_radv_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilWriteMask@104=_radv_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilWriteMask=radv_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetStencilWriteMask_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@4=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@8=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@12=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@16=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@20=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@24=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@28=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@32=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@36=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@40=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@44=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@48=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@60=_sqtt_CmdSetStencilWriteMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilWriteMask@104=_sqtt_CmdSetStencilWriteMask_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilWriteMask=sqtt_CmdSetStencilWriteMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilWriteMask(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t writeMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@4=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@8=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@12=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@16=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@20=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@24=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@28=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@32=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@36=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@40=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@44=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@48=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@60=_radv_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilReference@104=_radv_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilReference=radv_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetStencilReference_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@4=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@8=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@12=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@16=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@20=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@24=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@28=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@32=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@36=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@40=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@44=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@48=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@60=_sqtt_CmdSetStencilReference_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilReference@104=_sqtt_CmdSetStencilReference_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilReference=sqtt_CmdSetStencilReference_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilReference(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, uint32_t reference) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@4=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@8=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@12=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@16=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@20=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@24=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@28=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@32=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@36=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@40=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@44=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@48=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@60=_radv_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindDescriptorSets@104=_radv_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindDescriptorSets=radv_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindDescriptorSets_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@4=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@8=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@12=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@16=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@20=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@24=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@28=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@32=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@36=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@40=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@44=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@48=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@60=_sqtt_CmdBindDescriptorSets_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindDescriptorSets@104=_sqtt_CmdBindDescriptorSets_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindDescriptorSets=sqtt_CmdBindDescriptorSets_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindDescriptorSets(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t firstSet, uint32_t descriptorSetCount, const VkDescriptorSet* pDescriptorSets, uint32_t dynamicOffsetCount, const uint32_t* pDynamicOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@4=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@8=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@12=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@16=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@20=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@24=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@28=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@32=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@36=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@40=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@44=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@48=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@60=_radv_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindIndexBuffer@104=_radv_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindIndexBuffer=radv_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindIndexBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@4=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@8=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@12=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@16=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@20=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@24=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@28=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@32=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@36=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@40=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@44=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@48=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@60=_sqtt_CmdBindIndexBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindIndexBuffer@104=_sqtt_CmdBindIndexBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindIndexBuffer=sqtt_CmdBindIndexBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindIndexBuffer(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkIndexType indexType) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@4=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@8=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@12=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@16=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@20=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@24=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@28=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@32=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@36=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@40=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@44=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@48=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@60=_radv_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers@104=_radv_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindVertexBuffers=radv_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindVertexBuffers_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@4=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@8=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@12=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@16=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@20=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@24=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@28=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@32=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@36=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@40=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@44=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@48=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@60=_sqtt_CmdBindVertexBuffers_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers@104=_sqtt_CmdBindVertexBuffers_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindVertexBuffers=sqtt_CmdBindVertexBuffers_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindVertexBuffers(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@4=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@8=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@12=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@16=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@20=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@24=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@28=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@32=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@36=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@40=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@44=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@48=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@60=_radv_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDraw@104=_radv_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDraw=radv_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDraw_Null)(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@4=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@8=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@12=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@16=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@20=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@24=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@28=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@32=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@36=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@40=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@44=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@48=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@60=_sqtt_CmdDraw_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDraw@104=_sqtt_CmdDraw_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDraw=sqtt_CmdDraw_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDraw(VkCommandBuffer commandBuffer, uint32_t vertexCount, uint32_t instanceCount, uint32_t firstVertex, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@4=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@8=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@12=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@16=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@20=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@24=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@28=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@32=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@36=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@40=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@44=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@48=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@60=_radv_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexed@104=_radv_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexed=radv_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndexed_Null)(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@4=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@8=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@12=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@16=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@20=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@24=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@28=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@32=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@36=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@40=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@44=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@48=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@60=_sqtt_CmdDrawIndexed_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexed@104=_sqtt_CmdDrawIndexed_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexed=sqtt_CmdDrawIndexed_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexed(VkCommandBuffer commandBuffer, uint32_t indexCount, uint32_t instanceCount, uint32_t firstIndex, int32_t vertexOffset, uint32_t firstInstance) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@4=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@8=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@12=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@16=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@20=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@24=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@28=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@32=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@36=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@40=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@44=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@48=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@60=_radv_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiEXT@104=_radv_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawMultiEXT=radv_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawMultiEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@4=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@8=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@12=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@16=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@20=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@24=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@28=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@32=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@36=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@40=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@44=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@48=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@60=_sqtt_CmdDrawMultiEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiEXT@104=_sqtt_CmdDrawMultiEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMultiEXT=sqtt_CmdDrawMultiEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMultiEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawInfoEXT* pVertexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@4=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@8=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@12=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@16=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@20=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@24=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@28=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@32=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@36=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@40=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@44=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@48=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@60=_radv_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMultiIndexedEXT@104=_radv_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawMultiIndexedEXT=radv_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawMultiIndexedEXT_Null)(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@4=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@8=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@12=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@16=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@20=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@24=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@28=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@32=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@36=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@40=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@44=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@48=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@60=_sqtt_CmdDrawMultiIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMultiIndexedEXT@104=_sqtt_CmdDrawMultiIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMultiIndexedEXT=sqtt_CmdDrawMultiIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMultiIndexedEXT(VkCommandBuffer commandBuffer, uint32_t drawCount, const VkMultiDrawIndexedInfoEXT* pIndexInfo, uint32_t instanceCount, uint32_t firstInstance, uint32_t stride, const int32_t* pVertexOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@4=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@8=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@12=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@16=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@20=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@24=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@28=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@32=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@36=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@40=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@44=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@48=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@60=_radv_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirect@104=_radv_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirect=radv_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@4=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@8=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@12=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@16=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@20=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@24=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@28=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@32=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@36=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@40=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@44=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@48=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@60=_sqtt_CmdDrawIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirect@104=_sqtt_CmdDrawIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirect=sqtt_CmdDrawIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@4=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@8=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@12=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@16=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@20=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@24=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@28=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@32=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@36=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@40=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@44=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@48=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@60=_radv_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirect@104=_radv_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirect=radv_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndexedIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@4=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@8=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@12=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@16=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@20=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@24=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@28=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@32=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@36=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@40=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@44=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@48=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@60=_sqtt_CmdDrawIndexedIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirect@104=_sqtt_CmdDrawIndexedIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirect=sqtt_CmdDrawIndexedIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@4=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@8=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@12=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@16=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@20=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@24=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@28=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@32=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@36=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@40=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@44=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@48=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@60=_radv_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatch@104=_radv_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDispatch=radv_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDispatch_Null)(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@4=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@8=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@12=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@16=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@20=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@24=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@28=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@32=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@36=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@40=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@44=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@48=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@60=_sqtt_CmdDispatch_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatch@104=_sqtt_CmdDispatch_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatch=sqtt_CmdDispatch_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatch(VkCommandBuffer commandBuffer, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@4=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@8=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@12=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@16=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@20=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@24=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@28=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@32=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@36=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@40=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@44=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@48=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@60=_radv_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchIndirect@104=_radv_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDispatchIndirect=radv_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDispatchIndirect_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@4=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@8=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@12=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@16=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@20=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@24=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@28=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@32=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@36=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@40=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@44=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@48=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@60=_sqtt_CmdDispatchIndirect_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchIndirect@104=_sqtt_CmdDispatchIndirect_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchIndirect=sqtt_CmdDispatchIndirect_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatchIndirect(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@4=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@8=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@12=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@16=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@20=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@24=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@28=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@32=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@36=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@40=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@44=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@48=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@60=_radv_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSubpassShadingHUAWEI@104=_radv_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSubpassShadingHUAWEI=radv_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSubpassShadingHUAWEI_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@4=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@8=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@12=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@16=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@20=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@24=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@28=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@32=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@36=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@40=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@44=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@48=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@60=_sqtt_CmdSubpassShadingHUAWEI_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSubpassShadingHUAWEI@104=_sqtt_CmdSubpassShadingHUAWEI_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSubpassShadingHUAWEI=sqtt_CmdSubpassShadingHUAWEI_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSubpassShadingHUAWEI(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@4=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@8=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@12=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@16=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@20=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@24=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@28=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@32=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@36=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@40=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@44=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@48=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@60=_radv_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer@104=_radv_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyBuffer=radv_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@4=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@8=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@12=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@16=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@20=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@24=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@28=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@32=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@36=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@40=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@44=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@48=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@60=_sqtt_CmdCopyBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer@104=_sqtt_CmdCopyBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBuffer=sqtt_CmdCopyBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBuffer(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@4=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@8=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@12=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@16=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@20=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@24=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@28=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@32=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@36=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@40=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@44=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@48=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@60=_radv_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage@104=_radv_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyImage=radv_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@4=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@8=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@12=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@16=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@20=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@24=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@28=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@32=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@36=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@40=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@44=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@48=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@60=_sqtt_CmdCopyImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage@104=_sqtt_CmdCopyImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImage=sqtt_CmdCopyImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@4=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@8=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@12=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@16=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@20=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@24=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@28=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@32=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@36=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@40=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@44=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@48=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@60=_radv_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage@104=_radv_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBlitImage=radv_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBlitImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@4=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@8=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@12=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@16=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@20=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@24=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@28=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@32=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@36=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@40=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@44=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@48=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@60=_sqtt_CmdBlitImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage@104=_sqtt_CmdBlitImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBlitImage=sqtt_CmdBlitImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBlitImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageBlit* pRegions, VkFilter filter) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@4=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@8=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@12=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@16=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@20=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@24=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@28=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@32=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@36=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@40=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@44=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@48=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@60=_radv_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage@104=_radv_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyBufferToImage=radv_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyBufferToImage_Null)(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@4=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@8=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@12=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@16=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@20=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@24=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@28=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@32=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@36=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@40=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@44=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@48=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@60=_sqtt_CmdCopyBufferToImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage@104=_sqtt_CmdCopyBufferToImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBufferToImage=sqtt_CmdCopyBufferToImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBufferToImage(VkCommandBuffer commandBuffer, VkBuffer srcBuffer, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@4=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@8=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@12=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@16=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@20=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@24=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@28=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@32=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@36=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@40=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@44=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@48=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@60=_radv_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer@104=_radv_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyImageToBuffer=radv_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyImageToBuffer_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@4=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@8=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@12=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@16=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@20=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@24=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@28=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@32=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@36=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@40=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@44=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@48=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@60=_sqtt_CmdCopyImageToBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer@104=_sqtt_CmdCopyImageToBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImageToBuffer=sqtt_CmdCopyImageToBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImageToBuffer(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkBuffer dstBuffer, uint32_t regionCount, const VkBufferImageCopy* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@4=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@8=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@12=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@16=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@20=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@24=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@28=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@32=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@36=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@40=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@44=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@48=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@60=_radv_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdUpdateBuffer@104=_radv_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdUpdateBuffer=radv_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdUpdateBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@4=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@8=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@12=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@16=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@20=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@24=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@28=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@32=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@36=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@40=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@44=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@48=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@60=_sqtt_CmdUpdateBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdUpdateBuffer@104=_sqtt_CmdUpdateBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdUpdateBuffer=sqtt_CmdUpdateBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdUpdateBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize dataSize, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@4=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@8=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@12=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@16=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@20=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@24=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@28=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@32=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@36=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@40=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@44=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@48=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@60=_radv_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdFillBuffer@104=_radv_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdFillBuffer=radv_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdFillBuffer_Null)(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@4=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@8=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@12=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@16=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@20=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@24=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@28=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@32=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@36=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@40=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@44=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@48=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@60=_sqtt_CmdFillBuffer_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdFillBuffer@104=_sqtt_CmdFillBuffer_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdFillBuffer=sqtt_CmdFillBuffer_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdFillBuffer(VkCommandBuffer commandBuffer, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize size, uint32_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@4=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@8=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@12=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@16=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@20=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@24=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@28=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@32=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@36=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@40=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@44=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@48=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@60=_radv_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearColorImage@104=_radv_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdClearColorImage=radv_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdClearColorImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@4=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@8=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@12=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@16=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@20=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@24=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@28=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@32=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@36=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@40=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@44=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@48=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@60=_sqtt_CmdClearColorImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearColorImage@104=_sqtt_CmdClearColorImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdClearColorImage=sqtt_CmdClearColorImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdClearColorImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearColorValue* pColor, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@4=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@8=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@12=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@16=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@20=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@24=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@28=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@32=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@36=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@40=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@44=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@48=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@60=_radv_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearDepthStencilImage@104=_radv_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdClearDepthStencilImage=radv_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdClearDepthStencilImage_Null)(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@4=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@8=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@12=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@16=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@20=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@24=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@28=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@32=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@36=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@40=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@44=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@48=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@60=_sqtt_CmdClearDepthStencilImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearDepthStencilImage@104=_sqtt_CmdClearDepthStencilImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdClearDepthStencilImage=sqtt_CmdClearDepthStencilImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdClearDepthStencilImage(VkCommandBuffer commandBuffer, VkImage image, VkImageLayout imageLayout, const VkClearDepthStencilValue* pDepthStencil, uint32_t rangeCount, const VkImageSubresourceRange* pRanges) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@4=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@8=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@12=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@16=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@20=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@24=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@28=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@32=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@36=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@40=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@44=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@48=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@60=_radv_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdClearAttachments@104=_radv_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdClearAttachments=radv_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdClearAttachments_Null)(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@4=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@8=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@12=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@16=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@20=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@24=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@28=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@32=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@36=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@40=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@44=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@48=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@60=_sqtt_CmdClearAttachments_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdClearAttachments@104=_sqtt_CmdClearAttachments_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdClearAttachments=sqtt_CmdClearAttachments_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdClearAttachments(VkCommandBuffer commandBuffer, uint32_t attachmentCount, const VkClearAttachment* pAttachments, uint32_t rectCount, const VkClearRect* pRects) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@4=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@8=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@12=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@16=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@20=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@24=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@28=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@32=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@36=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@40=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@44=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@48=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@60=_radv_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage@104=_radv_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdResolveImage=radv_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdResolveImage_Null)(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@4=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@8=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@12=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@16=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@20=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@24=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@28=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@32=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@36=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@40=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@44=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@48=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@60=_sqtt_CmdResolveImage_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage@104=_sqtt_CmdResolveImage_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdResolveImage=sqtt_CmdResolveImage_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResolveImage(VkCommandBuffer commandBuffer, VkImage srcImage, VkImageLayout srcImageLayout, VkImage dstImage, VkImageLayout dstImageLayout, uint32_t regionCount, const VkImageResolve* pRegions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@4=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@8=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@12=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@16=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@20=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@24=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@28=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@32=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@36=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@40=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@44=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@48=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@60=_radv_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent@104=_radv_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetEvent=radv_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@4=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@8=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@12=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@16=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@20=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@24=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@28=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@32=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@36=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@40=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@44=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@48=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@60=_sqtt_CmdSetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent@104=_sqtt_CmdSetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetEvent=sqtt_CmdSetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@4=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@8=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@12=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@16=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@20=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@24=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@28=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@32=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@36=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@40=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@44=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@48=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@60=_radv_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent@104=_radv_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdResetEvent=radv_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdResetEvent_Null)(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@4=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@8=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@12=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@16=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@20=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@24=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@28=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@32=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@36=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@40=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@44=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@48=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@60=_sqtt_CmdResetEvent_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent@104=_sqtt_CmdResetEvent_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdResetEvent=sqtt_CmdResetEvent_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResetEvent(VkCommandBuffer commandBuffer, VkEvent event, VkPipelineStageFlags stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@4=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@8=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@12=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@16=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@20=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@24=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@28=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@32=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@36=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@40=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@44=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@48=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@60=_radv_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents@104=_radv_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWaitEvents=radv_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWaitEvents_Null)(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@4=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@8=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@12=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@16=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@20=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@24=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@28=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@32=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@36=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@40=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@44=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@48=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@60=_sqtt_CmdWaitEvents_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents@104=_sqtt_CmdWaitEvents_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWaitEvents=sqtt_CmdWaitEvents_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWaitEvents(VkCommandBuffer commandBuffer, uint32_t eventCount, const VkEvent* pEvents, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@4=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@8=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@12=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@16=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@20=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@24=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@28=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@32=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@36=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@40=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@44=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@48=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@60=_radv_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier@104=_radv_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdPipelineBarrier=radv_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdPipelineBarrier_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@4=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@8=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@12=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@16=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@20=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@24=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@28=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@32=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@36=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@40=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@44=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@48=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@60=_sqtt_CmdPipelineBarrier_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier@104=_sqtt_CmdPipelineBarrier_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdPipelineBarrier=sqtt_CmdPipelineBarrier_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPipelineBarrier(VkCommandBuffer commandBuffer, VkPipelineStageFlags srcStageMask, VkPipelineStageFlags dstStageMask, VkDependencyFlags dependencyFlags, uint32_t memoryBarrierCount, const VkMemoryBarrier* pMemoryBarriers, uint32_t bufferMemoryBarrierCount, const VkBufferMemoryBarrier* pBufferMemoryBarriers, uint32_t imageMemoryBarrierCount, const VkImageMemoryBarrier* pImageMemoryBarriers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@4=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@8=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@12=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@16=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@20=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@24=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@28=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@32=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@36=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@40=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@44=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@48=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@60=_radv_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQuery@104=_radv_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginQuery=radv_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@4=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@8=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@12=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@16=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@20=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@24=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@28=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@32=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@36=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@40=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@44=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@48=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@60=_sqtt_CmdBeginQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQuery@104=_sqtt_CmdBeginQuery_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginQuery=sqtt_CmdBeginQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@4=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@8=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@12=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@16=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@20=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@24=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@28=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@32=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@36=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@40=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@44=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@48=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@60=_radv_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQuery@104=_radv_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndQuery=radv_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndQuery_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@4=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@8=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@12=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@16=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@20=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@24=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@28=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@32=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@36=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@40=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@44=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@48=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@60=_sqtt_CmdEndQuery_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQuery@104=_sqtt_CmdEndQuery_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndQuery=sqtt_CmdEndQuery_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndQuery(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@4=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@8=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@12=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@16=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@20=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@24=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@28=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@32=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@36=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@40=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@44=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@48=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@60=_radv_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginConditionalRenderingEXT@104=_radv_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginConditionalRenderingEXT=radv_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@4=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@8=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@12=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@16=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@20=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@24=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@28=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@32=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@36=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@40=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@44=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@48=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@60=_sqtt_CmdBeginConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginConditionalRenderingEXT@104=_sqtt_CmdBeginConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginConditionalRenderingEXT=sqtt_CmdBeginConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginConditionalRenderingEXT(VkCommandBuffer commandBuffer, const VkConditionalRenderingBeginInfoEXT* pConditionalRenderingBegin) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@4=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@8=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@12=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@16=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@20=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@24=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@28=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@32=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@36=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@40=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@44=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@48=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@60=_radv_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndConditionalRenderingEXT@104=_radv_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndConditionalRenderingEXT=radv_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndConditionalRenderingEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@4=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@8=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@12=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@16=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@20=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@24=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@28=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@32=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@36=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@40=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@44=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@48=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@60=_sqtt_CmdEndConditionalRenderingEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndConditionalRenderingEXT@104=_sqtt_CmdEndConditionalRenderingEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndConditionalRenderingEXT=sqtt_CmdEndConditionalRenderingEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndConditionalRenderingEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@4=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@8=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@12=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@16=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@20=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@24=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@28=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@32=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@36=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@40=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@44=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@48=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@60=_radv_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetQueryPool@104=_radv_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdResetQueryPool=radv_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdResetQueryPool_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@4=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@8=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@12=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@16=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@20=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@24=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@28=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@32=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@36=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@40=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@44=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@48=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@60=_sqtt_CmdResetQueryPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetQueryPool@104=_sqtt_CmdResetQueryPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdResetQueryPool=sqtt_CmdResetQueryPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResetQueryPool(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@4=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@8=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@12=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@16=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@20=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@24=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@28=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@32=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@36=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@40=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@44=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@48=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@60=_radv_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp@104=_radv_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWriteTimestamp=radv_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWriteTimestamp_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@4=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@8=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@12=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@16=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@20=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@24=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@28=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@32=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@36=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@40=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@44=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@48=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@60=_sqtt_CmdWriteTimestamp_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp@104=_sqtt_CmdWriteTimestamp_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteTimestamp=sqtt_CmdWriteTimestamp_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteTimestamp(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkQueryPool queryPool, uint32_t query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@4=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@8=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@12=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@16=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@20=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@24=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@28=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@32=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@36=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@40=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@44=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@48=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@60=_radv_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyQueryPoolResults@104=_radv_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyQueryPoolResults=radv_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyQueryPoolResults_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@4=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@8=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@12=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@16=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@20=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@24=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@28=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@32=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@36=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@40=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@44=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@48=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@60=_sqtt_CmdCopyQueryPoolResults_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyQueryPoolResults@104=_sqtt_CmdCopyQueryPoolResults_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyQueryPoolResults=sqtt_CmdCopyQueryPoolResults_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyQueryPoolResults(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t firstQuery, uint32_t queryCount, VkBuffer dstBuffer, VkDeviceSize dstOffset, VkDeviceSize stride, VkQueryResultFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@4=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@8=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@12=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@16=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@20=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@24=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@28=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@32=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@36=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@40=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@44=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@48=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@60=_radv_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushConstants@104=_radv_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdPushConstants=radv_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdPushConstants_Null)(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@4=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@8=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@12=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@16=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@20=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@24=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@28=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@32=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@36=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@40=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@44=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@48=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@60=_sqtt_CmdPushConstants_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushConstants@104=_sqtt_CmdPushConstants_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdPushConstants=sqtt_CmdPushConstants_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPushConstants(VkCommandBuffer commandBuffer, VkPipelineLayout layout, VkShaderStageFlags stageFlags, uint32_t offset, uint32_t size, const void* pValues) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@4=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@8=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@12=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@16=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@20=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@24=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@28=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@32=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@36=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@40=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@44=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@48=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@60=_radv_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass@104=_radv_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass=radv_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginRenderPass_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@4=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@8=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@12=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@16=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@20=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@24=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@28=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@32=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@36=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@40=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@44=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@48=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@60=_sqtt_CmdBeginRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass@104=_sqtt_CmdBeginRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass=sqtt_CmdBeginRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginRenderPass(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo* pRenderPassBegin, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@4=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@8=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@12=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@16=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@20=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@24=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@28=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@32=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@36=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@40=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@44=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@48=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@60=_radv_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass@104=_radv_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass=radv_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdNextSubpass_Null)(VkCommandBuffer commandBuffer, VkSubpassContents contents) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@4=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@8=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@12=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@16=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@20=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@24=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@28=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@32=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@36=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@40=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@44=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@48=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@60=_sqtt_CmdNextSubpass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass@104=_sqtt_CmdNextSubpass_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass=sqtt_CmdNextSubpass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdNextSubpass(VkCommandBuffer commandBuffer, VkSubpassContents contents) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@4=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@8=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@12=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@16=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@20=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@24=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@28=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@32=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@36=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@40=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@44=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@48=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@60=_radv_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass@104=_radv_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass=radv_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndRenderPass_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@4=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@8=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@12=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@16=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@20=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@24=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@28=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@32=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@36=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@40=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@44=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@48=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@60=_sqtt_CmdEndRenderPass_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass@104=_sqtt_CmdEndRenderPass_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass=sqtt_CmdEndRenderPass_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndRenderPass(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@4=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@8=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@12=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@16=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@20=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@24=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@28=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@32=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@36=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@40=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@44=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@48=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@60=_radv_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteCommands@104=_radv_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdExecuteCommands=radv_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdExecuteCommands_Null)(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@4=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@8=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@12=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@16=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@20=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@24=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@28=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@32=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@36=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@40=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@44=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@48=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@60=_sqtt_CmdExecuteCommands_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteCommands@104=_sqtt_CmdExecuteCommands_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdExecuteCommands=sqtt_CmdExecuteCommands_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdExecuteCommands(VkCommandBuffer commandBuffer, uint32_t commandBufferCount, const VkCommandBuffer* pCommandBuffers) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@4=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@8=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@12=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@16=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@20=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@24=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@28=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@32=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@36=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@40=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@44=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@48=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@60=_radv_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSharedSwapchainsKHR@104=_radv_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateSharedSwapchainsKHR=radv_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateSharedSwapchainsKHR_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@4=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@8=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@12=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@16=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@20=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@24=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@28=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@32=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@36=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@40=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@44=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@48=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@60=_sqtt_CreateSharedSwapchainsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSharedSwapchainsKHR@104=_sqtt_CreateSharedSwapchainsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateSharedSwapchainsKHR=sqtt_CreateSharedSwapchainsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSharedSwapchainsKHR(VkDevice device, uint32_t swapchainCount, const VkSwapchainCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchains) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@4=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@8=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@12=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@16=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@20=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@24=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@28=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@32=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@36=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@40=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@44=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@48=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@60=_radv_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSwapchainKHR@104=_radv_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateSwapchainKHR=radv_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateSwapchainKHR_Null)(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@4=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@8=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@12=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@16=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@20=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@24=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@28=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@32=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@36=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@40=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@44=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@48=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@60=_sqtt_CreateSwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSwapchainKHR@104=_sqtt_CreateSwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateSwapchainKHR=sqtt_CreateSwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSwapchainKHR(VkDevice device, const VkSwapchainCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSwapchainKHR* pSwapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@4=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@8=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@12=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@16=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@20=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@24=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@28=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@32=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@36=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@40=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@44=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@48=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@60=_radv_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySwapchainKHR@104=_radv_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroySwapchainKHR=radv_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroySwapchainKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@4=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@8=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@12=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@16=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@20=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@24=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@28=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@32=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@36=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@40=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@44=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@48=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@60=_sqtt_DestroySwapchainKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySwapchainKHR@104=_sqtt_DestroySwapchainKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroySwapchainKHR=sqtt_DestroySwapchainKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySwapchainKHR(VkDevice device, VkSwapchainKHR swapchain, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@4=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@8=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@12=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@16=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@20=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@24=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@28=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@32=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@36=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@40=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@44=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@48=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@60=_radv_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainImagesKHR@104=_radv_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSwapchainImagesKHR=radv_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSwapchainImagesKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@4=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@8=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@12=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@16=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@20=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@24=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@28=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@32=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@36=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@40=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@44=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@48=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@60=_sqtt_GetSwapchainImagesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainImagesKHR@104=_sqtt_GetSwapchainImagesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainImagesKHR=sqtt_GetSwapchainImagesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainImagesKHR(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pSwapchainImageCount, VkImage* pSwapchainImages) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@4=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@8=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@12=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@16=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@20=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@24=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@28=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@32=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@36=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@40=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@44=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@48=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@60=_radv_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImageKHR@104=_radv_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireNextImageKHR=radv_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AcquireNextImageKHR_Null)(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@4=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@8=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@12=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@16=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@20=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@24=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@28=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@32=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@36=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@40=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@44=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@48=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@60=_sqtt_AcquireNextImageKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImageKHR@104=_sqtt_AcquireNextImageKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AcquireNextImageKHR=sqtt_AcquireNextImageKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireNextImageKHR(VkDevice device, VkSwapchainKHR swapchain, uint64_t timeout, VkSemaphore semaphore, VkFence fence, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@4=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@8=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@12=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@16=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@20=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@24=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@28=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@32=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@36=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@40=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@44=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@48=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@60=_radv_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueuePresentKHR@104=_radv_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueuePresentKHR=radv_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueuePresentKHR_Null)(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@4=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@8=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@12=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@16=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@20=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@24=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@28=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@32=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@36=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@40=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@44=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@48=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@60=_sqtt_QueuePresentKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueuePresentKHR@104=_sqtt_QueuePresentKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueuePresentKHR=sqtt_QueuePresentKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueuePresentKHR(VkQueue queue, const VkPresentInfoKHR* pPresentInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@4=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@8=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@12=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@16=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@20=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@24=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@28=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@32=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@36=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@40=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@44=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@48=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@60=_radv_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectNameEXT@104=_radv_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DebugMarkerSetObjectNameEXT=radv_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_DebugMarkerSetObjectNameEXT_Null)(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@4=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@8=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@12=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@16=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@20=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@24=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@28=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@32=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@36=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@40=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@44=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@48=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@60=_sqtt_DebugMarkerSetObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectNameEXT@104=_sqtt_DebugMarkerSetObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DebugMarkerSetObjectNameEXT=sqtt_DebugMarkerSetObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DebugMarkerSetObjectNameEXT(VkDevice device, const VkDebugMarkerObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@4=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@8=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@12=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@16=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@20=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@24=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@28=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@32=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@36=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@40=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@44=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@48=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@60=_radv_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DebugMarkerSetObjectTagEXT@104=_radv_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DebugMarkerSetObjectTagEXT=radv_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_DebugMarkerSetObjectTagEXT_Null)(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@4=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@8=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@12=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@16=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@20=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@24=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@28=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@32=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@36=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@40=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@44=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@48=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@60=_sqtt_DebugMarkerSetObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DebugMarkerSetObjectTagEXT@104=_sqtt_DebugMarkerSetObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DebugMarkerSetObjectTagEXT=sqtt_DebugMarkerSetObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DebugMarkerSetObjectTagEXT(VkDevice device, const VkDebugMarkerObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@4=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@8=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@12=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@16=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@20=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@24=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@28=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@32=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@36=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@40=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@44=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@48=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@60=_radv_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerBeginEXT@104=_radv_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerBeginEXT=radv_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDebugMarkerBeginEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@4=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@8=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@12=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@16=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@20=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@24=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@28=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@32=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@36=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@40=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@44=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@48=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@60=_sqtt_CmdDebugMarkerBeginEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerBeginEXT@104=_sqtt_CmdDebugMarkerBeginEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerBeginEXT=sqtt_CmdDebugMarkerBeginEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDebugMarkerBeginEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@4=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@8=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@12=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@16=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@20=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@24=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@28=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@32=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@36=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@40=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@44=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@48=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@60=_radv_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerEndEXT@104=_radv_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerEndEXT=radv_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDebugMarkerEndEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@4=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@8=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@12=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@16=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@20=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@24=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@28=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@32=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@36=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@40=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@44=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@48=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@60=_sqtt_CmdDebugMarkerEndEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerEndEXT@104=_sqtt_CmdDebugMarkerEndEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerEndEXT=sqtt_CmdDebugMarkerEndEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDebugMarkerEndEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@4=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@8=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@12=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@16=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@20=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@24=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@28=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@32=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@36=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@40=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@44=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@48=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@60=_radv_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDebugMarkerInsertEXT@104=_radv_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDebugMarkerInsertEXT=radv_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDebugMarkerInsertEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@4=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@8=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@12=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@16=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@20=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@24=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@28=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@32=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@36=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@40=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@44=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@48=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@60=_sqtt_CmdDebugMarkerInsertEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDebugMarkerInsertEXT@104=_sqtt_CmdDebugMarkerInsertEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDebugMarkerInsertEXT=sqtt_CmdDebugMarkerInsertEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDebugMarkerInsertEXT(VkCommandBuffer commandBuffer, const VkDebugMarkerMarkerInfoEXT* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@4=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@8=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@12=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@16=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@20=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@24=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@28=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@32=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@36=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@40=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@44=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@48=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@60=_radv_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleNV@104=_radv_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandleNV=radv_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryWin32HandleNV_Null)(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@4=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@8=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@12=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@16=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@20=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@24=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@28=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@32=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@36=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@40=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@44=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@48=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@60=_sqtt_GetMemoryWin32HandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleNV@104=_sqtt_GetMemoryWin32HandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandleNV=sqtt_GetMemoryWin32HandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryWin32HandleNV(VkDevice device, VkDeviceMemory memory, VkExternalMemoryHandleTypeFlagsNV handleType, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    void (*radv_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@4=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@8=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@12=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@16=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@20=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@24=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@28=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@32=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@36=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@40=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@44=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@48=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@60=_radv_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdExecuteGeneratedCommandsNV@104=_radv_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdExecuteGeneratedCommandsNV=radv_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdExecuteGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@4=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@8=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@12=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@16=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@20=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@24=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@28=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@32=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@36=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@40=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@44=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@48=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@60=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdExecuteGeneratedCommandsNV@104=_sqtt_CmdExecuteGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdExecuteGeneratedCommandsNV=sqtt_CmdExecuteGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdExecuteGeneratedCommandsNV(VkCommandBuffer commandBuffer, VkBool32 isPreprocessed, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@4=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@8=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@12=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@16=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@20=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@24=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@28=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@32=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@36=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@40=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@44=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@48=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@60=_radv_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPreprocessGeneratedCommandsNV@104=_radv_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdPreprocessGeneratedCommandsNV=radv_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdPreprocessGeneratedCommandsNV_Null)(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@4=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@8=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@12=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@16=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@20=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@24=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@28=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@32=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@36=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@40=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@44=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@48=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@60=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPreprocessGeneratedCommandsNV@104=_sqtt_CmdPreprocessGeneratedCommandsNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdPreprocessGeneratedCommandsNV=sqtt_CmdPreprocessGeneratedCommandsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPreprocessGeneratedCommandsNV(VkCommandBuffer commandBuffer, const VkGeneratedCommandsInfoNV* pGeneratedCommandsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@4=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@8=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@12=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@16=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@20=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@24=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@28=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@32=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@36=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@40=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@44=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@48=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@60=_radv_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindPipelineShaderGroupNV@104=_radv_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindPipelineShaderGroupNV=radv_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindPipelineShaderGroupNV_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@4=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@8=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@12=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@16=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@20=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@24=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@28=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@32=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@36=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@40=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@44=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@48=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@60=_sqtt_CmdBindPipelineShaderGroupNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindPipelineShaderGroupNV@104=_sqtt_CmdBindPipelineShaderGroupNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindPipelineShaderGroupNV=sqtt_CmdBindPipelineShaderGroupNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindPipelineShaderGroupNV(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipeline pipeline, uint32_t groupIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@4=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@8=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@12=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@16=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@20=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@24=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@28=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@32=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@36=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@40=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@44=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@48=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@60=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetGeneratedCommandsMemoryRequirementsNV@104=_radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetGeneratedCommandsMemoryRequirementsNV=radv_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null)(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@4=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@8=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@12=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@16=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@20=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@24=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@28=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@32=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@36=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@40=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@44=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@48=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@60=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetGeneratedCommandsMemoryRequirementsNV@104=_sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetGeneratedCommandsMemoryRequirementsNV=sqtt_GetGeneratedCommandsMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetGeneratedCommandsMemoryRequirementsNV(VkDevice device, const VkGeneratedCommandsMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@4=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@8=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@12=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@16=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@20=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@24=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@28=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@32=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@36=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@40=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@44=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@48=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@60=_radv_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateIndirectCommandsLayoutNV@104=_radv_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateIndirectCommandsLayoutNV=radv_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateIndirectCommandsLayoutNV_Null)(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@4=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@8=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@12=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@16=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@20=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@24=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@28=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@32=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@36=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@40=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@44=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@48=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@60=_sqtt_CreateIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateIndirectCommandsLayoutNV@104=_sqtt_CreateIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateIndirectCommandsLayoutNV=sqtt_CreateIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateIndirectCommandsLayoutNV(VkDevice device, const VkIndirectCommandsLayoutCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkIndirectCommandsLayoutNV* pIndirectCommandsLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@4=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@8=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@12=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@16=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@20=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@24=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@28=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@32=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@36=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@40=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@44=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@48=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@60=_radv_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyIndirectCommandsLayoutNV@104=_radv_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyIndirectCommandsLayoutNV=radv_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyIndirectCommandsLayoutNV_Null)(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@4=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@8=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@12=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@16=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@20=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@24=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@28=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@32=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@36=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@40=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@44=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@48=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@60=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyIndirectCommandsLayoutNV@104=_sqtt_DestroyIndirectCommandsLayoutNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyIndirectCommandsLayoutNV=sqtt_DestroyIndirectCommandsLayoutNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyIndirectCommandsLayoutNV(VkDevice device, VkIndirectCommandsLayoutNV indirectCommandsLayout, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@4=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@8=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@12=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@16=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@20=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@24=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@28=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@32=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@36=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@40=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@44=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@48=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@60=_radv_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetKHR@104=_radv_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdPushDescriptorSetKHR=radv_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdPushDescriptorSetKHR_Null)(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@4=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@8=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@12=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@16=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@20=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@24=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@28=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@32=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@36=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@40=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@44=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@48=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@60=_sqtt_CmdPushDescriptorSetKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetKHR@104=_sqtt_CmdPushDescriptorSetKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdPushDescriptorSetKHR=sqtt_CmdPushDescriptorSetKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPushDescriptorSetKHR(VkCommandBuffer commandBuffer, VkPipelineBindPoint pipelineBindPoint, VkPipelineLayout layout, uint32_t set, uint32_t descriptorWriteCount, const VkWriteDescriptorSet* pDescriptorWrites) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@4=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@8=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@12=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@16=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@20=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@24=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@28=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@32=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@36=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@40=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@44=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@48=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@60=_radv_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPool@104=_radv_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:radv_TrimCommandPool=radv_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_TrimCommandPool_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@4=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@8=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@12=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@16=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@20=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@24=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@28=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@32=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@36=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@40=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@44=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@48=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@60=_sqtt_TrimCommandPool_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPool@104=_sqtt_TrimCommandPool_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_TrimCommandPool=sqtt_TrimCommandPool_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_TrimCommandPool(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@4=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@8=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@12=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@16=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@20=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@24=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@28=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@32=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@36=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@40=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@44=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@48=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@60=_radv_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_TrimCommandPoolKHR@104=_radv_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_TrimCommandPoolKHR=radv_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_TrimCommandPoolKHR_Null)(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@4=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@8=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@12=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@16=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@20=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@24=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@28=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@32=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@36=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@40=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@44=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@48=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@60=_sqtt_TrimCommandPoolKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_TrimCommandPoolKHR@104=_sqtt_TrimCommandPoolKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_TrimCommandPoolKHR=sqtt_TrimCommandPoolKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_TrimCommandPoolKHR(VkDevice device, VkCommandPool commandPool, VkCommandPoolTrimFlags flags) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@4=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@8=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@12=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@16=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@20=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@24=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@28=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@32=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@36=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@40=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@44=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@48=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@60=_radv_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandleKHR@104=_radv_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandleKHR=radv_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryWin32HandleKHR_Null)(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@4=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@8=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@12=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@16=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@20=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@24=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@28=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@32=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@36=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@40=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@44=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@48=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@60=_sqtt_GetMemoryWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandleKHR@104=_sqtt_GetMemoryWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandleKHR=sqtt_GetMemoryWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryWin32HandleKHR(VkDevice device, const VkMemoryGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@4=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@8=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@12=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@16=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@20=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@24=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@28=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@32=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@36=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@40=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@44=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@48=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@60=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryWin32HandlePropertiesKHR@104=_radv_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryWin32HandlePropertiesKHR=radv_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryWin32HandlePropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@4=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@8=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@12=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@16=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@20=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@24=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@28=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@32=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@36=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@40=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@44=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@48=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@60=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryWin32HandlePropertiesKHR@104=_sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryWin32HandlePropertiesKHR=sqtt_GetMemoryWin32HandlePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryWin32HandlePropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, HANDLE handle, VkMemoryWin32HandlePropertiesKHR* pMemoryWin32HandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@4=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@8=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@12=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@16=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@20=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@24=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@28=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@32=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@36=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@40=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@44=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@48=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@60=_radv_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdKHR@104=_radv_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryFdKHR=radv_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryFdKHR_Null)(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@4=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@8=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@12=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@16=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@20=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@24=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@28=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@32=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@36=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@40=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@44=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@48=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@60=_sqtt_GetMemoryFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdKHR@104=_sqtt_GetMemoryFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryFdKHR=sqtt_GetMemoryFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryFdKHR(VkDevice device, const VkMemoryGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@4=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@8=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@12=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@16=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@20=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@24=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@28=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@32=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@36=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@40=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@44=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@48=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@60=_radv_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryFdPropertiesKHR@104=_radv_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryFdPropertiesKHR=radv_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryFdPropertiesKHR_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@4=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@8=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@12=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@16=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@20=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@24=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@28=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@32=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@36=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@40=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@44=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@48=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@60=_sqtt_GetMemoryFdPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryFdPropertiesKHR@104=_sqtt_GetMemoryFdPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryFdPropertiesKHR=sqtt_GetMemoryFdPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryFdPropertiesKHR(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, int fd, VkMemoryFdPropertiesKHR* pMemoryFdProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@4=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@8=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@12=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@16=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@20=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@24=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@28=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@32=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@36=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@40=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@44=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@48=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@60=_radv_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandleFUCHSIA@104=_radv_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryZirconHandleFUCHSIA=radv_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryZirconHandleFUCHSIA_Null)(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@4=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@8=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@12=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@16=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@20=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@24=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@28=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@32=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@36=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@40=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@44=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@48=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@60=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandleFUCHSIA@104=_sqtt_GetMemoryZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryZirconHandleFUCHSIA=sqtt_GetMemoryZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryZirconHandleFUCHSIA(VkDevice device, const VkMemoryGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@4=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@8=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@12=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@16=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@20=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@24=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@28=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@32=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@36=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@40=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@44=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@48=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@60=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryZirconHandlePropertiesFUCHSIA@104=_radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryZirconHandlePropertiesFUCHSIA=radv_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@4=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@8=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@12=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@16=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@20=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@24=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@28=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@32=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@36=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@40=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@44=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@48=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@60=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA@104=_sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryZirconHandlePropertiesFUCHSIA=sqtt_GetMemoryZirconHandlePropertiesFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryZirconHandlePropertiesFUCHSIA(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, zx_handle_t zirconHandle, VkMemoryZirconHandlePropertiesFUCHSIA* pMemoryZirconHandleProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@4=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@8=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@12=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@16=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@20=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@24=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@28=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@32=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@36=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@40=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@44=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@48=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@60=_radv_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreWin32HandleKHR@104=_radv_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreWin32HandleKHR=radv_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@4=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@8=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@12=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@16=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@20=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@24=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@28=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@32=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@36=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@40=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@44=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@48=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@60=_sqtt_GetSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreWin32HandleKHR@104=_sqtt_GetSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreWin32HandleKHR=sqtt_GetSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreWin32HandleKHR(VkDevice device, const VkSemaphoreGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@4=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@8=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@12=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@16=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@20=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@24=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@28=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@32=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@36=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@40=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@44=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@48=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@60=_radv_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreWin32HandleKHR@104=_radv_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreWin32HandleKHR=radv_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ImportSemaphoreWin32HandleKHR_Null)(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@4=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@8=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@12=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@16=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@20=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@24=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@28=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@32=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@36=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@40=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@44=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@48=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@60=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreWin32HandleKHR@104=_sqtt_ImportSemaphoreWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreWin32HandleKHR=sqtt_ImportSemaphoreWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportSemaphoreWin32HandleKHR(VkDevice device, const VkImportSemaphoreWin32HandleInfoKHR* pImportSemaphoreWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@4=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@8=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@12=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@16=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@20=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@24=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@28=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@32=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@36=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@40=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@44=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@48=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@60=_radv_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreFdKHR@104=_radv_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreFdKHR=radv_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSemaphoreFdKHR_Null)(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@4=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@8=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@12=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@16=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@20=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@24=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@28=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@32=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@36=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@40=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@44=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@48=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@60=_sqtt_GetSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreFdKHR@104=_sqtt_GetSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreFdKHR=sqtt_GetSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreFdKHR(VkDevice device, const VkSemaphoreGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@4=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@8=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@12=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@16=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@20=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@24=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@28=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@32=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@36=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@40=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@44=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@48=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@60=_radv_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreFdKHR@104=_radv_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreFdKHR=radv_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ImportSemaphoreFdKHR_Null)(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@4=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@8=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@12=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@16=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@20=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@24=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@28=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@32=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@36=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@40=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@44=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@48=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@60=_sqtt_ImportSemaphoreFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreFdKHR@104=_sqtt_ImportSemaphoreFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreFdKHR=sqtt_ImportSemaphoreFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportSemaphoreFdKHR(VkDevice device, const VkImportSemaphoreFdInfoKHR* pImportSemaphoreFdInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*radv_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@4=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@8=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@12=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@16=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@20=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@24=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@28=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@32=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@36=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@40=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@44=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@48=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@60=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreZirconHandleFUCHSIA@104=_radv_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreZirconHandleFUCHSIA=radv_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@4=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@8=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@12=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@16=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@20=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@24=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@28=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@32=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@36=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@40=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@44=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@48=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@60=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreZirconHandleFUCHSIA@104=_sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreZirconHandleFUCHSIA=sqtt_GetSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkSemaphoreGetZirconHandleInfoFUCHSIA* pGetZirconHandleInfo, zx_handle_t* pZirconHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
#ifdef _MSC_VER
    VkResult (*radv_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@4=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@8=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@12=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@16=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@20=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@24=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@28=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@32=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@36=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@40=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@44=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@48=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@60=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportSemaphoreZirconHandleFUCHSIA@104=_radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ImportSemaphoreZirconHandleFUCHSIA=radv_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null)(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@4=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@8=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@12=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@16=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@20=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@24=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@28=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@32=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@36=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@40=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@44=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@48=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@60=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportSemaphoreZirconHandleFUCHSIA@104=_sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ImportSemaphoreZirconHandleFUCHSIA=sqtt_ImportSemaphoreZirconHandleFUCHSIA_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportSemaphoreZirconHandleFUCHSIA(VkDevice device, const VkImportSemaphoreZirconHandleInfoFUCHSIA* pImportSemaphoreZirconHandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@4=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@8=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@12=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@16=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@20=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@24=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@28=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@32=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@36=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@40=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@44=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@48=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@60=_radv_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceWin32HandleKHR@104=_radv_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetFenceWin32HandleKHR=radv_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetFenceWin32HandleKHR_Null)(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@4=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@8=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@12=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@16=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@20=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@24=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@28=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@32=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@36=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@40=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@44=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@48=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@60=_sqtt_GetFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceWin32HandleKHR@104=_sqtt_GetFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetFenceWin32HandleKHR=sqtt_GetFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetFenceWin32HandleKHR(VkDevice device, const VkFenceGetWin32HandleInfoKHR* pGetWin32HandleInfo, HANDLE* pHandle) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@4=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@8=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@12=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@16=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@20=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@24=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@28=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@32=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@36=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@40=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@44=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@48=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@60=_radv_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceWin32HandleKHR@104=_radv_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ImportFenceWin32HandleKHR=radv_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ImportFenceWin32HandleKHR_Null)(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@4=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@8=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@12=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@16=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@20=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@24=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@28=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@32=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@36=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@40=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@44=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@48=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@60=_sqtt_ImportFenceWin32HandleKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceWin32HandleKHR@104=_sqtt_ImportFenceWin32HandleKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ImportFenceWin32HandleKHR=sqtt_ImportFenceWin32HandleKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportFenceWin32HandleKHR(VkDevice device, const VkImportFenceWin32HandleInfoKHR* pImportFenceWin32HandleInfo) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@4=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@8=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@12=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@16=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@20=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@24=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@28=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@32=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@36=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@40=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@44=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@48=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@60=_radv_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetFenceFdKHR@104=_radv_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetFenceFdKHR=radv_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetFenceFdKHR_Null)(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@4=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@8=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@12=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@16=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@20=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@24=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@28=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@32=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@36=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@40=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@44=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@48=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@60=_sqtt_GetFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetFenceFdKHR@104=_sqtt_GetFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetFenceFdKHR=sqtt_GetFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetFenceFdKHR(VkDevice device, const VkFenceGetFdInfoKHR* pGetFdInfo, int* pFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@4=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@8=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@12=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@16=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@20=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@24=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@28=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@32=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@36=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@40=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@44=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@48=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@60=_radv_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ImportFenceFdKHR@104=_radv_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ImportFenceFdKHR=radv_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ImportFenceFdKHR_Null)(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@4=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@8=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@12=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@16=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@20=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@24=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@28=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@32=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@36=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@40=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@44=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@48=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@60=_sqtt_ImportFenceFdKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ImportFenceFdKHR@104=_sqtt_ImportFenceFdKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ImportFenceFdKHR=sqtt_ImportFenceFdKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ImportFenceFdKHR(VkDevice device, const VkImportFenceFdInfoKHR* pImportFenceFdInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@4=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@8=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@12=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@16=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@20=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@24=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@28=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@32=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@36=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@40=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@44=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@48=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@60=_radv_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DisplayPowerControlEXT@104=_radv_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DisplayPowerControlEXT=radv_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_DisplayPowerControlEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@4=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@8=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@12=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@16=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@20=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@24=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@28=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@32=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@36=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@40=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@44=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@48=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@60=_sqtt_DisplayPowerControlEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DisplayPowerControlEXT@104=_sqtt_DisplayPowerControlEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DisplayPowerControlEXT=sqtt_DisplayPowerControlEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DisplayPowerControlEXT(VkDevice device, VkDisplayKHR display, const VkDisplayPowerInfoEXT* pDisplayPowerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@4=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@8=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@12=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@16=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@20=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@24=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@28=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@32=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@36=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@40=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@44=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@48=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@60=_radv_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDeviceEventEXT@104=_radv_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_RegisterDeviceEventEXT=radv_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_RegisterDeviceEventEXT_Null)(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@4=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@8=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@12=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@16=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@20=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@24=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@28=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@32=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@36=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@40=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@44=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@48=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@60=_sqtt_RegisterDeviceEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDeviceEventEXT@104=_sqtt_RegisterDeviceEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_RegisterDeviceEventEXT=sqtt_RegisterDeviceEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_RegisterDeviceEventEXT(VkDevice device, const VkDeviceEventInfoEXT* pDeviceEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@4=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@8=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@12=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@16=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@20=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@24=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@28=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@32=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@36=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@40=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@44=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@48=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@60=_radv_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_RegisterDisplayEventEXT@104=_radv_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_RegisterDisplayEventEXT=radv_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_RegisterDisplayEventEXT_Null)(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@4=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@8=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@12=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@16=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@20=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@24=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@28=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@32=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@36=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@40=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@44=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@48=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@60=_sqtt_RegisterDisplayEventEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_RegisterDisplayEventEXT@104=_sqtt_RegisterDisplayEventEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_RegisterDisplayEventEXT=sqtt_RegisterDisplayEventEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_RegisterDisplayEventEXT(VkDevice device, VkDisplayKHR display, const VkDisplayEventInfoEXT* pDisplayEventInfo, const VkAllocationCallbacks* pAllocator, VkFence* pFence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@4=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@8=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@12=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@16=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@20=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@24=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@28=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@32=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@36=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@40=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@44=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@48=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@60=_radv_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainCounterEXT@104=_radv_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSwapchainCounterEXT=radv_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSwapchainCounterEXT_Null)(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@4=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@8=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@12=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@16=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@20=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@24=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@28=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@32=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@36=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@40=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@44=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@48=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@60=_sqtt_GetSwapchainCounterEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainCounterEXT@104=_sqtt_GetSwapchainCounterEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainCounterEXT=sqtt_GetSwapchainCounterEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainCounterEXT(VkDevice device, VkSwapchainKHR swapchain, VkSurfaceCounterFlagBitsEXT counter, uint64_t* pCounterValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@4=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@8=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@12=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@16=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@20=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@24=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@28=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@32=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@36=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@40=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@44=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@48=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@60=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeatures@104=_radv_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPeerMemoryFeatures=radv_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDeviceGroupPeerMemoryFeatures_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@4=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@8=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@12=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@16=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@20=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@24=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@28=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@32=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@36=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@40=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@44=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@48=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@60=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeatures@104=_sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPeerMemoryFeatures=sqtt_GetDeviceGroupPeerMemoryFeatures_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceGroupPeerMemoryFeatures(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@4=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@8=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@12=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@16=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@20=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@24=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@28=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@32=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@36=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@40=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@44=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@48=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@60=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPeerMemoryFeaturesKHR@104=_radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPeerMemoryFeaturesKHR=radv_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null)(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@4=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@8=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@12=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@16=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@20=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@24=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@28=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@32=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@36=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@40=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@44=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@48=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@60=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR@104=_sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPeerMemoryFeaturesKHR=sqtt_GetDeviceGroupPeerMemoryFeaturesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceGroupPeerMemoryFeaturesKHR(VkDevice device, uint32_t heapIndex, uint32_t localDeviceIndex, uint32_t remoteDeviceIndex, VkPeerMemoryFeatureFlags* pPeerMemoryFeatures) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@4=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@8=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@12=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@16=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@20=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@24=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@28=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@32=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@36=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@40=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@44=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@48=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@60=_radv_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2@104=_radv_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory2=radv_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindBufferMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@4=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@8=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@12=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@16=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@20=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@24=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@28=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@32=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@36=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@40=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@44=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@48=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@60=_sqtt_BindBufferMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2@104=_sqtt_BindBufferMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory2=sqtt_BindBufferMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindBufferMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@4=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@8=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@12=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@16=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@20=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@24=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@28=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@32=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@36=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@40=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@44=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@48=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@60=_radv_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindBufferMemory2KHR@104=_radv_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindBufferMemory2KHR=radv_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindBufferMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@4=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@8=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@12=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@16=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@20=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@24=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@28=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@32=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@36=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@40=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@44=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@48=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@60=_sqtt_BindBufferMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindBufferMemory2KHR@104=_sqtt_BindBufferMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindBufferMemory2KHR=sqtt_BindBufferMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindBufferMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindBufferMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@4=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@8=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@12=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@16=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@20=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@24=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@28=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@32=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@36=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@40=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@44=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@48=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@60=_radv_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2@104=_radv_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindImageMemory2=radv_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindImageMemory2_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@4=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@8=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@12=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@16=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@20=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@24=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@28=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@32=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@36=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@40=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@44=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@48=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@60=_sqtt_BindImageMemory2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2@104=_sqtt_BindImageMemory2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory2=sqtt_BindImageMemory2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindImageMemory2(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@4=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@8=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@12=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@16=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@20=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@24=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@28=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@32=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@36=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@40=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@44=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@48=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@60=_radv_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindImageMemory2KHR@104=_radv_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindImageMemory2KHR=radv_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindImageMemory2KHR_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@4=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@8=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@12=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@16=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@20=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@24=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@28=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@32=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@36=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@40=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@44=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@48=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@60=_sqtt_BindImageMemory2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindImageMemory2KHR@104=_sqtt_BindImageMemory2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindImageMemory2KHR=sqtt_BindImageMemory2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindImageMemory2KHR(VkDevice device, uint32_t bindInfoCount, const VkBindImageMemoryInfo* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@4=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@8=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@12=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@16=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@20=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@24=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@28=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@32=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@36=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@40=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@44=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@48=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@60=_radv_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMask@104=_radv_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDeviceMask=radv_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDeviceMask_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@4=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@8=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@12=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@16=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@20=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@24=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@28=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@32=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@36=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@40=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@44=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@48=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@60=_sqtt_CmdSetDeviceMask_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMask@104=_sqtt_CmdSetDeviceMask_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDeviceMask=sqtt_CmdSetDeviceMask_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDeviceMask(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@4=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@8=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@12=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@16=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@20=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@24=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@28=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@32=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@36=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@40=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@44=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@48=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@60=_radv_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDeviceMaskKHR@104=_radv_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDeviceMaskKHR=radv_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDeviceMaskKHR_Null)(VkCommandBuffer commandBuffer, uint32_t deviceMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@4=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@8=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@12=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@16=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@20=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@24=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@28=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@32=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@36=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@40=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@44=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@48=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@60=_sqtt_CmdSetDeviceMaskKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDeviceMaskKHR@104=_sqtt_CmdSetDeviceMaskKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDeviceMaskKHR=sqtt_CmdSetDeviceMaskKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDeviceMaskKHR(VkCommandBuffer commandBuffer, uint32_t deviceMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@4=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@8=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@12=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@16=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@20=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@24=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@28=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@32=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@36=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@40=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@44=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@48=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@60=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupPresentCapabilitiesKHR@104=_radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupPresentCapabilitiesKHR=radv_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null)(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@4=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@8=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@12=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@16=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@20=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@24=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@28=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@32=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@36=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@40=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@44=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@48=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@60=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupPresentCapabilitiesKHR@104=_sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupPresentCapabilitiesKHR=sqtt_GetDeviceGroupPresentCapabilitiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeviceGroupPresentCapabilitiesKHR(VkDevice device, VkDeviceGroupPresentCapabilitiesKHR* pDeviceGroupPresentCapabilities) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@4=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@8=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@12=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@16=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@20=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@24=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@28=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@32=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@36=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@40=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@44=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@48=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@60=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModesKHR@104=_radv_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupSurfacePresentModesKHR=radv_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetDeviceGroupSurfacePresentModesKHR_Null)(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@4=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@8=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@12=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@16=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@20=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@24=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@28=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@32=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@36=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@40=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@44=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@48=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@60=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModesKHR@104=_sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupSurfacePresentModesKHR=sqtt_GetDeviceGroupSurfacePresentModesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeviceGroupSurfacePresentModesKHR(VkDevice device, VkSurfaceKHR surface, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@4=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@8=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@12=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@16=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@20=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@24=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@28=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@32=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@36=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@40=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@44=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@48=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@60=_radv_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireNextImage2KHR@104=_radv_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireNextImage2KHR=radv_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AcquireNextImage2KHR_Null)(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@4=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@8=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@12=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@16=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@20=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@24=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@28=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@32=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@36=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@40=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@44=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@48=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@60=_sqtt_AcquireNextImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireNextImage2KHR@104=_sqtt_AcquireNextImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AcquireNextImage2KHR=sqtt_AcquireNextImage2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireNextImage2KHR(VkDevice device, const VkAcquireNextImageInfoKHR* pAcquireInfo, uint32_t* pImageIndex) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@4=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@8=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@12=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@16=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@20=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@24=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@28=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@32=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@36=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@40=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@44=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@48=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@60=_radv_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBase@104=_radv_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDispatchBase=radv_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDispatchBase_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@4=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@8=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@12=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@16=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@20=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@24=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@28=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@32=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@36=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@40=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@44=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@48=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@60=_sqtt_CmdDispatchBase_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBase@104=_sqtt_CmdDispatchBase_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchBase=sqtt_CmdDispatchBase_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatchBase(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@4=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@8=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@12=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@16=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@20=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@24=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@28=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@32=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@36=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@40=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@44=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@48=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@60=_radv_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDispatchBaseKHR@104=_radv_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDispatchBaseKHR=radv_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDispatchBaseKHR_Null)(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@4=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@8=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@12=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@16=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@20=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@24=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@28=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@32=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@36=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@40=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@44=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@48=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@60=_sqtt_CmdDispatchBaseKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDispatchBaseKHR@104=_sqtt_CmdDispatchBaseKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDispatchBaseKHR=sqtt_CmdDispatchBaseKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDispatchBaseKHR(VkCommandBuffer commandBuffer, uint32_t baseGroupX, uint32_t baseGroupY, uint32_t baseGroupZ, uint32_t groupCountX, uint32_t groupCountY, uint32_t groupCountZ) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@4=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@8=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@12=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@16=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@20=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@24=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@28=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@32=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@36=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@40=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@44=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@48=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@60=_radv_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplate@104=_radv_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorUpdateTemplate=radv_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateDescriptorUpdateTemplate_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@4=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@8=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@12=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@16=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@20=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@24=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@28=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@32=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@36=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@40=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@44=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@48=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@60=_sqtt_CreateDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplate@104=_sqtt_CreateDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorUpdateTemplate=sqtt_CreateDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorUpdateTemplate(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@4=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@8=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@12=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@16=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@20=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@24=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@28=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@32=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@36=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@40=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@44=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@48=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@60=_radv_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDescriptorUpdateTemplateKHR@104=_radv_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDescriptorUpdateTemplateKHR=radv_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateDescriptorUpdateTemplateKHR_Null)(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@4=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@8=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@12=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@16=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@20=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@24=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@28=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@32=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@36=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@40=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@44=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@48=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@60=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDescriptorUpdateTemplateKHR@104=_sqtt_CreateDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateDescriptorUpdateTemplateKHR=sqtt_CreateDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDescriptorUpdateTemplateKHR(VkDevice device, const VkDescriptorUpdateTemplateCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkDescriptorUpdateTemplate* pDescriptorUpdateTemplate) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@4=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@8=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@12=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@16=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@20=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@24=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@28=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@32=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@36=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@40=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@44=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@48=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@60=_radv_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplate@104=_radv_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorUpdateTemplate=radv_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyDescriptorUpdateTemplate_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@4=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@8=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@12=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@16=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@20=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@24=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@28=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@32=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@36=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@40=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@44=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@48=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@60=_sqtt_DestroyDescriptorUpdateTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplate@104=_sqtt_DestroyDescriptorUpdateTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorUpdateTemplate=sqtt_DestroyDescriptorUpdateTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorUpdateTemplate(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@4=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@8=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@12=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@16=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@20=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@24=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@28=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@32=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@36=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@40=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@44=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@48=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@60=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDescriptorUpdateTemplateKHR@104=_radv_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDescriptorUpdateTemplateKHR=radv_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyDescriptorUpdateTemplateKHR_Null)(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@4=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@8=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@12=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@16=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@20=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@24=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@28=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@32=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@36=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@40=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@44=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@48=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@60=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDescriptorUpdateTemplateKHR@104=_sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyDescriptorUpdateTemplateKHR=sqtt_DestroyDescriptorUpdateTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDescriptorUpdateTemplateKHR(VkDevice device, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@4=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@8=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@12=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@16=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@20=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@24=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@28=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@32=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@36=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@40=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@44=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@48=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@60=_radv_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplate@104=_radv_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSetWithTemplate=radv_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_UpdateDescriptorSetWithTemplate_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@4=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@8=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@12=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@16=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@20=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@24=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@28=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@32=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@36=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@40=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@44=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@48=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@60=_sqtt_UpdateDescriptorSetWithTemplate_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplate@104=_sqtt_UpdateDescriptorSetWithTemplate_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSetWithTemplate=sqtt_UpdateDescriptorSetWithTemplate_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UpdateDescriptorSetWithTemplate(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@4=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@8=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@12=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@16=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@20=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@24=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@28=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@32=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@36=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@40=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@44=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@48=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@60=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateDescriptorSetWithTemplateKHR@104=_radv_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_UpdateDescriptorSetWithTemplateKHR=radv_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_UpdateDescriptorSetWithTemplateKHR_Null)(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@4=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@8=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@12=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@16=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@20=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@24=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@28=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@32=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@36=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@40=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@44=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@48=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@60=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateDescriptorSetWithTemplateKHR@104=_sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_UpdateDescriptorSetWithTemplateKHR=sqtt_UpdateDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UpdateDescriptorSetWithTemplateKHR(VkDevice device, VkDescriptorSet descriptorSet, VkDescriptorUpdateTemplate descriptorUpdateTemplate, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@4=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@8=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@12=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@16=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@20=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@24=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@28=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@32=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@36=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@40=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@44=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@48=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@60=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPushDescriptorSetWithTemplateKHR@104=_radv_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdPushDescriptorSetWithTemplateKHR=radv_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdPushDescriptorSetWithTemplateKHR_Null)(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@4=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@8=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@12=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@16=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@20=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@24=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@28=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@32=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@36=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@40=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@44=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@48=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@60=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPushDescriptorSetWithTemplateKHR@104=_sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdPushDescriptorSetWithTemplateKHR=sqtt_CmdPushDescriptorSetWithTemplateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPushDescriptorSetWithTemplateKHR(VkCommandBuffer commandBuffer, VkDescriptorUpdateTemplate descriptorUpdateTemplate, VkPipelineLayout layout, uint32_t set, const void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@4=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@8=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@12=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@16=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@20=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@24=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@28=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@32=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@36=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@40=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@44=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@48=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@60=_radv_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetHdrMetadataEXT@104=_radv_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SetHdrMetadataEXT=radv_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_SetHdrMetadataEXT_Null)(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@4=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@8=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@12=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@16=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@20=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@24=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@28=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@32=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@36=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@40=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@44=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@48=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@60=_sqtt_SetHdrMetadataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetHdrMetadataEXT@104=_sqtt_SetHdrMetadataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SetHdrMetadataEXT=sqtt_SetHdrMetadataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_SetHdrMetadataEXT(VkDevice device, uint32_t swapchainCount, const VkSwapchainKHR* pSwapchains, const VkHdrMetadataEXT* pMetadata) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@4=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@8=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@12=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@16=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@20=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@24=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@28=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@32=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@36=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@40=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@44=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@48=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@60=_radv_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainStatusKHR@104=_radv_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSwapchainStatusKHR=radv_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSwapchainStatusKHR_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@4=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@8=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@12=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@16=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@20=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@24=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@28=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@32=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@36=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@40=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@44=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@48=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@60=_sqtt_GetSwapchainStatusKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainStatusKHR@104=_sqtt_GetSwapchainStatusKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainStatusKHR=sqtt_GetSwapchainStatusKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainStatusKHR(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@4=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@8=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@12=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@16=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@20=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@24=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@28=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@32=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@36=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@40=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@44=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@48=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@60=_radv_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRefreshCycleDurationGOOGLE@104=_radv_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRefreshCycleDurationGOOGLE=radv_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetRefreshCycleDurationGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@4=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@8=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@12=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@16=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@20=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@24=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@28=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@32=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@36=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@40=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@44=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@48=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@60=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRefreshCycleDurationGOOGLE@104=_sqtt_GetRefreshCycleDurationGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetRefreshCycleDurationGOOGLE=sqtt_GetRefreshCycleDurationGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRefreshCycleDurationGOOGLE(VkDevice device, VkSwapchainKHR swapchain, VkRefreshCycleDurationGOOGLE* pDisplayTimingProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@4=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@8=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@12=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@16=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@20=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@24=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@28=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@32=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@36=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@40=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@44=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@48=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@60=_radv_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPastPresentationTimingGOOGLE@104=_radv_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPastPresentationTimingGOOGLE=radv_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetPastPresentationTimingGOOGLE_Null)(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@4=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@8=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@12=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@16=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@20=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@24=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@28=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@32=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@36=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@40=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@44=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@48=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@60=_sqtt_GetPastPresentationTimingGOOGLE_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPastPresentationTimingGOOGLE@104=_sqtt_GetPastPresentationTimingGOOGLE_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPastPresentationTimingGOOGLE=sqtt_GetPastPresentationTimingGOOGLE_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPastPresentationTimingGOOGLE(VkDevice device, VkSwapchainKHR swapchain, uint32_t* pPresentationTimingCount, VkPastPresentationTimingGOOGLE* pPresentationTimings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@4=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@8=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@12=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@16=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@20=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@24=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@28=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@32=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@36=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@40=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@44=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@48=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@60=_radv_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWScalingNV@104=_radv_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportWScalingNV=radv_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetViewportWScalingNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@4=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@8=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@12=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@16=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@20=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@24=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@28=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@32=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@36=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@40=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@44=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@48=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@60=_sqtt_CmdSetViewportWScalingNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWScalingNV@104=_sqtt_CmdSetViewportWScalingNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportWScalingNV=sqtt_CmdSetViewportWScalingNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewportWScalingNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkViewportWScalingNV* pViewportWScalings) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@4=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@8=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@12=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@16=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@20=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@24=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@28=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@32=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@36=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@40=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@44=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@48=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@60=_radv_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDiscardRectangleEXT@104=_radv_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDiscardRectangleEXT=radv_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDiscardRectangleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@4=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@8=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@12=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@16=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@20=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@24=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@28=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@32=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@36=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@40=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@44=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@48=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@60=_sqtt_CmdSetDiscardRectangleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDiscardRectangleEXT@104=_sqtt_CmdSetDiscardRectangleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDiscardRectangleEXT=sqtt_CmdSetDiscardRectangleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDiscardRectangleEXT(VkCommandBuffer commandBuffer, uint32_t firstDiscardRectangle, uint32_t discardRectangleCount, const VkRect2D* pDiscardRectangles) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@4=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@8=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@12=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@16=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@20=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@24=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@28=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@32=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@36=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@40=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@44=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@48=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@60=_radv_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetSampleLocationsEXT@104=_radv_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetSampleLocationsEXT=radv_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetSampleLocationsEXT_Null)(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@4=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@8=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@12=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@16=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@20=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@24=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@28=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@32=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@36=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@40=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@44=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@48=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@60=_sqtt_CmdSetSampleLocationsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetSampleLocationsEXT@104=_sqtt_CmdSetSampleLocationsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetSampleLocationsEXT=sqtt_CmdSetSampleLocationsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetSampleLocationsEXT(VkCommandBuffer commandBuffer, const VkSampleLocationsInfoEXT* pSampleLocationsInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@4=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@8=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@12=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@16=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@20=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@24=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@28=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@32=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@36=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@40=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@44=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@48=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@60=_radv_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2@104=_radv_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements2=radv_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetBufferMemoryRequirements2_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@4=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@8=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@12=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@16=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@20=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@24=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@28=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@32=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@36=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@40=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@44=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@48=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@60=_sqtt_GetBufferMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2@104=_sqtt_GetBufferMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements2=sqtt_GetBufferMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetBufferMemoryRequirements2(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@4=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@8=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@12=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@16=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@20=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@24=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@28=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@32=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@36=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@40=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@44=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@48=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@60=_radv_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferMemoryRequirements2KHR@104=_radv_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferMemoryRequirements2KHR=radv_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetBufferMemoryRequirements2KHR_Null)(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@4=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@8=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@12=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@16=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@20=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@24=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@28=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@32=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@36=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@40=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@44=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@48=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@60=_sqtt_GetBufferMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferMemoryRequirements2KHR@104=_sqtt_GetBufferMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferMemoryRequirements2KHR=sqtt_GetBufferMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetBufferMemoryRequirements2KHR(VkDevice device, const VkBufferMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@4=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@8=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@12=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@16=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@20=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@24=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@28=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@32=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@36=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@40=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@44=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@48=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@60=_radv_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2@104=_radv_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements2=radv_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageMemoryRequirements2_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@4=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@8=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@12=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@16=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@20=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@24=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@28=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@32=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@36=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@40=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@44=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@48=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@60=_sqtt_GetImageMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2@104=_sqtt_GetImageMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements2=sqtt_GetImageMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageMemoryRequirements2(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@4=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@8=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@12=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@16=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@20=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@24=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@28=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@32=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@36=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@40=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@44=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@48=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@60=_radv_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageMemoryRequirements2KHR@104=_radv_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageMemoryRequirements2KHR=radv_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageMemoryRequirements2KHR_Null)(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@4=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@8=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@12=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@16=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@20=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@24=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@28=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@32=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@36=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@40=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@44=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@48=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@60=_sqtt_GetImageMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageMemoryRequirements2KHR@104=_sqtt_GetImageMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageMemoryRequirements2KHR=sqtt_GetImageMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageMemoryRequirements2KHR(VkDevice device, const VkImageMemoryRequirementsInfo2* pInfo, VkMemoryRequirements2* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@4=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@8=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@12=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@16=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@20=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@24=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@28=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@32=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@36=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@40=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@44=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@48=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@60=_radv_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2@104=_radv_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements2=radv_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageSparseMemoryRequirements2_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@4=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@8=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@12=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@16=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@20=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@24=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@28=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@32=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@36=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@40=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@44=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@48=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@60=_sqtt_GetImageSparseMemoryRequirements2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2@104=_sqtt_GetImageSparseMemoryRequirements2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements2=sqtt_GetImageSparseMemoryRequirements2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSparseMemoryRequirements2(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@4=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@8=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@12=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@16=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@20=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@24=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@28=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@32=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@36=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@40=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@44=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@48=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@60=_radv_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageSparseMemoryRequirements2KHR@104=_radv_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageSparseMemoryRequirements2KHR=radv_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetImageSparseMemoryRequirements2KHR_Null)(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@4=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@8=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@12=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@16=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@20=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@24=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@28=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@32=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@36=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@40=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@44=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@48=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@60=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageSparseMemoryRequirements2KHR@104=_sqtt_GetImageSparseMemoryRequirements2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageSparseMemoryRequirements2KHR=sqtt_GetImageSparseMemoryRequirements2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetImageSparseMemoryRequirements2KHR(VkDevice device, const VkImageSparseMemoryRequirementsInfo2* pInfo, uint32_t* pSparseMemoryRequirementCount, VkSparseImageMemoryRequirements2* pSparseMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@4=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@8=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@12=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@16=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@20=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@24=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@28=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@32=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@36=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@40=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@44=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@48=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@60=_radv_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversion@104=_radv_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateSamplerYcbcrConversion=radv_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateSamplerYcbcrConversion_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@4=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@8=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@12=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@16=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@20=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@24=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@28=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@32=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@36=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@40=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@44=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@48=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@60=_sqtt_CreateSamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversion@104=_sqtt_CreateSamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateSamplerYcbcrConversion=sqtt_CreateSamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSamplerYcbcrConversion(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@4=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@8=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@12=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@16=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@20=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@24=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@28=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@32=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@36=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@40=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@44=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@48=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@60=_radv_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateSamplerYcbcrConversionKHR@104=_radv_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateSamplerYcbcrConversionKHR=radv_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateSamplerYcbcrConversionKHR_Null)(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@4=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@8=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@12=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@16=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@20=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@24=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@28=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@32=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@36=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@40=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@44=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@48=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@60=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateSamplerYcbcrConversionKHR@104=_sqtt_CreateSamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateSamplerYcbcrConversionKHR=sqtt_CreateSamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateSamplerYcbcrConversionKHR(VkDevice device, const VkSamplerYcbcrConversionCreateInfo* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkSamplerYcbcrConversion* pYcbcrConversion) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@4=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@8=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@12=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@16=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@20=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@24=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@28=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@32=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@36=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@40=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@44=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@48=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@60=_radv_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversion@104=_radv_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroySamplerYcbcrConversion=radv_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroySamplerYcbcrConversion_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@4=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@8=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@12=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@16=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@20=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@24=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@28=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@32=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@36=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@40=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@44=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@48=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@60=_sqtt_DestroySamplerYcbcrConversion_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversion@104=_sqtt_DestroySamplerYcbcrConversion_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroySamplerYcbcrConversion=sqtt_DestroySamplerYcbcrConversion_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySamplerYcbcrConversion(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@4=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@8=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@12=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@16=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@20=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@24=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@28=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@32=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@36=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@40=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@44=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@48=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@60=_radv_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroySamplerYcbcrConversionKHR@104=_radv_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroySamplerYcbcrConversionKHR=radv_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroySamplerYcbcrConversionKHR_Null)(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@4=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@8=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@12=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@16=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@20=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@24=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@28=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@32=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@36=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@40=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@44=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@48=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@60=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroySamplerYcbcrConversionKHR@104=_sqtt_DestroySamplerYcbcrConversionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroySamplerYcbcrConversionKHR=sqtt_DestroySamplerYcbcrConversionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroySamplerYcbcrConversionKHR(VkDevice device, VkSamplerYcbcrConversion ycbcrConversion, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@4=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@8=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@12=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@16=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@20=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@24=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@28=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@32=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@36=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@40=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@44=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@48=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@60=_radv_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceQueue2@104=_radv_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceQueue2=radv_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDeviceQueue2_Null)(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@4=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@8=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@12=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@16=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@20=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@24=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@28=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@32=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@36=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@40=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@44=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@48=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@60=_sqtt_GetDeviceQueue2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceQueue2@104=_sqtt_GetDeviceQueue2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceQueue2=sqtt_GetDeviceQueue2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceQueue2(VkDevice device, const VkDeviceQueueInfo2* pQueueInfo, VkQueue* pQueue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@4=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@8=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@12=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@16=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@20=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@24=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@28=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@32=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@36=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@40=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@44=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@48=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@60=_radv_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateValidationCacheEXT@104=_radv_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateValidationCacheEXT=radv_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateValidationCacheEXT_Null)(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@4=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@8=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@12=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@16=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@20=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@24=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@28=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@32=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@36=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@40=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@44=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@48=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@60=_sqtt_CreateValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateValidationCacheEXT@104=_sqtt_CreateValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateValidationCacheEXT=sqtt_CreateValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateValidationCacheEXT(VkDevice device, const VkValidationCacheCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkValidationCacheEXT* pValidationCache) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@4=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@8=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@12=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@16=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@20=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@24=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@28=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@32=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@36=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@40=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@44=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@48=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@60=_radv_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyValidationCacheEXT@104=_radv_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyValidationCacheEXT=radv_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyValidationCacheEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@4=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@8=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@12=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@16=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@20=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@24=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@28=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@32=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@36=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@40=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@44=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@48=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@60=_sqtt_DestroyValidationCacheEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyValidationCacheEXT@104=_sqtt_DestroyValidationCacheEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyValidationCacheEXT=sqtt_DestroyValidationCacheEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyValidationCacheEXT(VkDevice device, VkValidationCacheEXT validationCache, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@4=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@8=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@12=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@16=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@20=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@24=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@28=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@32=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@36=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@40=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@44=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@48=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@60=_radv_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetValidationCacheDataEXT@104=_radv_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetValidationCacheDataEXT=radv_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetValidationCacheDataEXT_Null)(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@4=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@8=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@12=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@16=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@20=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@24=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@28=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@32=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@36=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@40=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@44=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@48=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@60=_sqtt_GetValidationCacheDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetValidationCacheDataEXT@104=_sqtt_GetValidationCacheDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetValidationCacheDataEXT=sqtt_GetValidationCacheDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetValidationCacheDataEXT(VkDevice device, VkValidationCacheEXT validationCache, size_t* pDataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@4=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@8=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@12=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@16=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@20=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@24=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@28=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@32=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@36=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@40=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@44=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@48=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@60=_radv_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_MergeValidationCachesEXT@104=_radv_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_MergeValidationCachesEXT=radv_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_MergeValidationCachesEXT_Null)(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@4=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@8=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@12=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@16=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@20=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@24=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@28=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@32=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@36=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@40=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@44=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@48=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@60=_sqtt_MergeValidationCachesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_MergeValidationCachesEXT@104=_sqtt_MergeValidationCachesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_MergeValidationCachesEXT=sqtt_MergeValidationCachesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_MergeValidationCachesEXT(VkDevice device, VkValidationCacheEXT dstCache, uint32_t srcCacheCount, const VkValidationCacheEXT* pSrcCaches) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@4=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@8=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@12=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@16=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@20=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@24=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@28=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@32=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@36=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@40=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@44=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@48=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@60=_radv_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupport@104=_radv_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDescriptorSetLayoutSupport=radv_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDescriptorSetLayoutSupport_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@4=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@8=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@12=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@16=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@20=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@24=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@28=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@32=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@36=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@40=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@44=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@48=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@60=_sqtt_GetDescriptorSetLayoutSupport_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupport@104=_sqtt_GetDescriptorSetLayoutSupport_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDescriptorSetLayoutSupport=sqtt_GetDescriptorSetLayoutSupport_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDescriptorSetLayoutSupport(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@4=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@8=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@12=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@16=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@20=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@24=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@28=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@32=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@36=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@40=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@44=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@48=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@60=_radv_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDescriptorSetLayoutSupportKHR@104=_radv_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDescriptorSetLayoutSupportKHR=radv_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDescriptorSetLayoutSupportKHR_Null)(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@4=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@8=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@12=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@16=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@20=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@24=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@28=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@32=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@36=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@40=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@44=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@48=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@60=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDescriptorSetLayoutSupportKHR@104=_sqtt_GetDescriptorSetLayoutSupportKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDescriptorSetLayoutSupportKHR=sqtt_GetDescriptorSetLayoutSupportKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDescriptorSetLayoutSupportKHR(VkDevice device, const VkDescriptorSetLayoutCreateInfo* pCreateInfo, VkDescriptorSetLayoutSupport* pSupport) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@4=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@8=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@12=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@16=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@20=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@24=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@28=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@32=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@36=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@40=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@44=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@48=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@60=_radv_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsageANDROID@104=_radv_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSwapchainGrallocUsageANDROID=radv_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSwapchainGrallocUsageANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@4=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@8=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@12=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@16=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@20=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@24=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@28=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@32=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@36=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@40=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@44=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@48=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@60=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsageANDROID@104=_sqtt_GetSwapchainGrallocUsageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainGrallocUsageANDROID=sqtt_GetSwapchainGrallocUsageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainGrallocUsageANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, int* grallocUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@4=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@8=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@12=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@16=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@20=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@24=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@28=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@32=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@36=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@40=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@44=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@48=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@60=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSwapchainGrallocUsage2ANDROID@104=_radv_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSwapchainGrallocUsage2ANDROID=radv_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSwapchainGrallocUsage2ANDROID_Null)(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@4=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@8=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@12=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@16=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@20=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@24=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@28=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@32=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@36=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@40=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@44=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@48=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@60=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSwapchainGrallocUsage2ANDROID@104=_sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSwapchainGrallocUsage2ANDROID=sqtt_GetSwapchainGrallocUsage2ANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSwapchainGrallocUsage2ANDROID(VkDevice device, VkFormat format, VkImageUsageFlags imageUsage, VkSwapchainImageUsageFlagsANDROID swapchainImageUsage, uint64_t* grallocConsumerUsage, uint64_t* grallocProducerUsage) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@4=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@8=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@12=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@16=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@20=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@24=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@28=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@32=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@36=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@40=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@44=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@48=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@60=_radv_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireImageANDROID@104=_radv_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireImageANDROID=radv_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AcquireImageANDROID_Null)(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@4=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@8=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@12=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@16=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@20=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@24=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@28=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@32=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@36=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@40=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@44=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@48=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@60=_sqtt_AcquireImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireImageANDROID@104=_sqtt_AcquireImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AcquireImageANDROID=sqtt_AcquireImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireImageANDROID(VkDevice device, VkImage image, int nativeFenceFd, VkSemaphore semaphore, VkFence fence) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@4=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@8=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@12=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@16=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@20=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@24=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@28=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@32=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@36=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@40=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@44=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@48=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@60=_radv_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSignalReleaseImageANDROID@104=_radv_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueSignalReleaseImageANDROID=radv_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueueSignalReleaseImageANDROID_Null)(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@4=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@8=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@12=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@16=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@20=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@24=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@28=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@32=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@36=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@40=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@44=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@48=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@60=_sqtt_QueueSignalReleaseImageANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSignalReleaseImageANDROID@104=_sqtt_QueueSignalReleaseImageANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueSignalReleaseImageANDROID=sqtt_QueueSignalReleaseImageANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSignalReleaseImageANDROID(VkQueue queue, uint32_t waitSemaphoreCount, const VkSemaphore* pWaitSemaphores, VkImage image, int* pNativeFenceFd) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@4=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@8=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@12=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@16=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@20=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@24=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@28=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@32=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@36=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@40=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@44=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@48=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@60=_radv_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_GetShaderInfoAMD@104=_radv_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetShaderInfoAMD=radv_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetShaderInfoAMD_Null)(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@4=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@8=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@12=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@16=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@20=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@24=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@28=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@32=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@36=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@40=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@44=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@48=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@60=_sqtt_GetShaderInfoAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetShaderInfoAMD@104=_sqtt_GetShaderInfoAMD_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetShaderInfoAMD=sqtt_GetShaderInfoAMD_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetShaderInfoAMD(VkDevice device, VkPipeline pipeline, VkShaderStageFlagBits shaderStage, VkShaderInfoTypeAMD infoType, size_t* pInfoSize, void* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@4=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@8=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@12=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@16=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@20=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@24=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@28=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@32=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@36=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@40=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@44=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@48=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@60=_radv_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_SetLocalDimmingAMD@104=_radv_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SetLocalDimmingAMD=radv_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_SetLocalDimmingAMD_Null)(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@4=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@8=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@12=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@16=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@20=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@24=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@28=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@32=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@36=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@40=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@44=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@48=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@60=_sqtt_SetLocalDimmingAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetLocalDimmingAMD@104=_sqtt_SetLocalDimmingAMD_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SetLocalDimmingAMD=sqtt_SetLocalDimmingAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_SetLocalDimmingAMD(VkDevice device, VkSwapchainKHR swapChain, VkBool32 localDimmingEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@4=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@8=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@12=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@16=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@20=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@24=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@28=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@32=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@36=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@40=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@44=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@48=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@60=_radv_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetCalibratedTimestampsEXT@104=_radv_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetCalibratedTimestampsEXT=radv_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetCalibratedTimestampsEXT_Null)(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@4=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@8=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@12=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@16=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@20=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@24=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@28=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@32=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@36=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@40=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@44=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@48=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@60=_sqtt_GetCalibratedTimestampsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetCalibratedTimestampsEXT@104=_sqtt_GetCalibratedTimestampsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetCalibratedTimestampsEXT=sqtt_GetCalibratedTimestampsEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetCalibratedTimestampsEXT(VkDevice device, uint32_t timestampCount, const VkCalibratedTimestampInfoEXT* pTimestampInfos, uint64_t* pTimestamps, uint64_t* pMaxDeviation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@4=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@8=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@12=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@16=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@20=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@24=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@28=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@32=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@36=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@40=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@44=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@48=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@60=_radv_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectNameEXT@104=_radv_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SetDebugUtilsObjectNameEXT=radv_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_SetDebugUtilsObjectNameEXT_Null)(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@4=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@8=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@12=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@16=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@20=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@24=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@28=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@32=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@36=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@40=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@44=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@48=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@60=_sqtt_SetDebugUtilsObjectNameEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectNameEXT@104=_sqtt_SetDebugUtilsObjectNameEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SetDebugUtilsObjectNameEXT=sqtt_SetDebugUtilsObjectNameEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetDebugUtilsObjectNameEXT(VkDevice device, const VkDebugUtilsObjectNameInfoEXT* pNameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@4=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@8=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@12=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@16=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@20=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@24=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@28=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@32=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@36=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@40=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@44=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@48=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@60=_radv_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetDebugUtilsObjectTagEXT@104=_radv_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SetDebugUtilsObjectTagEXT=radv_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_SetDebugUtilsObjectTagEXT_Null)(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@4=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@8=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@12=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@16=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@20=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@24=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@28=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@32=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@36=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@40=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@44=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@48=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@60=_sqtt_SetDebugUtilsObjectTagEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetDebugUtilsObjectTagEXT@104=_sqtt_SetDebugUtilsObjectTagEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SetDebugUtilsObjectTagEXT=sqtt_SetDebugUtilsObjectTagEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetDebugUtilsObjectTagEXT(VkDevice device, const VkDebugUtilsObjectTagInfoEXT* pTagInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@4=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@8=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@12=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@16=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@20=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@24=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@28=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@32=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@36=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@40=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@44=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@48=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@60=_radv_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueBeginDebugUtilsLabelEXT@104=_radv_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueBeginDebugUtilsLabelEXT=radv_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_QueueBeginDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@4=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@8=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@12=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@16=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@20=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@24=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@28=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@32=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@36=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@40=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@44=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@48=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@60=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueBeginDebugUtilsLabelEXT@104=_sqtt_QueueBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueBeginDebugUtilsLabelEXT=sqtt_QueueBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_QueueBeginDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@4=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@8=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@12=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@16=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@20=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@24=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@28=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@32=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@36=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@40=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@44=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@48=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@60=_radv_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueEndDebugUtilsLabelEXT@104=_radv_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueEndDebugUtilsLabelEXT=radv_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_QueueEndDebugUtilsLabelEXT_Null)(VkQueue queue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@4=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@8=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@12=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@16=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@20=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@24=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@28=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@32=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@36=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@40=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@44=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@48=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@60=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueEndDebugUtilsLabelEXT@104=_sqtt_QueueEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueEndDebugUtilsLabelEXT=sqtt_QueueEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_QueueEndDebugUtilsLabelEXT(VkQueue queue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@4=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@8=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@12=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@16=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@20=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@24=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@28=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@32=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@36=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@40=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@44=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@48=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@60=_radv_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueInsertDebugUtilsLabelEXT@104=_radv_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueInsertDebugUtilsLabelEXT=radv_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_QueueInsertDebugUtilsLabelEXT_Null)(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@4=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@8=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@12=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@16=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@20=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@24=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@28=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@32=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@36=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@40=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@44=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@48=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@60=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueInsertDebugUtilsLabelEXT@104=_sqtt_QueueInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueInsertDebugUtilsLabelEXT=sqtt_QueueInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_QueueInsertDebugUtilsLabelEXT(VkQueue queue, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@4=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@8=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@12=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@16=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@20=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@24=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@28=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@32=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@36=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@40=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@44=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@48=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@60=_radv_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginDebugUtilsLabelEXT@104=_radv_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginDebugUtilsLabelEXT=radv_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@4=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@8=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@12=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@16=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@20=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@24=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@28=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@32=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@36=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@40=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@44=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@48=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@60=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginDebugUtilsLabelEXT@104=_sqtt_CmdBeginDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginDebugUtilsLabelEXT=sqtt_CmdBeginDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@4=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@8=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@12=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@16=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@20=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@24=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@28=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@32=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@36=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@40=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@44=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@48=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@60=_radv_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndDebugUtilsLabelEXT@104=_radv_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndDebugUtilsLabelEXT=radv_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@4=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@8=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@12=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@16=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@20=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@24=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@28=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@32=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@36=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@40=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@44=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@48=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@60=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndDebugUtilsLabelEXT@104=_sqtt_CmdEndDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndDebugUtilsLabelEXT=sqtt_CmdEndDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndDebugUtilsLabelEXT(VkCommandBuffer commandBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@4=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@8=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@12=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@16=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@20=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@24=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@28=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@32=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@36=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@40=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@44=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@48=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@60=_radv_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdInsertDebugUtilsLabelEXT@104=_radv_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdInsertDebugUtilsLabelEXT=radv_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdInsertDebugUtilsLabelEXT_Null)(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@4=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@8=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@12=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@16=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@20=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@24=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@28=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@32=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@36=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@40=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@44=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@48=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@60=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdInsertDebugUtilsLabelEXT@104=_sqtt_CmdInsertDebugUtilsLabelEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdInsertDebugUtilsLabelEXT=sqtt_CmdInsertDebugUtilsLabelEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdInsertDebugUtilsLabelEXT(VkCommandBuffer commandBuffer, const VkDebugUtilsLabelEXT* pLabelInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@4=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@8=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@12=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@16=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@20=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@24=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@28=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@32=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@36=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@40=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@44=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@48=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@60=_radv_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryHostPointerPropertiesEXT@104=_radv_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryHostPointerPropertiesEXT=radv_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryHostPointerPropertiesEXT_Null)(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@4=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@8=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@12=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@16=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@20=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@24=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@28=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@32=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@36=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@40=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@44=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@48=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@60=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryHostPointerPropertiesEXT@104=_sqtt_GetMemoryHostPointerPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryHostPointerPropertiesEXT=sqtt_GetMemoryHostPointerPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryHostPointerPropertiesEXT(VkDevice device, VkExternalMemoryHandleTypeFlagBits handleType, const void* pHostPointer, VkMemoryHostPointerPropertiesEXT* pMemoryHostPointerProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@4=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@8=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@12=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@16=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@20=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@24=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@28=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@32=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@36=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@40=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@44=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@48=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@60=_radv_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarkerAMD@104=_radv_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWriteBufferMarkerAMD=radv_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWriteBufferMarkerAMD_Null)(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@4=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@8=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@12=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@16=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@20=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@24=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@28=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@32=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@36=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@40=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@44=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@48=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@60=_sqtt_CmdWriteBufferMarkerAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarkerAMD@104=_sqtt_CmdWriteBufferMarkerAMD_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteBufferMarkerAMD=sqtt_CmdWriteBufferMarkerAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteBufferMarkerAMD(VkCommandBuffer commandBuffer, VkPipelineStageFlagBits pipelineStage, VkBuffer dstBuffer, VkDeviceSize dstOffset, uint32_t marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@4=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@8=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@12=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@16=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@20=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@24=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@28=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@32=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@36=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@40=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@44=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@48=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@60=_radv_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2@104=_radv_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass2=radv_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateRenderPass2_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@4=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@8=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@12=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@16=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@20=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@24=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@28=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@32=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@36=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@40=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@44=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@48=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@60=_sqtt_CreateRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2@104=_sqtt_CreateRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass2=sqtt_CreateRenderPass2_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRenderPass2(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@4=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@8=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@12=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@16=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@20=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@24=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@28=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@32=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@36=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@40=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@44=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@48=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@60=_radv_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRenderPass2KHR@104=_radv_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateRenderPass2KHR=radv_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateRenderPass2KHR_Null)(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@4=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@8=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@12=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@16=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@20=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@24=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@28=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@32=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@36=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@40=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@44=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@48=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@60=_sqtt_CreateRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRenderPass2KHR@104=_sqtt_CreateRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateRenderPass2KHR=sqtt_CreateRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRenderPass2KHR(VkDevice device, const VkRenderPassCreateInfo2* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkRenderPass* pRenderPass) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@4=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@8=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@12=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@16=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@20=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@24=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@28=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@32=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@36=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@40=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@44=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@48=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@60=_radv_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2@104=_radv_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass2=radv_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@4=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@8=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@12=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@16=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@20=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@24=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@28=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@32=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@36=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@40=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@44=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@48=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@60=_sqtt_CmdBeginRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2@104=_sqtt_CmdBeginRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass2=sqtt_CmdBeginRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginRenderPass2(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@4=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@8=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@12=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@16=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@20=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@24=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@28=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@32=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@36=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@40=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@44=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@48=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@60=_radv_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginRenderPass2KHR@104=_radv_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginRenderPass2KHR=radv_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@4=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@8=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@12=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@16=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@20=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@24=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@28=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@32=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@36=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@40=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@44=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@48=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@60=_sqtt_CmdBeginRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginRenderPass2KHR@104=_sqtt_CmdBeginRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginRenderPass2KHR=sqtt_CmdBeginRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginRenderPass2KHR(VkCommandBuffer commandBuffer, const VkRenderPassBeginInfo*      pRenderPassBegin, const VkSubpassBeginInfo*      pSubpassBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@4=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@8=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@12=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@16=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@20=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@24=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@28=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@32=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@36=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@40=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@44=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@48=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@60=_radv_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2@104=_radv_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass2=radv_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdNextSubpass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@4=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@8=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@12=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@16=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@20=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@24=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@28=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@32=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@36=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@40=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@44=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@48=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@60=_sqtt_CmdNextSubpass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2@104=_sqtt_CmdNextSubpass2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass2=sqtt_CmdNextSubpass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdNextSubpass2(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@4=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@8=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@12=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@16=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@20=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@24=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@28=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@32=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@36=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@40=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@44=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@48=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@60=_radv_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdNextSubpass2KHR@104=_radv_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdNextSubpass2KHR=radv_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdNextSubpass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@4=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@8=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@12=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@16=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@20=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@24=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@28=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@32=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@36=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@40=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@44=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@48=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@60=_sqtt_CmdNextSubpass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdNextSubpass2KHR@104=_sqtt_CmdNextSubpass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdNextSubpass2KHR=sqtt_CmdNextSubpass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdNextSubpass2KHR(VkCommandBuffer commandBuffer, const VkSubpassBeginInfo*      pSubpassBeginInfo, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@4=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@8=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@12=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@16=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@20=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@24=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@28=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@32=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@36=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@40=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@44=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@48=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@60=_radv_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2@104=_radv_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass2=radv_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndRenderPass2_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@4=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@8=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@12=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@16=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@20=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@24=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@28=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@32=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@36=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@40=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@44=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@48=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@60=_sqtt_CmdEndRenderPass2_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2@104=_sqtt_CmdEndRenderPass2_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass2=sqtt_CmdEndRenderPass2_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndRenderPass2(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@4=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@8=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@12=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@16=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@20=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@24=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@28=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@32=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@36=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@40=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@44=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@48=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@60=_radv_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndRenderPass2KHR@104=_radv_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndRenderPass2KHR=radv_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndRenderPass2KHR_Null)(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@4=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@8=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@12=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@16=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@20=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@24=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@28=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@32=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@36=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@40=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@44=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@48=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@60=_sqtt_CmdEndRenderPass2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndRenderPass2KHR@104=_sqtt_CmdEndRenderPass2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndRenderPass2KHR=sqtt_CmdEndRenderPass2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndRenderPass2KHR(VkCommandBuffer commandBuffer, const VkSubpassEndInfo*        pSubpassEndInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@4=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@8=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@12=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@16=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@20=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@24=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@28=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@32=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@36=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@40=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@44=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@48=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@60=_radv_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValue@104=_radv_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreCounterValue=radv_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSemaphoreCounterValue_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@4=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@8=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@12=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@16=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@20=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@24=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@28=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@32=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@36=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@40=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@44=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@48=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@60=_sqtt_GetSemaphoreCounterValue_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValue@104=_sqtt_GetSemaphoreCounterValue_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreCounterValue=sqtt_GetSemaphoreCounterValue_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreCounterValue(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@4=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@8=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@12=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@16=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@20=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@24=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@28=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@32=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@36=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@40=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@44=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@48=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@60=_radv_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetSemaphoreCounterValueKHR@104=_radv_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetSemaphoreCounterValueKHR=radv_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetSemaphoreCounterValueKHR_Null)(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@4=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@8=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@12=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@16=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@20=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@24=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@28=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@32=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@36=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@40=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@44=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@48=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@60=_sqtt_GetSemaphoreCounterValueKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetSemaphoreCounterValueKHR@104=_sqtt_GetSemaphoreCounterValueKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetSemaphoreCounterValueKHR=sqtt_GetSemaphoreCounterValueKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetSemaphoreCounterValueKHR(VkDevice device, VkSemaphore semaphore, uint64_t* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@4=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@8=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@12=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@16=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@20=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@24=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@28=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@32=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@36=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@40=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@44=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@48=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@60=_radv_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphores@104=_radv_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:radv_WaitSemaphores=radv_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_WaitSemaphores_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@4=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@8=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@12=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@16=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@20=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@24=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@28=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@32=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@36=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@40=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@44=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@48=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@60=_sqtt_WaitSemaphores_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphores@104=_sqtt_WaitSemaphores_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_WaitSemaphores=sqtt_WaitSemaphores_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WaitSemaphores(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@4=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@8=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@12=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@16=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@20=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@24=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@28=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@32=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@36=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@40=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@44=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@48=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@60=_radv_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WaitSemaphoresKHR@104=_radv_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_WaitSemaphoresKHR=radv_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_WaitSemaphoresKHR_Null)(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@4=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@8=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@12=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@16=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@20=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@24=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@28=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@32=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@36=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@40=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@44=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@48=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@60=_sqtt_WaitSemaphoresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WaitSemaphoresKHR@104=_sqtt_WaitSemaphoresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_WaitSemaphoresKHR=sqtt_WaitSemaphoresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WaitSemaphoresKHR(VkDevice device, const VkSemaphoreWaitInfo* pWaitInfo, uint64_t timeout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@4=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@8=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@12=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@16=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@20=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@24=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@28=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@32=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@36=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@40=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@44=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@48=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@60=_radv_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphore@104=_radv_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SignalSemaphore=radv_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_SignalSemaphore_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@4=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@8=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@12=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@16=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@20=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@24=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@28=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@32=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@36=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@40=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@44=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@48=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@60=_sqtt_SignalSemaphore_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphore@104=_sqtt_SignalSemaphore_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SignalSemaphore=sqtt_SignalSemaphore_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SignalSemaphore(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@4=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@8=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@12=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@16=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@20=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@24=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@28=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@32=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@36=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@40=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@44=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@48=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@60=_radv_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_SignalSemaphoreKHR@104=_radv_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SignalSemaphoreKHR=radv_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_SignalSemaphoreKHR_Null)(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@4=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@8=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@12=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@16=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@20=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@24=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@28=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@32=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@36=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@40=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@44=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@48=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@60=_sqtt_SignalSemaphoreKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SignalSemaphoreKHR@104=_sqtt_SignalSemaphoreKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SignalSemaphoreKHR=sqtt_SignalSemaphoreKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SignalSemaphoreKHR(VkDevice device, const VkSemaphoreSignalInfo* pSignalInfo) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@4=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@8=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@12=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@16=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@20=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@24=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@28=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@32=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@36=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@40=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@44=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@48=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@60=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAndroidHardwareBufferPropertiesANDROID@104=_radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetAndroidHardwareBufferPropertiesANDROID=radv_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null)(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@4=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@8=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@12=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@16=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@20=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@24=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@28=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@32=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@36=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@40=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@44=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@48=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@60=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAndroidHardwareBufferPropertiesANDROID@104=_sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetAndroidHardwareBufferPropertiesANDROID=sqtt_GetAndroidHardwareBufferPropertiesANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetAndroidHardwareBufferPropertiesANDROID(VkDevice device, const struct AHardwareBuffer* buffer, VkAndroidHardwareBufferPropertiesANDROID* pProperties) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@4=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@8=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@12=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@16=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@20=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@24=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@28=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@32=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@36=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@40=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@44=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@48=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@60=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_radv_GetMemoryAndroidHardwareBufferANDROID@104=_radv_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetMemoryAndroidHardwareBufferANDROID=radv_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetMemoryAndroidHardwareBufferANDROID_Null)(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@4=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@8=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@12=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@16=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@20=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@24=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@28=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@32=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@36=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@40=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@44=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@48=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@60=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetMemoryAndroidHardwareBufferANDROID@104=_sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetMemoryAndroidHardwareBufferANDROID=sqtt_GetMemoryAndroidHardwareBufferANDROID_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetMemoryAndroidHardwareBufferANDROID(VkDevice device, const VkMemoryGetAndroidHardwareBufferInfoANDROID* pInfo, struct AHardwareBuffer** pBuffer) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef _MSC_VER
    void (*radv_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@4=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@8=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@12=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@16=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@20=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@24=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@28=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@32=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@36=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@40=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@44=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@48=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@60=_radv_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCount@104=_radv_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCount=radv_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@4=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@8=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@12=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@16=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@20=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@24=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@28=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@32=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@36=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@40=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@44=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@48=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@60=_sqtt_CmdDrawIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCount@104=_sqtt_CmdDrawIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCount=sqtt_CmdDrawIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@4=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@8=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@12=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@16=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@20=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@24=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@28=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@32=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@36=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@40=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@44=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@48=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@60=_radv_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountKHR@104=_radv_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCountKHR=radv_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@4=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@8=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@12=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@16=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@20=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@24=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@28=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@32=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@36=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@40=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@44=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@48=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@60=_sqtt_CmdDrawIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountKHR@104=_sqtt_CmdDrawIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCountKHR=sqtt_CmdDrawIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@4=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@8=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@12=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@16=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@20=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@24=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@28=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@32=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@36=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@40=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@44=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@48=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@60=_radv_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectCountAMD@104=_radv_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectCountAMD=radv_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@4=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@8=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@12=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@16=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@20=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@24=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@28=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@32=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@36=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@40=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@44=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@48=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@60=_sqtt_CmdDrawIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectCountAMD@104=_sqtt_CmdDrawIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectCountAMD=sqtt_CmdDrawIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@4=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@8=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@12=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@16=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@20=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@24=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@28=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@32=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@36=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@40=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@44=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@48=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@60=_radv_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCount@104=_radv_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCount=radv_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndexedIndirectCount_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@4=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@8=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@12=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@16=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@20=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@24=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@28=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@32=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@36=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@40=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@44=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@48=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@60=_sqtt_CmdDrawIndexedIndirectCount_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCount@104=_sqtt_CmdDrawIndexedIndirectCount_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCount=sqtt_CmdDrawIndexedIndirectCount_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirectCount(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@4=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@8=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@12=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@16=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@20=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@24=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@28=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@32=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@36=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@40=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@44=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@48=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@60=_radv_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountKHR@104=_radv_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCountKHR=radv_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndexedIndirectCountKHR_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@4=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@8=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@12=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@16=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@20=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@24=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@28=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@32=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@36=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@40=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@44=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@48=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@60=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountKHR@104=_sqtt_CmdDrawIndexedIndirectCountKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCountKHR=sqtt_CmdDrawIndexedIndirectCountKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirectCountKHR(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@4=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@8=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@12=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@16=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@20=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@24=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@28=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@32=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@36=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@40=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@44=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@48=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@60=_radv_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndexedIndirectCountAMD@104=_radv_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndexedIndirectCountAMD=radv_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndexedIndirectCountAMD_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@4=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@8=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@12=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@16=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@20=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@24=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@28=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@32=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@36=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@40=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@44=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@48=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@60=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndexedIndirectCountAMD@104=_sqtt_CmdDrawIndexedIndirectCountAMD_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndexedIndirectCountAMD=sqtt_CmdDrawIndexedIndirectCountAMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndexedIndirectCountAMD(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@4=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@8=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@12=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@16=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@20=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@24=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@28=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@32=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@36=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@40=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@44=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@48=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@60=_radv_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCheckpointNV@104=_radv_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetCheckpointNV=radv_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetCheckpointNV_Null)(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@4=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@8=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@12=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@16=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@20=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@24=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@28=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@32=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@36=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@40=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@44=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@48=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@60=_sqtt_CmdSetCheckpointNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCheckpointNV@104=_sqtt_CmdSetCheckpointNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCheckpointNV=sqtt_CmdSetCheckpointNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetCheckpointNV(VkCommandBuffer commandBuffer, const void* pCheckpointMarker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@4=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@8=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@12=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@16=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@20=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@24=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@28=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@32=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@36=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@40=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@44=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@48=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@60=_radv_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointDataNV@104=_radv_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetQueueCheckpointDataNV=radv_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetQueueCheckpointDataNV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@4=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@8=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@12=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@16=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@20=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@24=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@28=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@32=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@36=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@40=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@44=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@48=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@60=_sqtt_GetQueueCheckpointDataNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointDataNV@104=_sqtt_GetQueueCheckpointDataNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetQueueCheckpointDataNV=sqtt_GetQueueCheckpointDataNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetQueueCheckpointDataNV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointDataNV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@4=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@8=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@12=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@16=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@20=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@24=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@28=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@32=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@36=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@40=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@44=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@48=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@60=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindTransformFeedbackBuffersEXT@104=_radv_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindTransformFeedbackBuffersEXT=radv_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindTransformFeedbackBuffersEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@4=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@8=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@12=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@16=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@20=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@24=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@28=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@32=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@36=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@40=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@44=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@48=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@60=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindTransformFeedbackBuffersEXT@104=_sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindTransformFeedbackBuffersEXT=sqtt_CmdBindTransformFeedbackBuffersEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindTransformFeedbackBuffersEXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@4=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@8=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@12=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@16=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@20=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@24=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@28=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@32=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@36=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@40=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@44=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@48=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@60=_radv_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginTransformFeedbackEXT@104=_radv_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginTransformFeedbackEXT=radv_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@4=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@8=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@12=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@16=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@20=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@24=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@28=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@32=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@36=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@40=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@44=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@48=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@60=_sqtt_CmdBeginTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginTransformFeedbackEXT@104=_sqtt_CmdBeginTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginTransformFeedbackEXT=sqtt_CmdBeginTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@4=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@8=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@12=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@16=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@20=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@24=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@28=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@32=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@36=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@40=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@44=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@48=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@60=_radv_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndTransformFeedbackEXT@104=_radv_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndTransformFeedbackEXT=radv_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndTransformFeedbackEXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@4=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@8=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@12=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@16=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@20=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@24=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@28=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@32=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@36=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@40=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@44=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@48=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@60=_sqtt_CmdEndTransformFeedbackEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndTransformFeedbackEXT@104=_sqtt_CmdEndTransformFeedbackEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndTransformFeedbackEXT=sqtt_CmdEndTransformFeedbackEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndTransformFeedbackEXT(VkCommandBuffer commandBuffer, uint32_t firstCounterBuffer, uint32_t counterBufferCount, const VkBuffer* pCounterBuffers, const VkDeviceSize* pCounterBufferOffsets) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@4=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@8=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@12=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@16=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@20=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@24=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@28=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@32=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@36=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@40=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@44=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@48=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@60=_radv_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginQueryIndexedEXT@104=_radv_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginQueryIndexedEXT=radv_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@4=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@8=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@12=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@16=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@20=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@24=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@28=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@32=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@36=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@40=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@44=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@48=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@60=_sqtt_CmdBeginQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginQueryIndexedEXT@104=_sqtt_CmdBeginQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginQueryIndexedEXT=sqtt_CmdBeginQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, VkQueryControlFlags flags, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@4=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@8=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@12=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@16=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@20=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@24=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@28=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@32=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@36=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@40=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@44=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@48=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@60=_radv_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndQueryIndexedEXT@104=_radv_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndQueryIndexedEXT=radv_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndQueryIndexedEXT_Null)(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@4=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@8=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@12=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@16=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@20=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@24=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@28=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@32=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@36=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@40=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@44=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@48=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@60=_sqtt_CmdEndQueryIndexedEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndQueryIndexedEXT@104=_sqtt_CmdEndQueryIndexedEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndQueryIndexedEXT=sqtt_CmdEndQueryIndexedEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndQueryIndexedEXT(VkCommandBuffer commandBuffer, VkQueryPool queryPool, uint32_t query, uint32_t index) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@4=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@8=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@12=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@16=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@20=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@24=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@28=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@32=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@36=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@40=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@44=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@48=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@60=_radv_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawIndirectByteCountEXT@104=_radv_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawIndirectByteCountEXT=radv_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawIndirectByteCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@4=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@8=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@12=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@16=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@20=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@24=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@28=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@32=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@36=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@40=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@44=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@48=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@60=_sqtt_CmdDrawIndirectByteCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawIndirectByteCountEXT@104=_sqtt_CmdDrawIndirectByteCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawIndirectByteCountEXT=sqtt_CmdDrawIndirectByteCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawIndirectByteCountEXT(VkCommandBuffer commandBuffer, uint32_t instanceCount, uint32_t firstInstance, VkBuffer counterBuffer, VkDeviceSize counterBufferOffset, uint32_t counterOffset, uint32_t vertexStride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@4=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@8=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@12=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@16=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@20=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@24=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@28=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@32=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@36=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@40=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@44=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@48=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@60=_radv_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetExclusiveScissorNV@104=_radv_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetExclusiveScissorNV=radv_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetExclusiveScissorNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@4=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@8=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@12=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@16=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@20=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@24=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@28=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@32=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@36=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@40=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@44=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@48=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@60=_sqtt_CmdSetExclusiveScissorNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetExclusiveScissorNV@104=_sqtt_CmdSetExclusiveScissorNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetExclusiveScissorNV=sqtt_CmdSetExclusiveScissorNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetExclusiveScissorNV(VkCommandBuffer commandBuffer, uint32_t firstExclusiveScissor, uint32_t exclusiveScissorCount, const VkRect2D* pExclusiveScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@4=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@8=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@12=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@16=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@20=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@24=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@28=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@32=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@36=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@40=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@44=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@48=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@60=_radv_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindShadingRateImageNV@104=_radv_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindShadingRateImageNV=radv_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindShadingRateImageNV_Null)(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@4=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@8=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@12=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@16=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@20=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@24=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@28=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@32=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@36=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@40=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@44=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@48=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@60=_sqtt_CmdBindShadingRateImageNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindShadingRateImageNV@104=_sqtt_CmdBindShadingRateImageNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindShadingRateImageNV=sqtt_CmdBindShadingRateImageNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindShadingRateImageNV(VkCommandBuffer commandBuffer, VkImageView imageView, VkImageLayout imageLayout) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@4=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@8=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@12=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@16=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@20=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@24=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@28=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@32=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@36=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@40=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@44=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@48=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@60=_radv_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportShadingRatePaletteNV@104=_radv_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportShadingRatePaletteNV=radv_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetViewportShadingRatePaletteNV_Null)(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@4=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@8=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@12=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@16=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@20=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@24=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@28=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@32=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@36=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@40=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@44=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@48=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@60=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportShadingRatePaletteNV@104=_sqtt_CmdSetViewportShadingRatePaletteNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportShadingRatePaletteNV=sqtt_CmdSetViewportShadingRatePaletteNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewportShadingRatePaletteNV(VkCommandBuffer commandBuffer, uint32_t firstViewport, uint32_t viewportCount, const VkShadingRatePaletteNV* pShadingRatePalettes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@4=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@8=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@12=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@16=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@20=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@24=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@28=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@32=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@36=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@40=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@44=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@48=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@60=_radv_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCoarseSampleOrderNV@104=_radv_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetCoarseSampleOrderNV=radv_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetCoarseSampleOrderNV_Null)(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@4=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@8=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@12=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@16=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@20=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@24=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@28=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@32=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@36=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@40=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@44=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@48=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@60=_sqtt_CmdSetCoarseSampleOrderNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCoarseSampleOrderNV@104=_sqtt_CmdSetCoarseSampleOrderNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCoarseSampleOrderNV=sqtt_CmdSetCoarseSampleOrderNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetCoarseSampleOrderNV(VkCommandBuffer commandBuffer, VkCoarseSampleOrderTypeNV sampleOrderType, uint32_t customSampleOrderCount, const VkCoarseSampleOrderCustomNV* pCustomSampleOrders) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@4=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@8=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@12=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@16=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@20=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@24=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@28=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@32=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@36=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@40=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@44=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@48=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@60=_radv_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksNV@104=_radv_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksNV=radv_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawMeshTasksNV_Null)(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@4=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@8=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@12=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@16=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@20=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@24=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@28=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@32=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@36=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@40=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@44=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@48=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@60=_sqtt_CmdDrawMeshTasksNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksNV@104=_sqtt_CmdDrawMeshTasksNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksNV=sqtt_CmdDrawMeshTasksNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMeshTasksNV(VkCommandBuffer commandBuffer, uint32_t taskCount, uint32_t firstTask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@4=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@8=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@12=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@16=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@20=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@24=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@28=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@32=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@36=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@40=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@44=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@48=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@60=_radv_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectNV@104=_radv_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksIndirectNV=radv_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawMeshTasksIndirectNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@4=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@8=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@12=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@16=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@20=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@24=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@28=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@32=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@36=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@40=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@44=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@48=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@60=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectNV@104=_sqtt_CmdDrawMeshTasksIndirectNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksIndirectNV=sqtt_CmdDrawMeshTasksIndirectNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMeshTasksIndirectNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, uint32_t drawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@4=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@8=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@12=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@16=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@20=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@24=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@28=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@32=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@36=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@40=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@44=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@48=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@60=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDrawMeshTasksIndirectCountNV@104=_radv_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDrawMeshTasksIndirectCountNV=radv_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDrawMeshTasksIndirectCountNV_Null)(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@4=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@8=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@12=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@16=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@20=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@24=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@28=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@32=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@36=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@40=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@44=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@48=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@60=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDrawMeshTasksIndirectCountNV@104=_sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDrawMeshTasksIndirectCountNV=sqtt_CmdDrawMeshTasksIndirectCountNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDrawMeshTasksIndirectCountNV(VkCommandBuffer commandBuffer, VkBuffer buffer, VkDeviceSize offset, VkBuffer countBuffer, VkDeviceSize countBufferOffset, uint32_t maxDrawCount, uint32_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@4=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@8=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@12=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@16=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@20=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@24=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@28=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@32=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@36=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@40=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@44=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@48=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@60=_radv_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CompileDeferredNV@104=_radv_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CompileDeferredNV=radv_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CompileDeferredNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t shader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@4=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@8=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@12=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@16=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@20=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@24=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@28=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@32=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@36=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@40=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@44=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@48=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@60=_sqtt_CompileDeferredNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CompileDeferredNV@104=_sqtt_CompileDeferredNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CompileDeferredNV=sqtt_CompileDeferredNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CompileDeferredNV(VkDevice device, VkPipeline pipeline, uint32_t shader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@4=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@8=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@12=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@16=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@20=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@24=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@28=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@32=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@36=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@40=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@44=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@48=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@60=_radv_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureNV@104=_radv_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateAccelerationStructureNV=radv_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateAccelerationStructureNV_Null)(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@4=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@8=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@12=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@16=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@20=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@24=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@28=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@32=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@36=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@40=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@44=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@48=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@60=_sqtt_CreateAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureNV@104=_sqtt_CreateAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateAccelerationStructureNV=sqtt_CreateAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateAccelerationStructureNV(VkDevice device, const VkAccelerationStructureCreateInfoNV* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkAccelerationStructureNV* pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@4=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@8=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@12=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@16=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@20=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@24=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@28=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@32=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@36=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@40=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@44=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@48=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@60=_radv_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureKHR@104=_radv_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyAccelerationStructureKHR=radv_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyAccelerationStructureKHR_Null)(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@4=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@8=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@12=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@16=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@20=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@24=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@28=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@32=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@36=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@40=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@44=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@48=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@60=_sqtt_DestroyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureKHR@104=_sqtt_DestroyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyAccelerationStructureKHR=sqtt_DestroyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyAccelerationStructureKHR(VkDevice device, VkAccelerationStructureKHR accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@4=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@8=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@12=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@16=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@20=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@24=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@28=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@32=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@36=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@40=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@44=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@48=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@60=_radv_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyAccelerationStructureNV@104=_radv_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyAccelerationStructureNV=radv_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyAccelerationStructureNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@4=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@8=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@12=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@16=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@20=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@24=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@28=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@32=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@36=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@40=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@44=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@48=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@60=_sqtt_DestroyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyAccelerationStructureNV@104=_sqtt_DestroyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyAccelerationStructureNV=sqtt_DestroyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyAccelerationStructureNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@4=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@8=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@12=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@16=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@20=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@24=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@28=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@32=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@36=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@40=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@44=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@48=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@60=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureMemoryRequirementsNV@104=_radv_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureMemoryRequirementsNV=radv_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetAccelerationStructureMemoryRequirementsNV_Null)(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@4=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@8=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@12=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@16=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@20=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@24=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@28=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@32=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@36=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@40=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@44=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@48=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@60=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureMemoryRequirementsNV@104=_sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureMemoryRequirementsNV=sqtt_GetAccelerationStructureMemoryRequirementsNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetAccelerationStructureMemoryRequirementsNV(VkDevice device, const VkAccelerationStructureMemoryRequirementsInfoNV* pInfo, VkMemoryRequirements2KHR* pMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@4=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@8=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@12=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@16=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@20=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@24=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@28=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@32=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@36=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@40=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@44=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@48=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@60=_radv_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_radv_BindAccelerationStructureMemoryNV@104=_radv_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindAccelerationStructureMemoryNV=radv_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindAccelerationStructureMemoryNV_Null)(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@4=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@8=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@12=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@16=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@20=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@24=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@28=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@32=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@36=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@40=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@44=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@48=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@60=_sqtt_BindAccelerationStructureMemoryNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindAccelerationStructureMemoryNV@104=_sqtt_BindAccelerationStructureMemoryNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindAccelerationStructureMemoryNV=sqtt_BindAccelerationStructureMemoryNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindAccelerationStructureMemoryNV(VkDevice device, uint32_t bindInfoCount, const VkBindAccelerationStructureMemoryInfoNV* pBindInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@4=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@8=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@12=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@16=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@20=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@24=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@28=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@32=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@36=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@40=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@44=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@48=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@60=_radv_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureNV@104=_radv_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureNV=radv_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@4=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@8=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@12=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@16=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@20=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@24=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@28=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@32=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@36=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@40=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@44=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@48=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@60=_sqtt_CmdCopyAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureNV@104=_sqtt_CmdCopyAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureNV=sqtt_CmdCopyAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyAccelerationStructureNV(VkCommandBuffer commandBuffer, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkCopyAccelerationStructureModeKHR mode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@4=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@8=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@12=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@16=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@20=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@24=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@28=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@32=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@36=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@40=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@44=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@48=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@60=_radv_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureKHR@104=_radv_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureKHR=radv_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@4=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@8=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@12=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@16=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@20=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@24=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@28=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@32=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@36=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@40=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@44=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@48=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@60=_sqtt_CmdCopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureKHR@104=_sqtt_CmdCopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureKHR=sqtt_CmdCopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@4=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@8=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@12=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@16=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@20=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@24=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@28=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@32=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@36=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@40=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@44=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@48=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@60=_radv_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureKHR@104=_radv_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CopyAccelerationStructureKHR=radv_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CopyAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@4=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@8=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@12=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@16=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@20=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@24=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@28=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@32=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@36=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@40=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@44=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@48=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@60=_sqtt_CopyAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureKHR@104=_sqtt_CopyAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CopyAccelerationStructureKHR=sqtt_CopyAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CopyAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@4=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@8=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@12=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@16=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@20=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@24=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@28=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@32=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@36=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@40=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@44=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@48=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@60=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyAccelerationStructureToMemoryKHR@104=_radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyAccelerationStructureToMemoryKHR=radv_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@4=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@8=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@12=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@16=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@20=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@24=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@28=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@32=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@36=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@40=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@44=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@48=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@60=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyAccelerationStructureToMemoryKHR@104=_sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyAccelerationStructureToMemoryKHR=sqtt_CmdCopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyAccelerationStructureToMemoryKHR(VkCommandBuffer commandBuffer, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@4=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@8=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@12=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@16=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@20=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@24=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@28=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@32=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@36=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@40=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@44=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@48=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@60=_radv_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyAccelerationStructureToMemoryKHR@104=_radv_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CopyAccelerationStructureToMemoryKHR=radv_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CopyAccelerationStructureToMemoryKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@4=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@8=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@12=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@16=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@20=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@24=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@28=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@32=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@36=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@40=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@44=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@48=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@60=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyAccelerationStructureToMemoryKHR@104=_sqtt_CopyAccelerationStructureToMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CopyAccelerationStructureToMemoryKHR=sqtt_CopyAccelerationStructureToMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CopyAccelerationStructureToMemoryKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyAccelerationStructureToMemoryInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@4=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@8=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@12=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@16=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@20=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@24=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@28=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@32=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@36=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@40=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@44=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@48=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@60=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyMemoryToAccelerationStructureKHR@104=_radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyMemoryToAccelerationStructureKHR=radv_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null)(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@4=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@8=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@12=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@16=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@20=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@24=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@28=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@32=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@36=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@40=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@44=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@48=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@60=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyMemoryToAccelerationStructureKHR@104=_sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyMemoryToAccelerationStructureKHR=sqtt_CmdCopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyMemoryToAccelerationStructureKHR(VkCommandBuffer commandBuffer, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@4=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@8=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@12=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@16=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@20=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@24=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@28=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@32=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@36=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@40=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@44=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@48=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@60=_radv_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CopyMemoryToAccelerationStructureKHR@104=_radv_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CopyMemoryToAccelerationStructureKHR=radv_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CopyMemoryToAccelerationStructureKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@4=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@8=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@12=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@16=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@20=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@24=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@28=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@32=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@36=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@40=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@44=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@48=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@60=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CopyMemoryToAccelerationStructureKHR@104=_sqtt_CopyMemoryToAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CopyMemoryToAccelerationStructureKHR=sqtt_CopyMemoryToAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CopyMemoryToAccelerationStructureKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, const VkCopyMemoryToAccelerationStructureInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@4=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@8=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@12=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@16=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@20=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@24=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@28=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@32=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@36=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@40=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@44=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@48=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@60=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesKHR@104=_radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWriteAccelerationStructuresPropertiesKHR=radv_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@4=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@8=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@12=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@16=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@20=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@24=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@28=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@32=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@36=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@40=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@44=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@48=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@60=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesKHR@104=_sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteAccelerationStructuresPropertiesKHR=sqtt_CmdWriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteAccelerationStructuresPropertiesKHR(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@4=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@8=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@12=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@16=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@20=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@24=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@28=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@32=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@36=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@40=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@44=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@48=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@60=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteAccelerationStructuresPropertiesNV@104=_radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWriteAccelerationStructuresPropertiesNV=radv_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null)(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@4=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@8=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@12=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@16=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@20=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@24=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@28=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@32=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@36=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@40=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@44=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@48=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@60=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteAccelerationStructuresPropertiesNV@104=_sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteAccelerationStructuresPropertiesNV=sqtt_CmdWriteAccelerationStructuresPropertiesNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteAccelerationStructuresPropertiesNV(VkCommandBuffer commandBuffer, uint32_t accelerationStructureCount, const VkAccelerationStructureNV* pAccelerationStructures, VkQueryType queryType, VkQueryPool queryPool, uint32_t firstQuery) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@4=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@8=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@12=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@16=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@20=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@24=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@28=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@32=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@36=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@40=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@44=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@48=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@60=_radv_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructureNV@104=_radv_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructureNV=radv_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBuildAccelerationStructureNV_Null)(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@4=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@8=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@12=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@16=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@20=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@24=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@28=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@32=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@36=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@40=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@44=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@48=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@60=_sqtt_CmdBuildAccelerationStructureNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructureNV@104=_sqtt_CmdBuildAccelerationStructureNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructureNV=sqtt_CmdBuildAccelerationStructureNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBuildAccelerationStructureNV(VkCommandBuffer commandBuffer, const VkAccelerationStructureInfoNV* pInfo, VkBuffer instanceData, VkDeviceSize instanceOffset, VkBool32 update, VkAccelerationStructureNV dst, VkAccelerationStructureNV src, VkBuffer scratch, VkDeviceSize scratchOffset) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@4=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@8=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@12=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@16=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@20=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@24=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@28=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@32=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@36=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@40=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@44=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@48=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@60=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_WriteAccelerationStructuresPropertiesKHR@104=_radv_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_WriteAccelerationStructuresPropertiesKHR=radv_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_WriteAccelerationStructuresPropertiesKHR_Null)(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@4=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@8=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@12=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@16=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@20=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@24=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@28=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@32=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@36=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@40=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@44=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@48=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@60=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_WriteAccelerationStructuresPropertiesKHR@104=_sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_WriteAccelerationStructuresPropertiesKHR=sqtt_WriteAccelerationStructuresPropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_WriteAccelerationStructuresPropertiesKHR(VkDevice device, uint32_t accelerationStructureCount, const VkAccelerationStructureKHR* pAccelerationStructures, VkQueryType  queryType, size_t       dataSize, void* pData, size_t stride) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@4=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@8=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@12=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@16=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@20=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@24=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@28=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@32=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@36=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@40=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@44=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@48=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@60=_radv_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysKHR@104=_radv_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysKHR=radv_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdTraceRaysKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@4=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@8=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@12=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@16=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@20=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@24=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@28=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@32=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@36=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@40=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@44=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@48=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@60=_sqtt_CmdTraceRaysKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysKHR@104=_sqtt_CmdTraceRaysKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysKHR=sqtt_CmdTraceRaysKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdTraceRaysKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@4=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@8=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@12=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@16=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@20=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@24=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@28=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@32=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@36=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@40=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@44=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@48=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@60=_radv_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysNV@104=_radv_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysNV=radv_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdTraceRaysNV_Null)(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@4=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@8=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@12=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@16=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@20=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@24=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@28=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@32=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@36=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@40=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@44=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@48=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@60=_sqtt_CmdTraceRaysNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysNV@104=_sqtt_CmdTraceRaysNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysNV=sqtt_CmdTraceRaysNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdTraceRaysNV(VkCommandBuffer commandBuffer, VkBuffer raygenShaderBindingTableBuffer, VkDeviceSize raygenShaderBindingOffset, VkBuffer missShaderBindingTableBuffer, VkDeviceSize missShaderBindingOffset, VkDeviceSize missShaderBindingStride, VkBuffer hitShaderBindingTableBuffer, VkDeviceSize hitShaderBindingOffset, VkDeviceSize hitShaderBindingStride, VkBuffer callableShaderBindingTableBuffer, VkDeviceSize callableShaderBindingOffset, VkDeviceSize callableShaderBindingStride, uint32_t width, uint32_t height, uint32_t depth) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@4=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@8=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@12=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@16=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@20=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@24=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@28=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@32=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@36=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@40=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@44=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@48=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@60=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesKHR@104=_radv_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupHandlesKHR=radv_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetRayTracingShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@4=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@8=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@12=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@16=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@20=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@24=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@28=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@32=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@36=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@40=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@44=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@48=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@60=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesKHR@104=_sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupHandlesKHR=sqtt_GetRayTracingShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRayTracingShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@4=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@8=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@12=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@16=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@20=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@24=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@28=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@32=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@36=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@40=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@44=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@48=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@60=_radv_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupHandlesNV@104=_radv_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupHandlesNV=radv_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetRayTracingShaderGroupHandlesNV_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@4=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@8=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@12=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@16=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@20=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@24=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@28=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@32=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@36=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@40=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@44=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@48=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@60=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupHandlesNV@104=_sqtt_GetRayTracingShaderGroupHandlesNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupHandlesNV=sqtt_GetRayTracingShaderGroupHandlesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRayTracingShaderGroupHandlesNV(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR=radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@4=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@8=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@12=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@16=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@20=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@24=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@28=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@32=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@36=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@40=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@44=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@48=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@60=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR@104=_sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR=sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR(VkDevice device, VkPipeline pipeline, uint32_t firstGroup, uint32_t groupCount, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@4=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@8=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@12=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@16=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@20=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@24=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@28=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@32=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@36=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@40=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@44=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@48=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@60=_radv_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureHandleNV@104=_radv_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureHandleNV=radv_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetAccelerationStructureHandleNV_Null)(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@4=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@8=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@12=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@16=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@20=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@24=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@28=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@32=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@36=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@40=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@44=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@48=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@60=_sqtt_GetAccelerationStructureHandleNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureHandleNV@104=_sqtt_GetAccelerationStructureHandleNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureHandleNV=sqtt_GetAccelerationStructureHandleNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetAccelerationStructureHandleNV(VkDevice device, VkAccelerationStructureNV accelerationStructure, size_t dataSize, void* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@4=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@8=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@12=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@16=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@20=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@24=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@28=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@32=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@36=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@40=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@44=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@48=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@60=_radv_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesNV@104=_radv_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateRayTracingPipelinesNV=radv_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateRayTracingPipelinesNV_Null)(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@4=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@8=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@12=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@16=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@20=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@24=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@28=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@32=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@36=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@40=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@44=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@48=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@60=_sqtt_CreateRayTracingPipelinesNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesNV@104=_sqtt_CreateRayTracingPipelinesNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateRayTracingPipelinesNV=sqtt_CreateRayTracingPipelinesNV_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRayTracingPipelinesNV(VkDevice device, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoNV* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@4=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@8=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@12=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@16=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@20=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@24=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@28=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@32=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@36=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@40=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@44=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@48=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@60=_radv_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateRayTracingPipelinesKHR@104=_radv_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateRayTracingPipelinesKHR=radv_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateRayTracingPipelinesKHR_Null)(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@4=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@8=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@12=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@16=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@20=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@24=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@28=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@32=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@36=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@40=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@44=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@48=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@60=_sqtt_CreateRayTracingPipelinesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateRayTracingPipelinesKHR@104=_sqtt_CreateRayTracingPipelinesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateRayTracingPipelinesKHR=sqtt_CreateRayTracingPipelinesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateRayTracingPipelinesKHR(VkDevice device, VkDeferredOperationKHR deferredOperation, VkPipelineCache pipelineCache, uint32_t createInfoCount, const VkRayTracingPipelineCreateInfoKHR* pCreateInfos, const VkAllocationCallbacks* pAllocator, VkPipeline* pPipelines) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@4=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@8=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@12=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@16=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@20=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@24=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@28=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@32=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@36=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@40=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@44=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@48=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@60=_radv_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdTraceRaysIndirectKHR@104=_radv_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdTraceRaysIndirectKHR=radv_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdTraceRaysIndirectKHR_Null)(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@4=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@8=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@12=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@16=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@20=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@24=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@28=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@32=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@36=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@40=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@44=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@48=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@60=_sqtt_CmdTraceRaysIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdTraceRaysIndirectKHR@104=_sqtt_CmdTraceRaysIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdTraceRaysIndirectKHR=sqtt_CmdTraceRaysIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdTraceRaysIndirectKHR(VkCommandBuffer commandBuffer, const VkStridedDeviceAddressRegionKHR* pRaygenShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pMissShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pHitShaderBindingTable, const VkStridedDeviceAddressRegionKHR* pCallableShaderBindingTable, VkDeviceAddress indirectDeviceAddress) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@4=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@8=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@12=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@16=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@20=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@24=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@28=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@32=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@36=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@40=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@44=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@48=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@60=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceAccelerationStructureCompatibilityKHR@104=_radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceAccelerationStructureCompatibilityKHR=radv_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null)(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@4=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@8=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@12=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@16=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@20=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@24=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@28=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@32=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@36=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@40=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@44=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@48=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@60=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceAccelerationStructureCompatibilityKHR@104=_sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceAccelerationStructureCompatibilityKHR=sqtt_GetDeviceAccelerationStructureCompatibilityKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetDeviceAccelerationStructureCompatibilityKHR(VkDevice device, const VkAccelerationStructureVersionInfoKHR* pVersionInfo, VkAccelerationStructureCompatibilityKHR* pCompatibility) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*radv_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@4=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@8=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@12=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@16=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@20=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@24=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@28=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@32=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@36=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@40=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@44=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@48=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@60=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetRayTracingShaderGroupStackSizeKHR@104=_radv_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetRayTracingShaderGroupStackSizeKHR=radv_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL radv_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceSize (*sqtt_GetRayTracingShaderGroupStackSizeKHR_Null)(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@4=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@8=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@12=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@16=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@20=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@24=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@28=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@32=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@36=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@40=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@44=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@48=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@60=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetRayTracingShaderGroupStackSizeKHR@104=_sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetRayTracingShaderGroupStackSizeKHR=sqtt_GetRayTracingShaderGroupStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceSize VKAPI_CALL sqtt_GetRayTracingShaderGroupStackSizeKHR(VkDevice device, VkPipeline pipeline, uint32_t group, VkShaderGroupShaderKHR groupShader) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@4=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@8=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@12=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@16=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@20=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@24=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@28=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@32=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@36=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@40=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@44=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@48=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@60=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRayTracingPipelineStackSizeKHR@104=_radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetRayTracingPipelineStackSizeKHR=radv_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null)(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@4=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@8=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@12=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@16=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@20=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@24=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@28=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@32=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@36=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@40=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@44=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@48=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@60=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRayTracingPipelineStackSizeKHR@104=_sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetRayTracingPipelineStackSizeKHR=sqtt_CmdSetRayTracingPipelineStackSizeKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetRayTracingPipelineStackSizeKHR(VkCommandBuffer commandBuffer, uint32_t pipelineStackSize) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*radv_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@4=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@8=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@12=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@16=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@20=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@24=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@28=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@32=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@36=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@40=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@44=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@48=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@60=_radv_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewHandleNVX@104=_radv_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageViewHandleNVX=radv_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL radv_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*sqtt_GetImageViewHandleNVX_Null)(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@4=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@8=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@12=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@16=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@20=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@24=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@28=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@32=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@36=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@40=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@44=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@48=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@60=_sqtt_GetImageViewHandleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewHandleNVX@104=_sqtt_GetImageViewHandleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageViewHandleNVX=sqtt_GetImageViewHandleNVX_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL sqtt_GetImageViewHandleNVX(VkDevice device, const VkImageViewHandleInfoNVX* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@4=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@8=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@12=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@16=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@20=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@24=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@28=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@32=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@36=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@40=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@44=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@48=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@60=_radv_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageViewAddressNVX@104=_radv_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageViewAddressNVX=radv_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetImageViewAddressNVX_Null)(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@4=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@8=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@12=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@16=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@20=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@24=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@28=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@32=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@36=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@40=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@44=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@48=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@60=_sqtt_GetImageViewAddressNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageViewAddressNVX@104=_sqtt_GetImageViewAddressNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageViewAddressNVX=sqtt_GetImageViewAddressNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetImageViewAddressNVX(VkDevice device, VkImageView imageView, VkImageViewAddressPropertiesNVX* pProperties) __attribute__ ((weak));
#endif
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@4=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@8=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@12=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@16=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@20=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@24=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@28=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@32=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@36=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@40=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@44=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@48=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@60=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceGroupSurfacePresentModes2EXT@104=_radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceGroupSurfacePresentModes2EXT=radv_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null)(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@4=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@8=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@12=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@16=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@20=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@24=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@28=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@32=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@36=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@40=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@44=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@48=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@60=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceGroupSurfacePresentModes2EXT@104=_sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceGroupSurfacePresentModes2EXT=sqtt_GetDeviceGroupSurfacePresentModes2EXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeviceGroupSurfacePresentModes2EXT(VkDevice device, const VkPhysicalDeviceSurfaceInfo2KHR* pSurfaceInfo, VkDeviceGroupPresentModeFlagsKHR* pModes) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@4=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@8=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@12=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@16=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@20=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@24=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@28=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@32=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@36=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@40=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@44=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@48=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@60=_radv_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireFullScreenExclusiveModeEXT@104=_radv_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireFullScreenExclusiveModeEXT=radv_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AcquireFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@4=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@8=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@12=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@16=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@20=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@24=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@28=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@32=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@36=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@40=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@44=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@48=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@60=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireFullScreenExclusiveModeEXT@104=_sqtt_AcquireFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AcquireFullScreenExclusiveModeEXT=sqtt_AcquireFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@4=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@8=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@12=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@16=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@20=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@24=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@28=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@32=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@36=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@40=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@44=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@48=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@60=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseFullScreenExclusiveModeEXT@104=_radv_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ReleaseFullScreenExclusiveModeEXT=radv_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ReleaseFullScreenExclusiveModeEXT_Null)(VkDevice device, VkSwapchainKHR swapchain) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@4=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@8=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@12=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@16=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@20=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@24=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@28=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@32=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@36=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@40=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@44=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@48=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@60=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseFullScreenExclusiveModeEXT@104=_sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ReleaseFullScreenExclusiveModeEXT=sqtt_ReleaseFullScreenExclusiveModeEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ReleaseFullScreenExclusiveModeEXT(VkDevice device, VkSwapchainKHR swapchain) __attribute__ ((weak));
#endif
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef _MSC_VER
    VkResult (*radv_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@4=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@8=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@12=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@16=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@20=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@24=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@28=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@32=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@36=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@40=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@44=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@48=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@60=_radv_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquireProfilingLockKHR@104=_radv_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquireProfilingLockKHR=radv_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AcquireProfilingLockKHR_Null)(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@4=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@8=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@12=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@16=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@20=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@24=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@28=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@32=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@36=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@40=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@44=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@48=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@60=_sqtt_AcquireProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquireProfilingLockKHR@104=_sqtt_AcquireProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AcquireProfilingLockKHR=sqtt_AcquireProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquireProfilingLockKHR(VkDevice device, const VkAcquireProfilingLockInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@4=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@8=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@12=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@16=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@20=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@24=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@28=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@32=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@36=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@40=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@44=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@48=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@60=_radv_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleaseProfilingLockKHR@104=_radv_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ReleaseProfilingLockKHR=radv_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_ReleaseProfilingLockKHR_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@4=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@8=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@12=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@16=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@20=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@24=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@28=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@32=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@36=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@40=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@44=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@48=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@60=_sqtt_ReleaseProfilingLockKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleaseProfilingLockKHR@104=_sqtt_ReleaseProfilingLockKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ReleaseProfilingLockKHR=sqtt_ReleaseProfilingLockKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_ReleaseProfilingLockKHR(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@4=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@8=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@12=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@16=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@20=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@24=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@28=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@32=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@36=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@40=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@44=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@48=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@60=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetImageDrmFormatModifierPropertiesEXT@104=_radv_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetImageDrmFormatModifierPropertiesEXT=radv_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetImageDrmFormatModifierPropertiesEXT_Null)(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@4=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@8=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@12=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@16=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@20=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@24=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@28=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@32=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@36=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@40=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@44=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@48=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@60=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetImageDrmFormatModifierPropertiesEXT@104=_sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetImageDrmFormatModifierPropertiesEXT=sqtt_GetImageDrmFormatModifierPropertiesEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetImageDrmFormatModifierPropertiesEXT(VkDevice device, VkImage image, VkImageDrmFormatModifierPropertiesEXT* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*radv_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@4=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@8=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@12=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@16=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@20=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@24=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@28=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@32=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@36=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@40=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@44=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@48=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@60=_radv_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddress@104=_radv_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferOpaqueCaptureAddress=radv_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*sqtt_GetBufferOpaqueCaptureAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@4=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@8=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@12=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@16=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@20=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@24=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@28=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@32=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@36=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@40=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@44=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@48=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@60=_sqtt_GetBufferOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddress@104=_sqtt_GetBufferOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferOpaqueCaptureAddress=sqtt_GetBufferOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetBufferOpaqueCaptureAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*radv_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@4=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@8=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@12=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@16=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@20=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@24=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@28=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@32=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@36=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@40=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@44=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@48=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@60=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferOpaqueCaptureAddressKHR@104=_radv_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferOpaqueCaptureAddressKHR=radv_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*sqtt_GetBufferOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@4=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@8=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@12=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@16=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@20=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@24=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@28=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@32=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@36=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@40=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@44=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@48=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@60=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferOpaqueCaptureAddressKHR@104=_sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferOpaqueCaptureAddressKHR=sqtt_GetBufferOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetBufferOpaqueCaptureAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*radv_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@4=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@8=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@12=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@16=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@20=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@24=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@28=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@32=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@36=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@40=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@44=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@48=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@60=_radv_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddress@104=_radv_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddress=radv_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*sqtt_GetBufferDeviceAddress_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@4=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@8=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@12=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@16=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@20=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@24=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@28=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@32=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@36=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@40=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@44=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@48=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@60=_sqtt_GetBufferDeviceAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddress@104=_sqtt_GetBufferDeviceAddress_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddress=sqtt_GetBufferDeviceAddress_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetBufferDeviceAddress(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*radv_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@4=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@8=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@12=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@16=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@20=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@24=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@28=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@32=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@36=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@40=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@44=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@48=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@60=_radv_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressKHR@104=_radv_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddressKHR=radv_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*sqtt_GetBufferDeviceAddressKHR_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@4=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@8=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@12=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@16=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@20=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@24=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@28=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@32=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@36=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@40=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@44=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@48=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@60=_sqtt_GetBufferDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressKHR@104=_sqtt_GetBufferDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddressKHR=sqtt_GetBufferDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetBufferDeviceAddressKHR(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*radv_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@4=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@8=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@12=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@16=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@20=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@24=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@28=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@32=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@36=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@40=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@44=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@48=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@60=_radv_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetBufferDeviceAddressEXT@104=_radv_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetBufferDeviceAddressEXT=radv_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*sqtt_GetBufferDeviceAddressEXT_Null)(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@4=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@8=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@12=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@16=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@20=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@24=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@28=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@32=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@36=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@40=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@44=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@48=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@60=_sqtt_GetBufferDeviceAddressEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetBufferDeviceAddressEXT@104=_sqtt_GetBufferDeviceAddressEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetBufferDeviceAddressEXT=sqtt_GetBufferDeviceAddressEXT_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetBufferDeviceAddressEXT(VkDevice device, const VkBufferDeviceAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@4=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@8=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@12=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@16=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@20=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@24=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@28=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@32=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@36=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@40=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@44=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@48=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@60=_radv_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_InitializePerformanceApiINTEL@104=_radv_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_InitializePerformanceApiINTEL=radv_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_InitializePerformanceApiINTEL_Null)(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@4=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@8=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@12=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@16=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@20=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@24=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@28=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@32=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@36=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@40=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@44=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@48=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@60=_sqtt_InitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_InitializePerformanceApiINTEL@104=_sqtt_InitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_InitializePerformanceApiINTEL=sqtt_InitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_InitializePerformanceApiINTEL(VkDevice device, const VkInitializePerformanceApiInfoINTEL* pInitializeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@4=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@8=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@12=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@16=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@20=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@24=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@28=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@32=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@36=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@40=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@44=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@48=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@60=_radv_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_UninitializePerformanceApiINTEL@104=_radv_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_UninitializePerformanceApiINTEL=radv_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_UninitializePerformanceApiINTEL_Null)(VkDevice device) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@4=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@8=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@12=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@16=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@20=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@24=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@28=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@32=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@36=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@40=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@44=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@48=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@60=_sqtt_UninitializePerformanceApiINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UninitializePerformanceApiINTEL@104=_sqtt_UninitializePerformanceApiINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_UninitializePerformanceApiINTEL=sqtt_UninitializePerformanceApiINTEL_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_UninitializePerformanceApiINTEL(VkDevice device) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@4=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@8=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@12=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@16=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@20=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@24=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@28=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@32=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@36=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@40=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@44=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@48=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@60=_radv_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceMarkerINTEL@104=_radv_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceMarkerINTEL=radv_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CmdSetPerformanceMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@4=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@8=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@12=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@16=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@20=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@24=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@28=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@32=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@36=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@40=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@44=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@48=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@60=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceMarkerINTEL@104=_sqtt_CmdSetPerformanceMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceMarkerINTEL=sqtt_CmdSetPerformanceMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CmdSetPerformanceMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@4=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@8=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@12=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@16=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@20=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@24=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@28=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@32=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@36=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@40=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@44=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@48=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@60=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceStreamMarkerINTEL@104=_radv_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceStreamMarkerINTEL=radv_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CmdSetPerformanceStreamMarkerINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@4=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@8=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@12=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@16=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@20=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@24=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@28=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@32=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@36=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@40=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@44=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@48=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@60=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceStreamMarkerINTEL@104=_sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceStreamMarkerINTEL=sqtt_CmdSetPerformanceStreamMarkerINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CmdSetPerformanceStreamMarkerINTEL(VkCommandBuffer commandBuffer, const VkPerformanceStreamMarkerInfoINTEL* pMarkerInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@4=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@8=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@12=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@16=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@20=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@24=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@28=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@32=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@36=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@40=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@44=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@48=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@60=_radv_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPerformanceOverrideINTEL@104=_radv_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetPerformanceOverrideINTEL=radv_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CmdSetPerformanceOverrideINTEL_Null)(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@4=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@8=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@12=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@16=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@20=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@24=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@28=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@32=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@36=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@40=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@44=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@48=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@60=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPerformanceOverrideINTEL@104=_sqtt_CmdSetPerformanceOverrideINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPerformanceOverrideINTEL=sqtt_CmdSetPerformanceOverrideINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CmdSetPerformanceOverrideINTEL(VkCommandBuffer commandBuffer, const VkPerformanceOverrideInfoINTEL* pOverrideInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@4=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@8=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@12=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@16=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@20=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@24=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@28=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@32=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@36=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@40=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@44=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@48=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@60=_radv_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_AcquirePerformanceConfigurationINTEL@104=_radv_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_AcquirePerformanceConfigurationINTEL=radv_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_AcquirePerformanceConfigurationINTEL_Null)(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@4=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@8=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@12=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@16=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@20=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@24=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@28=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@32=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@36=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@40=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@44=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@48=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@60=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_AcquirePerformanceConfigurationINTEL@104=_sqtt_AcquirePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_AcquirePerformanceConfigurationINTEL=sqtt_AcquirePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_AcquirePerformanceConfigurationINTEL(VkDevice device, const VkPerformanceConfigurationAcquireInfoINTEL* pAcquireInfo, VkPerformanceConfigurationINTEL* pConfiguration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@4=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@8=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@12=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@16=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@20=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@24=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@28=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@32=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@36=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@40=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@44=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@48=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@60=_radv_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_ReleasePerformanceConfigurationINTEL@104=_radv_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_ReleasePerformanceConfigurationINTEL=radv_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_ReleasePerformanceConfigurationINTEL_Null)(VkDevice device, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@4=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@8=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@12=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@16=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@20=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@24=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@28=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@32=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@36=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@40=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@44=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@48=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@60=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_ReleasePerformanceConfigurationINTEL@104=_sqtt_ReleasePerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_ReleasePerformanceConfigurationINTEL=sqtt_ReleasePerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_ReleasePerformanceConfigurationINTEL(VkDevice device, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@4=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@8=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@12=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@16=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@20=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@24=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@28=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@32=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@36=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@40=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@44=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@48=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@60=_radv_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSetPerformanceConfigurationINTEL@104=_radv_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueSetPerformanceConfigurationINTEL=radv_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueueSetPerformanceConfigurationINTEL_Null)(VkQueue queue, VkPerformanceConfigurationINTEL configuration) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@4=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@8=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@12=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@16=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@20=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@24=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@28=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@32=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@36=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@40=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@44=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@48=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@60=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSetPerformanceConfigurationINTEL@104=_sqtt_QueueSetPerformanceConfigurationINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueSetPerformanceConfigurationINTEL=sqtt_QueueSetPerformanceConfigurationINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSetPerformanceConfigurationINTEL(VkQueue queue, VkPerformanceConfigurationINTEL configuration) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@4=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@8=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@12=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@16=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@20=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@24=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@28=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@32=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@36=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@40=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@44=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@48=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@60=_radv_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPerformanceParameterINTEL@104=_radv_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPerformanceParameterINTEL=radv_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetPerformanceParameterINTEL_Null)(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@4=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@8=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@12=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@16=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@20=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@24=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@28=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@32=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@36=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@40=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@44=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@48=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@60=_sqtt_GetPerformanceParameterINTEL_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPerformanceParameterINTEL@104=_sqtt_GetPerformanceParameterINTEL_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPerformanceParameterINTEL=sqtt_GetPerformanceParameterINTEL_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPerformanceParameterINTEL(VkDevice device, VkPerformanceParameterTypeINTEL parameter, VkPerformanceValueINTEL* pValue) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*radv_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@4=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@8=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@12=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@16=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@20=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@24=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@28=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@32=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@36=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@40=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@44=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@48=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@60=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddress@104=_radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryOpaqueCaptureAddress=radv_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@4=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@8=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@12=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@16=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@20=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@24=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@28=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@32=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@36=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@40=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@44=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@48=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@60=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddress@104=_sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryOpaqueCaptureAddress=sqtt_GetDeviceMemoryOpaqueCaptureAddress_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetDeviceMemoryOpaqueCaptureAddress(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeviceMemoryOpaqueCaptureAddressKHR=radv_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL radv_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint64_t (*sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null)(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@4=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@8=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@12=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@16=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@20=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@24=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@28=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@32=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@36=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@40=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@44=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@48=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@60=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR@104=_sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR=sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR_Null")
#endif
#else
    VKAPI_ATTR uint64_t VKAPI_CALL sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR(VkDevice device, const VkDeviceMemoryOpaqueCaptureAddressInfo* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@4=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@8=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@12=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@16=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@20=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@24=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@28=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@32=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@36=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@40=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@44=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@48=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@60=_radv_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutablePropertiesKHR@104=_radv_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutablePropertiesKHR=radv_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetPipelineExecutablePropertiesKHR_Null)(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@4=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@8=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@12=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@16=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@20=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@24=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@28=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@32=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@36=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@40=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@44=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@48=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@60=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutablePropertiesKHR@104=_sqtt_GetPipelineExecutablePropertiesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutablePropertiesKHR=sqtt_GetPipelineExecutablePropertiesKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineExecutablePropertiesKHR(VkDevice                        device, const VkPipelineInfoKHR*        pPipelineInfo, uint32_t* pExecutableCount, VkPipelineExecutablePropertiesKHR* pProperties) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@4=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@8=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@12=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@16=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@20=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@24=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@28=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@32=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@36=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@40=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@44=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@48=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@60=_radv_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableStatisticsKHR@104=_radv_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutableStatisticsKHR=radv_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetPipelineExecutableStatisticsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@4=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@8=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@12=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@16=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@20=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@24=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@28=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@32=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@36=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@40=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@44=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@48=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@60=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableStatisticsKHR@104=_sqtt_GetPipelineExecutableStatisticsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutableStatisticsKHR=sqtt_GetPipelineExecutableStatisticsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineExecutableStatisticsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pStatisticCount, VkPipelineExecutableStatisticKHR* pStatistics) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@4=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@8=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@12=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@16=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@20=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@24=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@28=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@32=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@36=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@40=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@44=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@48=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@60=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPipelineExecutableInternalRepresentationsKHR@104=_radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPipelineExecutableInternalRepresentationsKHR=radv_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null)(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@4=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@8=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@12=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@16=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@20=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@24=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@28=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@32=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@36=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@40=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@44=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@48=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@60=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPipelineExecutableInternalRepresentationsKHR@104=_sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPipelineExecutableInternalRepresentationsKHR=sqtt_GetPipelineExecutableInternalRepresentationsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetPipelineExecutableInternalRepresentationsKHR(VkDevice                        device, const VkPipelineExecutableInfoKHR*  pExecutableInfo, uint32_t* pInternalRepresentationCount, VkPipelineExecutableInternalRepresentationKHR* pInternalRepresentations) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@4=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@8=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@12=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@16=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@20=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@24=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@28=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@32=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@36=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@40=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@44=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@48=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@60=_radv_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLineStippleEXT@104=_radv_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetLineStippleEXT=radv_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetLineStippleEXT_Null)(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@4=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@8=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@12=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@16=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@20=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@24=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@28=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@32=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@36=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@40=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@44=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@48=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@60=_sqtt_CmdSetLineStippleEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLineStippleEXT@104=_sqtt_CmdSetLineStippleEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLineStippleEXT=sqtt_CmdSetLineStippleEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetLineStippleEXT(VkCommandBuffer commandBuffer, uint32_t lineStippleFactor, uint16_t lineStipplePattern) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@4=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@8=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@12=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@16=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@20=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@24=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@28=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@32=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@36=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@40=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@44=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@48=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@60=_radv_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateAccelerationStructureKHR@104=_radv_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateAccelerationStructureKHR=radv_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateAccelerationStructureKHR_Null)(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@4=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@8=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@12=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@16=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@20=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@24=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@28=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@32=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@36=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@40=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@44=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@48=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@60=_sqtt_CreateAccelerationStructureKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateAccelerationStructureKHR@104=_sqtt_CreateAccelerationStructureKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateAccelerationStructureKHR=sqtt_CreateAccelerationStructureKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateAccelerationStructureKHR(VkDevice                                           device, const VkAccelerationStructureCreateInfoKHR*        pCreateInfo, const VkAllocationCallbacks*       pAllocator, VkAccelerationStructureKHR*                        pAccelerationStructure) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@4=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@8=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@12=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@16=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@20=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@24=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@28=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@32=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@36=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@40=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@44=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@48=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@60=_radv_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresKHR@104=_radv_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructuresKHR=radv_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBuildAccelerationStructuresKHR_Null)(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@4=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@8=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@12=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@16=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@20=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@24=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@28=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@32=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@36=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@40=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@44=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@48=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@60=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresKHR@104=_sqtt_CmdBuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructuresKHR=sqtt_CmdBuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBuildAccelerationStructuresKHR(VkCommandBuffer                                    commandBuffer, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@4=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@8=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@12=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@16=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@20=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@24=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@28=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@32=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@36=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@40=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@44=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@48=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@60=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBuildAccelerationStructuresIndirectKHR@104=_radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBuildAccelerationStructuresIndirectKHR=radv_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null)(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@4=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@8=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@12=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@16=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@20=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@24=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@28=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@32=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@36=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@40=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@44=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@48=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@60=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBuildAccelerationStructuresIndirectKHR@104=_sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBuildAccelerationStructuresIndirectKHR=sqtt_CmdBuildAccelerationStructuresIndirectKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBuildAccelerationStructuresIndirectKHR(VkCommandBuffer                  commandBuffer, uint32_t                                           infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkDeviceAddress*             pIndirectDeviceAddresses, const uint32_t*                    pIndirectStrides, const uint32_t* const*             ppMaxPrimitiveCounts) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@4=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@8=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@12=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@16=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@20=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@24=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@28=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@32=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@36=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@40=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@44=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@48=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@60=_radv_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BuildAccelerationStructuresKHR@104=_radv_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BuildAccelerationStructuresKHR=radv_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BuildAccelerationStructuresKHR_Null)(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@4=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@8=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@12=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@16=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@20=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@24=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@28=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@32=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@36=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@40=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@44=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@48=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@60=_sqtt_BuildAccelerationStructuresKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BuildAccelerationStructuresKHR@104=_sqtt_BuildAccelerationStructuresKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BuildAccelerationStructuresKHR=sqtt_BuildAccelerationStructuresKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BuildAccelerationStructuresKHR(VkDevice                                           device, VkDeferredOperationKHR deferredOperation, uint32_t infoCount, const VkAccelerationStructureBuildGeometryInfoKHR* pInfos, const VkAccelerationStructureBuildRangeInfoKHR* const* ppBuildRangeInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*radv_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@4=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@8=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@12=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@16=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@20=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@24=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@28=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@32=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@36=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@40=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@44=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@48=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@60=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureDeviceAddressKHR@104=_radv_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureDeviceAddressKHR=radv_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL radv_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkDeviceAddress (*sqtt_GetAccelerationStructureDeviceAddressKHR_Null)(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@4=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@8=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@12=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@16=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@20=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@24=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@28=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@32=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@36=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@40=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@44=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@48=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@60=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureDeviceAddressKHR@104=_sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureDeviceAddressKHR=sqtt_GetAccelerationStructureDeviceAddressKHR_Null")
#endif
#else
    VKAPI_ATTR VkDeviceAddress VKAPI_CALL sqtt_GetAccelerationStructureDeviceAddressKHR(VkDevice device, const VkAccelerationStructureDeviceAddressInfoKHR* pInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@4=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@8=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@12=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@16=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@20=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@24=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@28=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@32=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@36=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@40=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@44=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@48=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@60=_radv_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateDeferredOperationKHR@104=_radv_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateDeferredOperationKHR=radv_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateDeferredOperationKHR_Null)(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@4=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@8=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@12=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@16=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@20=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@24=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@28=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@32=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@36=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@40=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@44=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@48=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@60=_sqtt_CreateDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateDeferredOperationKHR@104=_sqtt_CreateDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateDeferredOperationKHR=sqtt_CreateDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateDeferredOperationKHR(VkDevice device, const VkAllocationCallbacks* pAllocator, VkDeferredOperationKHR* pDeferredOperation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@4=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@8=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@12=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@16=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@20=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@24=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@28=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@32=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@36=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@40=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@44=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@48=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@60=_radv_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyDeferredOperationKHR@104=_radv_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyDeferredOperationKHR=radv_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyDeferredOperationKHR_Null)(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@4=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@8=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@12=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@16=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@20=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@24=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@28=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@32=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@36=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@40=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@44=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@48=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@60=_sqtt_DestroyDeferredOperationKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyDeferredOperationKHR@104=_sqtt_DestroyDeferredOperationKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyDeferredOperationKHR=sqtt_DestroyDeferredOperationKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyDeferredOperationKHR(VkDevice device, VkDeferredOperationKHR operation, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*radv_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@4=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@8=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@12=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@16=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@20=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@24=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@28=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@32=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@36=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@40=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@44=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@48=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@60=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationMaxConcurrencyKHR@104=_radv_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeferredOperationMaxConcurrencyKHR=radv_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL radv_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    uint32_t (*sqtt_GetDeferredOperationMaxConcurrencyKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@4=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@8=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@12=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@16=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@20=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@24=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@28=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@32=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@36=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@40=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@44=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@48=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@60=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationMaxConcurrencyKHR@104=_sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeferredOperationMaxConcurrencyKHR=sqtt_GetDeferredOperationMaxConcurrencyKHR_Null")
#endif
#else
    VKAPI_ATTR uint32_t VKAPI_CALL sqtt_GetDeferredOperationMaxConcurrencyKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@4=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@8=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@12=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@16=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@20=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@24=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@28=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@32=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@36=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@40=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@44=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@48=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@60=_radv_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetDeferredOperationResultKHR@104=_radv_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetDeferredOperationResultKHR=radv_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetDeferredOperationResultKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@4=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@8=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@12=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@16=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@20=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@24=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@28=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@32=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@36=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@40=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@44=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@48=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@60=_sqtt_GetDeferredOperationResultKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetDeferredOperationResultKHR@104=_sqtt_GetDeferredOperationResultKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetDeferredOperationResultKHR=sqtt_GetDeferredOperationResultKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetDeferredOperationResultKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@4=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@8=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@12=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@16=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@20=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@24=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@28=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@32=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@36=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@40=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@44=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@48=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@60=_radv_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DeferredOperationJoinKHR@104=_radv_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DeferredOperationJoinKHR=radv_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_DeferredOperationJoinKHR_Null)(VkDevice device, VkDeferredOperationKHR operation) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@4=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@8=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@12=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@16=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@20=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@24=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@28=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@32=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@36=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@40=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@44=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@48=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@60=_sqtt_DeferredOperationJoinKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DeferredOperationJoinKHR@104=_sqtt_DeferredOperationJoinKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DeferredOperationJoinKHR=sqtt_DeferredOperationJoinKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_DeferredOperationJoinKHR(VkDevice device, VkDeferredOperationKHR operation) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@4=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@8=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@12=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@16=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@20=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@24=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@28=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@32=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@36=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@40=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@44=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@48=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@60=_radv_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetCullModeEXT@104=_radv_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetCullModeEXT=radv_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetCullModeEXT_Null)(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@4=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@8=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@12=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@16=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@20=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@24=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@28=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@32=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@36=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@40=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@44=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@48=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@60=_sqtt_CmdSetCullModeEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetCullModeEXT@104=_sqtt_CmdSetCullModeEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetCullModeEXT=sqtt_CmdSetCullModeEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetCullModeEXT(VkCommandBuffer commandBuffer, VkCullModeFlags cullMode) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@4=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@8=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@12=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@16=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@20=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@24=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@28=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@32=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@36=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@40=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@44=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@48=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@60=_radv_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFrontFaceEXT@104=_radv_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetFrontFaceEXT=radv_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetFrontFaceEXT_Null)(VkCommandBuffer commandBuffer, VkFrontFace frontFace) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@4=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@8=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@12=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@16=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@20=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@24=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@28=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@32=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@36=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@40=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@44=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@48=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@60=_sqtt_CmdSetFrontFaceEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFrontFaceEXT@104=_sqtt_CmdSetFrontFaceEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFrontFaceEXT=sqtt_CmdSetFrontFaceEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetFrontFaceEXT(VkCommandBuffer commandBuffer, VkFrontFace frontFace) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@4=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@8=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@12=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@16=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@20=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@24=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@28=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@32=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@36=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@40=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@44=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@48=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@60=_radv_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveTopologyEXT@104=_radv_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetPrimitiveTopologyEXT=radv_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetPrimitiveTopologyEXT_Null)(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@4=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@8=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@12=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@16=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@20=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@24=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@28=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@32=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@36=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@40=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@44=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@48=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@60=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveTopologyEXT@104=_sqtt_CmdSetPrimitiveTopologyEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPrimitiveTopologyEXT=sqtt_CmdSetPrimitiveTopologyEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetPrimitiveTopologyEXT(VkCommandBuffer commandBuffer, VkPrimitiveTopology primitiveTopology) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@4=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@8=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@12=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@16=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@20=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@24=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@28=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@32=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@36=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@40=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@44=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@48=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@60=_radv_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetViewportWithCountEXT@104=_radv_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetViewportWithCountEXT=radv_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetViewportWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@4=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@8=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@12=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@16=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@20=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@24=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@28=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@32=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@36=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@40=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@44=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@48=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@60=_sqtt_CmdSetViewportWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetViewportWithCountEXT@104=_sqtt_CmdSetViewportWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetViewportWithCountEXT=sqtt_CmdSetViewportWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetViewportWithCountEXT(VkCommandBuffer commandBuffer, uint32_t viewportCount, const VkViewport* pViewports) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@4=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@8=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@12=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@16=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@20=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@24=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@28=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@32=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@36=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@40=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@44=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@48=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@60=_radv_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetScissorWithCountEXT@104=_radv_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetScissorWithCountEXT=radv_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetScissorWithCountEXT_Null)(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@4=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@8=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@12=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@16=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@20=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@24=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@28=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@32=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@36=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@40=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@44=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@48=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@60=_sqtt_CmdSetScissorWithCountEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetScissorWithCountEXT@104=_sqtt_CmdSetScissorWithCountEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetScissorWithCountEXT=sqtt_CmdSetScissorWithCountEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetScissorWithCountEXT(VkCommandBuffer commandBuffer, uint32_t scissorCount, const VkRect2D* pScissors) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@4=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@8=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@12=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@16=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@20=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@24=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@28=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@32=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@36=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@40=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@44=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@48=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@60=_radv_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBindVertexBuffers2EXT@104=_radv_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBindVertexBuffers2EXT=radv_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBindVertexBuffers2EXT_Null)(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@4=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@8=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@12=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@16=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@20=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@24=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@28=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@32=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@36=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@40=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@44=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@48=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@60=_sqtt_CmdBindVertexBuffers2EXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBindVertexBuffers2EXT@104=_sqtt_CmdBindVertexBuffers2EXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBindVertexBuffers2EXT=sqtt_CmdBindVertexBuffers2EXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBindVertexBuffers2EXT(VkCommandBuffer commandBuffer, uint32_t firstBinding, uint32_t bindingCount, const VkBuffer* pBuffers, const VkDeviceSize* pOffsets, const VkDeviceSize* pSizes, const VkDeviceSize* pStrides) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@4=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@8=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@12=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@16=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@20=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@24=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@28=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@32=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@36=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@40=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@44=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@48=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@60=_radv_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthTestEnableEXT@104=_radv_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthTestEnableEXT=radv_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@4=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@8=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@12=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@16=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@20=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@24=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@28=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@32=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@36=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@40=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@44=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@48=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@60=_sqtt_CmdSetDepthTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthTestEnableEXT@104=_sqtt_CmdSetDepthTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthTestEnableEXT=sqtt_CmdSetDepthTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@4=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@8=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@12=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@16=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@20=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@24=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@28=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@32=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@36=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@40=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@44=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@48=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@60=_radv_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthWriteEnableEXT@104=_radv_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthWriteEnableEXT=radv_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthWriteEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@4=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@8=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@12=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@16=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@20=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@24=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@28=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@32=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@36=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@40=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@44=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@48=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@60=_sqtt_CmdSetDepthWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthWriteEnableEXT@104=_sqtt_CmdSetDepthWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthWriteEnableEXT=sqtt_CmdSetDepthWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthWriteEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthWriteEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@4=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@8=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@12=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@16=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@20=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@24=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@28=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@32=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@36=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@40=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@44=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@48=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@60=_radv_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthCompareOpEXT@104=_radv_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthCompareOpEXT=radv_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthCompareOpEXT_Null)(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@4=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@8=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@12=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@16=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@20=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@24=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@28=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@32=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@36=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@40=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@44=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@48=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@60=_sqtt_CmdSetDepthCompareOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthCompareOpEXT@104=_sqtt_CmdSetDepthCompareOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthCompareOpEXT=sqtt_CmdSetDepthCompareOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthCompareOpEXT(VkCommandBuffer commandBuffer, VkCompareOp depthCompareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@4=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@8=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@12=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@16=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@20=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@24=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@28=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@32=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@36=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@40=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@44=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@48=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@60=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBoundsTestEnableEXT@104=_radv_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBoundsTestEnableEXT=radv_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthBoundsTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@4=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@8=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@12=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@16=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@20=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@24=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@28=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@32=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@36=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@40=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@44=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@48=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@60=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBoundsTestEnableEXT@104=_sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBoundsTestEnableEXT=sqtt_CmdSetDepthBoundsTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBoundsTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBoundsTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@4=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@8=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@12=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@16=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@20=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@24=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@28=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@32=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@36=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@40=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@44=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@48=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@60=_radv_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilTestEnableEXT@104=_radv_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilTestEnableEXT=radv_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetStencilTestEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@4=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@8=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@12=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@16=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@20=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@24=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@28=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@32=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@36=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@40=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@44=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@48=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@60=_sqtt_CmdSetStencilTestEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilTestEnableEXT@104=_sqtt_CmdSetStencilTestEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilTestEnableEXT=sqtt_CmdSetStencilTestEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilTestEnableEXT(VkCommandBuffer commandBuffer, VkBool32 stencilTestEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@4=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@8=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@12=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@16=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@20=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@24=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@28=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@32=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@36=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@40=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@44=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@48=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@60=_radv_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetStencilOpEXT@104=_radv_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetStencilOpEXT=radv_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetStencilOpEXT_Null)(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@4=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@8=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@12=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@16=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@20=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@24=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@28=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@32=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@36=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@40=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@44=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@48=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@60=_sqtt_CmdSetStencilOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetStencilOpEXT@104=_sqtt_CmdSetStencilOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetStencilOpEXT=sqtt_CmdSetStencilOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetStencilOpEXT(VkCommandBuffer commandBuffer, VkStencilFaceFlags faceMask, VkStencilOp failOp, VkStencilOp passOp, VkStencilOp depthFailOp, VkCompareOp compareOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@4=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@8=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@12=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@16=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@20=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@24=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@28=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@32=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@36=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@40=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@44=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@48=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@60=_radv_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPatchControlPointsEXT@104=_radv_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetPatchControlPointsEXT=radv_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetPatchControlPointsEXT_Null)(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@4=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@8=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@12=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@16=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@20=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@24=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@28=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@32=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@36=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@40=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@44=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@48=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@60=_sqtt_CmdSetPatchControlPointsEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPatchControlPointsEXT@104=_sqtt_CmdSetPatchControlPointsEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPatchControlPointsEXT=sqtt_CmdSetPatchControlPointsEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetPatchControlPointsEXT(VkCommandBuffer commandBuffer, uint32_t patchControlPoints) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@4=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@8=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@12=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@16=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@20=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@24=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@28=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@32=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@36=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@40=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@44=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@48=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@60=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetRasterizerDiscardEnableEXT@104=_radv_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetRasterizerDiscardEnableEXT=radv_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetRasterizerDiscardEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@4=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@8=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@12=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@16=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@20=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@24=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@28=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@32=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@36=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@40=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@44=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@48=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@60=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetRasterizerDiscardEnableEXT@104=_sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetRasterizerDiscardEnableEXT=sqtt_CmdSetRasterizerDiscardEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetRasterizerDiscardEnableEXT(VkCommandBuffer commandBuffer, VkBool32 rasterizerDiscardEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@4=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@8=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@12=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@16=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@20=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@24=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@28=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@32=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@36=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@40=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@44=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@48=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@60=_radv_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetDepthBiasEnableEXT@104=_radv_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetDepthBiasEnableEXT=radv_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetDepthBiasEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@4=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@8=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@12=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@16=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@20=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@24=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@28=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@32=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@36=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@40=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@44=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@48=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@60=_sqtt_CmdSetDepthBiasEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetDepthBiasEnableEXT@104=_sqtt_CmdSetDepthBiasEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetDepthBiasEnableEXT=sqtt_CmdSetDepthBiasEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetDepthBiasEnableEXT(VkCommandBuffer commandBuffer, VkBool32 depthBiasEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@4=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@8=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@12=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@16=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@20=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@24=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@28=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@32=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@36=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@40=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@44=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@48=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@60=_radv_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetLogicOpEXT@104=_radv_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetLogicOpEXT=radv_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetLogicOpEXT_Null)(VkCommandBuffer commandBuffer, VkLogicOp logicOp) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@4=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@8=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@12=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@16=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@20=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@24=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@28=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@32=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@36=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@40=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@44=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@48=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@60=_sqtt_CmdSetLogicOpEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetLogicOpEXT@104=_sqtt_CmdSetLogicOpEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetLogicOpEXT=sqtt_CmdSetLogicOpEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetLogicOpEXT(VkCommandBuffer commandBuffer, VkLogicOp logicOp) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@4=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@8=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@12=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@16=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@20=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@24=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@28=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@32=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@36=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@40=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@44=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@48=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@60=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetPrimitiveRestartEnableEXT@104=_radv_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetPrimitiveRestartEnableEXT=radv_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetPrimitiveRestartEnableEXT_Null)(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@4=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@8=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@12=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@16=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@20=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@24=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@28=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@32=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@36=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@40=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@44=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@48=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@60=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetPrimitiveRestartEnableEXT@104=_sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetPrimitiveRestartEnableEXT=sqtt_CmdSetPrimitiveRestartEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetPrimitiveRestartEnableEXT(VkCommandBuffer commandBuffer, VkBool32 primitiveRestartEnable) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@4=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@8=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@12=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@16=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@20=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@24=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@28=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@32=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@36=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@40=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@44=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@48=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@60=_radv_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CreatePrivateDataSlotEXT@104=_radv_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreatePrivateDataSlotEXT=radv_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreatePrivateDataSlotEXT_Null)(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@4=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@8=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@12=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@16=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@20=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@24=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@28=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@32=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@36=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@40=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@44=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@48=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@60=_sqtt_CreatePrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreatePrivateDataSlotEXT@104=_sqtt_CreatePrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreatePrivateDataSlotEXT=sqtt_CreatePrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreatePrivateDataSlotEXT(VkDevice device, const VkPrivateDataSlotCreateInfoEXT* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkPrivateDataSlotEXT* pPrivateDataSlot) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@4=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@8=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@12=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@16=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@20=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@24=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@28=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@32=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@36=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@40=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@44=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@48=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@60=_radv_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyPrivateDataSlotEXT@104=_radv_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyPrivateDataSlotEXT=radv_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyPrivateDataSlotEXT_Null)(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@4=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@8=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@12=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@16=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@20=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@24=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@28=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@32=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@36=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@40=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@44=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@48=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@60=_sqtt_DestroyPrivateDataSlotEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyPrivateDataSlotEXT@104=_sqtt_DestroyPrivateDataSlotEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyPrivateDataSlotEXT=sqtt_DestroyPrivateDataSlotEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyPrivateDataSlotEXT(VkDevice device, VkPrivateDataSlotEXT privateDataSlot, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@4=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@8=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@12=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@16=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@20=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@24=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@28=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@32=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@36=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@40=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@44=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@48=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@60=_radv_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_SetPrivateDataEXT@104=_radv_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_SetPrivateDataEXT=radv_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_SetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@4=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@8=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@12=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@16=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@20=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@24=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@28=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@32=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@36=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@40=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@44=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@48=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@60=_sqtt_SetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_SetPrivateDataEXT@104=_sqtt_SetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_SetPrivateDataEXT=sqtt_SetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_SetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t data) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@4=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@8=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@12=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@16=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@20=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@24=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@28=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@32=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@36=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@40=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@44=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@48=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@60=_radv_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_GetPrivateDataEXT@104=_radv_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetPrivateDataEXT=radv_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetPrivateDataEXT_Null)(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@4=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@8=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@12=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@16=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@20=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@24=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@28=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@32=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@36=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@40=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@44=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@48=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@60=_sqtt_GetPrivateDataEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetPrivateDataEXT@104=_sqtt_GetPrivateDataEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetPrivateDataEXT=sqtt_GetPrivateDataEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetPrivateDataEXT(VkDevice device, VkObjectType objectType, uint64_t objectHandle, VkPrivateDataSlotEXT privateDataSlot, uint64_t* pData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@4=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@8=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@12=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@16=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@20=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@24=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@28=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@32=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@36=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@40=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@44=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@48=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@60=_radv_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBuffer2KHR@104=_radv_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyBuffer2KHR=radv_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@4=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@8=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@12=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@16=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@20=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@24=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@28=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@32=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@36=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@40=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@44=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@48=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@60=_sqtt_CmdCopyBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBuffer2KHR@104=_sqtt_CmdCopyBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBuffer2KHR=sqtt_CmdCopyBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferInfo2KHR* pCopyBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@4=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@8=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@12=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@16=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@20=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@24=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@28=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@32=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@36=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@40=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@44=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@48=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@60=_radv_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImage2KHR@104=_radv_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyImage2KHR=radv_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@4=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@8=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@12=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@16=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@20=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@24=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@28=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@32=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@36=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@40=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@44=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@48=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@60=_sqtt_CmdCopyImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImage2KHR@104=_sqtt_CmdCopyImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImage2KHR=sqtt_CmdCopyImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImage2KHR(VkCommandBuffer commandBuffer, const VkCopyImageInfo2KHR* pCopyImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@4=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@8=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@12=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@16=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@20=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@24=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@28=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@32=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@36=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@40=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@44=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@48=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@60=_radv_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBlitImage2KHR@104=_radv_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBlitImage2KHR=radv_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBlitImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@4=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@8=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@12=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@16=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@20=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@24=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@28=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@32=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@36=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@40=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@44=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@48=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@60=_sqtt_CmdBlitImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBlitImage2KHR@104=_sqtt_CmdBlitImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBlitImage2KHR=sqtt_CmdBlitImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBlitImage2KHR(VkCommandBuffer commandBuffer, const VkBlitImageInfo2KHR* pBlitImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@4=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@8=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@12=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@16=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@20=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@24=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@28=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@32=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@36=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@40=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@44=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@48=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@60=_radv_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyBufferToImage2KHR@104=_radv_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyBufferToImage2KHR=radv_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyBufferToImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@4=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@8=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@12=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@16=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@20=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@24=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@28=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@32=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@36=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@40=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@44=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@48=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@60=_sqtt_CmdCopyBufferToImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyBufferToImage2KHR@104=_sqtt_CmdCopyBufferToImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyBufferToImage2KHR=sqtt_CmdCopyBufferToImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyBufferToImage2KHR(VkCommandBuffer commandBuffer, const VkCopyBufferToImageInfo2KHR* pCopyBufferToImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@4=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@8=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@12=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@16=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@20=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@24=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@28=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@32=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@36=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@40=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@44=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@48=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@60=_radv_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCopyImageToBuffer2KHR@104=_radv_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCopyImageToBuffer2KHR=radv_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCopyImageToBuffer2KHR_Null)(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@4=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@8=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@12=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@16=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@20=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@24=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@28=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@32=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@36=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@40=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@44=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@48=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@60=_sqtt_CmdCopyImageToBuffer2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCopyImageToBuffer2KHR@104=_sqtt_CmdCopyImageToBuffer2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCopyImageToBuffer2KHR=sqtt_CmdCopyImageToBuffer2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCopyImageToBuffer2KHR(VkCommandBuffer commandBuffer, const VkCopyImageToBufferInfo2KHR* pCopyImageToBufferInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@4=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@8=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@12=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@16=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@20=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@24=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@28=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@32=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@36=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@40=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@44=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@48=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@60=_radv_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResolveImage2KHR@104=_radv_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdResolveImage2KHR=radv_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdResolveImage2KHR_Null)(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@4=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@8=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@12=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@16=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@20=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@24=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@28=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@32=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@36=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@40=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@44=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@48=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@60=_sqtt_CmdResolveImage2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResolveImage2KHR@104=_sqtt_CmdResolveImage2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdResolveImage2KHR=sqtt_CmdResolveImage2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResolveImage2KHR(VkCommandBuffer commandBuffer, const VkResolveImageInfo2KHR* pResolveImageInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@4=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@8=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@12=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@16=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@20=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@24=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@28=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@32=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@36=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@40=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@44=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@48=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@60=_radv_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateKHR@104=_radv_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetFragmentShadingRateKHR=radv_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetFragmentShadingRateKHR_Null)(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@4=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@8=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@12=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@16=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@20=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@24=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@28=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@32=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@36=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@40=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@44=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@48=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@60=_sqtt_CmdSetFragmentShadingRateKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateKHR@104=_sqtt_CmdSetFragmentShadingRateKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFragmentShadingRateKHR=sqtt_CmdSetFragmentShadingRateKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetFragmentShadingRateKHR(VkCommandBuffer           commandBuffer, const VkExtent2D*                           pFragmentSize, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@4=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@8=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@12=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@16=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@20=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@24=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@28=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@32=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@36=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@40=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@44=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@48=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@60=_radv_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetFragmentShadingRateEnumNV@104=_radv_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetFragmentShadingRateEnumNV=radv_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetFragmentShadingRateEnumNV_Null)(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@4=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@8=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@12=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@16=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@20=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@24=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@28=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@32=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@36=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@40=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@44=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@48=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@60=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetFragmentShadingRateEnumNV@104=_sqtt_CmdSetFragmentShadingRateEnumNV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetFragmentShadingRateEnumNV=sqtt_CmdSetFragmentShadingRateEnumNV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetFragmentShadingRateEnumNV(VkCommandBuffer           commandBuffer, VkFragmentShadingRateNV                     shadingRate, const VkFragmentShadingRateCombinerOpKHR    combinerOps[2]) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@4=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@8=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@12=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@16=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@20=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@24=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@28=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@32=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@36=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@40=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@44=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@48=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@60=_radv_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetAccelerationStructureBuildSizesKHR@104=_radv_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetAccelerationStructureBuildSizesKHR=radv_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetAccelerationStructureBuildSizesKHR_Null)(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@4=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@8=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@12=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@16=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@20=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@24=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@28=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@32=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@36=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@40=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@44=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@48=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@60=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetAccelerationStructureBuildSizesKHR@104=_sqtt_GetAccelerationStructureBuildSizesKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetAccelerationStructureBuildSizesKHR=sqtt_GetAccelerationStructureBuildSizesKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetAccelerationStructureBuildSizesKHR(VkDevice                                            device, VkAccelerationStructureBuildTypeKHR                 buildType, const VkAccelerationStructureBuildGeometryInfoKHR*  pBuildInfo, const uint32_t*  pMaxPrimitiveCounts, VkAccelerationStructureBuildSizesInfoKHR*           pSizeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@4=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@8=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@12=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@16=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@20=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@24=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@28=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@32=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@36=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@40=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@44=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@48=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@60=_radv_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetVertexInputEXT@104=_radv_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetVertexInputEXT=radv_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetVertexInputEXT_Null)(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@4=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@8=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@12=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@16=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@20=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@24=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@28=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@32=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@36=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@40=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@44=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@48=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@60=_sqtt_CmdSetVertexInputEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetVertexInputEXT@104=_sqtt_CmdSetVertexInputEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetVertexInputEXT=sqtt_CmdSetVertexInputEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetVertexInputEXT(VkCommandBuffer commandBuffer, uint32_t vertexBindingDescriptionCount, const VkVertexInputBindingDescription2EXT* pVertexBindingDescriptions, uint32_t vertexAttributeDescriptionCount, const VkVertexInputAttributeDescription2EXT* pVertexAttributeDescriptions) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@4=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@8=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@12=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@16=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@20=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@24=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@28=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@32=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@36=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@40=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@44=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@48=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@60=_radv_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetColorWriteEnableEXT@104=_radv_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetColorWriteEnableEXT=radv_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetColorWriteEnableEXT_Null)(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@4=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@8=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@12=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@16=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@20=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@24=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@28=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@32=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@36=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@40=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@44=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@48=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@60=_sqtt_CmdSetColorWriteEnableEXT_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetColorWriteEnableEXT@104=_sqtt_CmdSetColorWriteEnableEXT_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetColorWriteEnableEXT=sqtt_CmdSetColorWriteEnableEXT_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetColorWriteEnableEXT(VkCommandBuffer       commandBuffer, uint32_t                                attachmentCount, const VkBool32*   pColorWriteEnables) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@4=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@8=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@12=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@16=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@20=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@24=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@28=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@32=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@36=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@40=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@44=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@48=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@60=_radv_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdSetEvent2KHR@104=_radv_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdSetEvent2KHR=radv_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdSetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@4=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@8=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@12=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@16=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@20=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@24=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@28=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@32=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@36=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@40=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@44=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@48=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@60=_sqtt_CmdSetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdSetEvent2KHR@104=_sqtt_CmdSetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdSetEvent2KHR=sqtt_CmdSetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdSetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, const VkDependencyInfoKHR*                          pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@4=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@8=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@12=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@16=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@20=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@24=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@28=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@32=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@36=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@40=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@44=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@48=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@60=_radv_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdResetEvent2KHR@104=_radv_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdResetEvent2KHR=radv_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdResetEvent2KHR_Null)(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@4=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@8=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@12=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@16=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@20=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@24=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@28=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@32=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@36=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@40=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@44=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@48=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@60=_sqtt_CmdResetEvent2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdResetEvent2KHR@104=_sqtt_CmdResetEvent2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdResetEvent2KHR=sqtt_CmdResetEvent2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdResetEvent2KHR(VkCommandBuffer                   commandBuffer, VkEvent                                             event, VkPipelineStageFlags2KHR                            stageMask) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@4=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@8=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@12=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@16=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@20=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@24=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@28=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@32=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@36=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@40=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@44=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@48=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@60=_radv_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWaitEvents2KHR@104=_radv_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWaitEvents2KHR=radv_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWaitEvents2KHR_Null)(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@4=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@8=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@12=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@16=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@20=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@24=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@28=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@32=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@36=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@40=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@44=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@48=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@60=_sqtt_CmdWaitEvents2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWaitEvents2KHR@104=_sqtt_CmdWaitEvents2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWaitEvents2KHR=sqtt_CmdWaitEvents2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWaitEvents2KHR(VkCommandBuffer                   commandBuffer, uint32_t                                            eventCount, const VkEvent*                     pEvents, const VkDependencyInfoKHR*         pDependencyInfos) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@4=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@8=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@12=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@16=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@20=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@24=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@28=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@32=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@36=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@40=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@44=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@48=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@60=_radv_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdPipelineBarrier2KHR@104=_radv_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdPipelineBarrier2KHR=radv_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdPipelineBarrier2KHR_Null)(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@4=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@8=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@12=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@16=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@20=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@24=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@28=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@32=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@36=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@40=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@44=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@48=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@60=_sqtt_CmdPipelineBarrier2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdPipelineBarrier2KHR@104=_sqtt_CmdPipelineBarrier2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdPipelineBarrier2KHR=sqtt_CmdPipelineBarrier2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdPipelineBarrier2KHR(VkCommandBuffer                   commandBuffer, const VkDependencyInfoKHR*                                pDependencyInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@4=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@8=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@12=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@16=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@20=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@24=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@28=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@32=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@36=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@40=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@44=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@48=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@60=_radv_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_QueueSubmit2KHR@104=_radv_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_QueueSubmit2KHR=radv_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_QueueSubmit2KHR_Null)(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@4=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@8=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@12=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@16=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@20=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@24=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@28=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@32=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@36=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@40=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@44=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@48=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@60=_sqtt_QueueSubmit2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_QueueSubmit2KHR@104=_sqtt_QueueSubmit2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_QueueSubmit2KHR=sqtt_QueueSubmit2KHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_QueueSubmit2KHR(VkQueue                           queue, uint32_t                            submitCount, const VkSubmitInfo2KHR*           pSubmits, VkFence           fence) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@4=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@8=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@12=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@16=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@20=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@24=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@28=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@32=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@36=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@40=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@44=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@48=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@60=_radv_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteTimestamp2KHR@104=_radv_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWriteTimestamp2KHR=radv_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWriteTimestamp2KHR_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@4=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@8=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@12=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@16=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@20=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@24=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@28=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@32=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@36=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@40=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@44=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@48=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@60=_sqtt_CmdWriteTimestamp2KHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteTimestamp2KHR@104=_sqtt_CmdWriteTimestamp2KHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteTimestamp2KHR=sqtt_CmdWriteTimestamp2KHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteTimestamp2KHR(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkQueryPool                                         queryPool, uint32_t                                            query) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@4=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@8=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@12=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@16=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@20=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@24=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@28=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@32=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@36=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@40=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@44=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@48=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@60=_radv_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdWriteBufferMarker2AMD@104=_radv_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdWriteBufferMarker2AMD=radv_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdWriteBufferMarker2AMD_Null)(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@4=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@8=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@12=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@16=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@20=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@24=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@28=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@32=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@36=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@40=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@44=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@48=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@60=_sqtt_CmdWriteBufferMarker2AMD_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdWriteBufferMarker2AMD@104=_sqtt_CmdWriteBufferMarker2AMD_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdWriteBufferMarker2AMD=sqtt_CmdWriteBufferMarker2AMD_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdWriteBufferMarker2AMD(VkCommandBuffer                   commandBuffer, VkPipelineStageFlags2KHR                            stage, VkBuffer                                            dstBuffer, VkDeviceSize                                        dstOffset, uint32_t                                            marker) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@4=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@8=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@12=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@16=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@20=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@24=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@28=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@32=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@36=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@40=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@44=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@48=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@60=_radv_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_radv_GetQueueCheckpointData2NV@104=_radv_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetQueueCheckpointData2NV=radv_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_GetQueueCheckpointData2NV_Null)(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@4=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@8=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@12=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@16=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@20=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@24=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@28=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@32=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@36=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@40=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@44=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@48=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@60=_sqtt_GetQueueCheckpointData2NV_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetQueueCheckpointData2NV@104=_sqtt_GetQueueCheckpointData2NV_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetQueueCheckpointData2NV=sqtt_GetQueueCheckpointData2NV_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_GetQueueCheckpointData2NV(VkQueue queue, uint32_t* pCheckpointDataCount, VkCheckpointData2NV* pCheckpointData) __attribute__ ((weak));
#endif
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@4=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@8=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@12=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@16=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@20=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@24=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@28=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@32=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@36=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@40=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@44=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@48=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@60=_radv_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionKHR@104=_radv_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateVideoSessionKHR=radv_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateVideoSessionKHR_Null)(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@4=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@8=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@12=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@16=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@20=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@24=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@28=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@32=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@36=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@40=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@44=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@48=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@60=_sqtt_CreateVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionKHR@104=_sqtt_CreateVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateVideoSessionKHR=sqtt_CreateVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateVideoSessionKHR(VkDevice device, const VkVideoSessionCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionKHR* pVideoSession) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@4=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@8=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@12=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@16=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@20=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@24=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@28=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@32=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@36=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@40=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@44=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@48=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@60=_radv_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionKHR@104=_radv_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyVideoSessionKHR=radv_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyVideoSessionKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@4=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@8=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@12=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@16=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@20=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@24=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@28=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@32=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@36=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@40=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@44=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@48=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@60=_sqtt_DestroyVideoSessionKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionKHR@104=_sqtt_DestroyVideoSessionKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyVideoSessionKHR=sqtt_DestroyVideoSessionKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyVideoSessionKHR(VkDevice device, VkVideoSessionKHR videoSession, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@4=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@8=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@12=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@16=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@20=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@24=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@28=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@32=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@36=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@40=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@44=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@48=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@60=_radv_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateVideoSessionParametersKHR@104=_radv_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateVideoSessionParametersKHR=radv_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateVideoSessionParametersKHR_Null)(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@4=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@8=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@12=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@16=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@20=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@24=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@28=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@32=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@36=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@40=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@44=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@48=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@60=_sqtt_CreateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateVideoSessionParametersKHR@104=_sqtt_CreateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateVideoSessionParametersKHR=sqtt_CreateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateVideoSessionParametersKHR(VkDevice device, const VkVideoSessionParametersCreateInfoKHR* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkVideoSessionParametersKHR* pVideoSessionParameters) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@4=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@8=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@12=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@16=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@20=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@24=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@28=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@32=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@36=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@40=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@44=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@48=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@60=_radv_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_UpdateVideoSessionParametersKHR@104=_radv_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_UpdateVideoSessionParametersKHR=radv_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_UpdateVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@4=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@8=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@12=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@16=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@20=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@24=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@28=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@32=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@36=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@40=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@44=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@48=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@60=_sqtt_UpdateVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_UpdateVideoSessionParametersKHR@104=_sqtt_UpdateVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_UpdateVideoSessionParametersKHR=sqtt_UpdateVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_UpdateVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkVideoSessionParametersUpdateInfoKHR* pUpdateInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@4=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@8=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@12=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@16=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@20=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@24=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@28=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@32=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@36=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@40=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@44=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@48=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@60=_radv_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyVideoSessionParametersKHR@104=_radv_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyVideoSessionParametersKHR=radv_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyVideoSessionParametersKHR_Null)(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@4=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@8=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@12=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@16=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@20=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@24=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@28=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@32=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@36=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@40=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@44=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@48=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@60=_sqtt_DestroyVideoSessionParametersKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyVideoSessionParametersKHR@104=_sqtt_DestroyVideoSessionParametersKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyVideoSessionParametersKHR=sqtt_DestroyVideoSessionParametersKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyVideoSessionParametersKHR(VkDevice device, VkVideoSessionParametersKHR videoSessionParameters, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@4=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@8=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@12=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@16=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@20=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@24=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@28=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@32=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@36=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@40=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@44=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@48=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@60=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_GetVideoSessionMemoryRequirementsKHR@104=_radv_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_GetVideoSessionMemoryRequirementsKHR=radv_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_GetVideoSessionMemoryRequirementsKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@4=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@8=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@12=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@16=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@20=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@24=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@28=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@32=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@36=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@40=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@44=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@48=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@60=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_GetVideoSessionMemoryRequirementsKHR@104=_sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_GetVideoSessionMemoryRequirementsKHR=sqtt_GetVideoSessionMemoryRequirementsKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_GetVideoSessionMemoryRequirementsKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t* pVideoSessionMemoryRequirementsCount, VkVideoGetMemoryPropertiesKHR* pVideoSessionMemoryRequirements) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@4=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@8=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@12=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@16=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@20=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@24=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@28=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@32=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@36=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@40=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@44=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@48=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@60=_radv_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_BindVideoSessionMemoryKHR@104=_radv_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_BindVideoSessionMemoryKHR=radv_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_BindVideoSessionMemoryKHR_Null)(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@4=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@8=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@12=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@16=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@20=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@24=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@28=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@32=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@36=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@40=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@44=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@48=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@60=_sqtt_BindVideoSessionMemoryKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_BindVideoSessionMemoryKHR@104=_sqtt_BindVideoSessionMemoryKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_BindVideoSessionMemoryKHR=sqtt_BindVideoSessionMemoryKHR_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_BindVideoSessionMemoryKHR(VkDevice device, VkVideoSessionKHR videoSession, uint32_t videoSessionBindMemoryCount, const VkVideoBindMemoryKHR* pVideoSessionBindMemories) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@4=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@8=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@12=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@16=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@20=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@24=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@28=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@32=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@36=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@40=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@44=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@48=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@60=_radv_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdDecodeVideoKHR@104=_radv_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdDecodeVideoKHR=radv_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdDecodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@4=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@8=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@12=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@16=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@20=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@24=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@28=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@32=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@36=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@40=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@44=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@48=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@60=_sqtt_CmdDecodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdDecodeVideoKHR@104=_sqtt_CmdDecodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdDecodeVideoKHR=sqtt_CmdDecodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdDecodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoDecodeInfoKHR* pFrameInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@4=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@8=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@12=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@16=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@20=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@24=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@28=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@32=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@36=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@40=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@44=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@48=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@60=_radv_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdBeginVideoCodingKHR@104=_radv_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdBeginVideoCodingKHR=radv_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdBeginVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@4=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@8=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@12=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@16=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@20=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@24=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@28=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@32=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@36=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@40=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@44=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@48=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@60=_sqtt_CmdBeginVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdBeginVideoCodingKHR@104=_sqtt_CmdBeginVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdBeginVideoCodingKHR=sqtt_CmdBeginVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdBeginVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoBeginCodingInfoKHR* pBeginInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@4=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@8=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@12=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@16=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@20=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@24=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@28=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@32=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@36=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@40=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@44=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@48=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@60=_radv_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdControlVideoCodingKHR@104=_radv_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdControlVideoCodingKHR=radv_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdControlVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@4=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@8=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@12=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@16=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@20=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@24=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@28=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@32=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@36=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@40=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@44=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@48=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@60=_sqtt_CmdControlVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdControlVideoCodingKHR@104=_sqtt_CmdControlVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdControlVideoCodingKHR=sqtt_CmdControlVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdControlVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoCodingControlInfoKHR* pCodingControlInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@4=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@8=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@12=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@16=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@20=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@24=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@28=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@32=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@36=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@40=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@44=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@48=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@60=_radv_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEndVideoCodingKHR@104=_radv_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEndVideoCodingKHR=radv_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEndVideoCodingKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@4=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@8=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@12=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@16=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@20=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@24=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@28=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@32=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@36=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@40=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@44=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@48=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@60=_sqtt_CmdEndVideoCodingKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEndVideoCodingKHR@104=_sqtt_CmdEndVideoCodingKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEndVideoCodingKHR=sqtt_CmdEndVideoCodingKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEndVideoCodingKHR(VkCommandBuffer commandBuffer, const VkVideoEndCodingInfoKHR* pEndCodingInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    void (*radv_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@4=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@8=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@12=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@16=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@20=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@24=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@28=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@32=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@36=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@40=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@44=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@48=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@60=_radv_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdEncodeVideoKHR@104=_radv_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdEncodeVideoKHR=radv_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdEncodeVideoKHR_Null)(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@4=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@8=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@12=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@16=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@20=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@24=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@28=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@32=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@36=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@40=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@44=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@48=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@60=_sqtt_CmdEncodeVideoKHR_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdEncodeVideoKHR@104=_sqtt_CmdEncodeVideoKHR_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdEncodeVideoKHR=sqtt_CmdEncodeVideoKHR_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdEncodeVideoKHR(VkCommandBuffer commandBuffer, const VkVideoEncodeInfoKHR* pEncodeInfo) __attribute__ ((weak));
#endif
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef _MSC_VER
    VkResult (*radv_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@4=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@8=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@12=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@16=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@20=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@24=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@28=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@32=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@36=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@40=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@44=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@48=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@60=_radv_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuModuleNVX@104=_radv_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateCuModuleNVX=radv_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateCuModuleNVX_Null)(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@4=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@8=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@12=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@16=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@20=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@24=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@28=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@32=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@36=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@40=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@44=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@48=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@60=_sqtt_CreateCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuModuleNVX@104=_sqtt_CreateCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateCuModuleNVX=sqtt_CreateCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateCuModuleNVX(VkDevice device, const VkCuModuleCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuModuleNVX* pModule) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*radv_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@4=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@8=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@12=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@16=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@20=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@24=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@28=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@32=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@36=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@40=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@44=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@48=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@60=_radv_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CreateCuFunctionNVX@104=_radv_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CreateCuFunctionNVX=radv_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL radv_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    VkResult (*sqtt_CreateCuFunctionNVX_Null)(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@4=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@8=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@12=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@16=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@20=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@24=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@28=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@32=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@36=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@40=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@44=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@48=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@60=_sqtt_CreateCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CreateCuFunctionNVX@104=_sqtt_CreateCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CreateCuFunctionNVX=sqtt_CreateCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR VkResult VKAPI_CALL sqtt_CreateCuFunctionNVX(VkDevice device, const VkCuFunctionCreateInfoNVX* pCreateInfo, const VkAllocationCallbacks* pAllocator, VkCuFunctionNVX* pFunction) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@4=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@8=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@12=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@16=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@20=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@24=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@28=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@32=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@36=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@40=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@44=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@48=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@60=_radv_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuModuleNVX@104=_radv_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyCuModuleNVX=radv_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyCuModuleNVX_Null)(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@4=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@8=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@12=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@16=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@20=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@24=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@28=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@32=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@36=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@40=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@44=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@48=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@60=_sqtt_DestroyCuModuleNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuModuleNVX@104=_sqtt_DestroyCuModuleNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyCuModuleNVX=sqtt_DestroyCuModuleNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyCuModuleNVX(VkDevice device, VkCuModuleNVX module, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@4=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@8=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@12=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@16=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@20=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@24=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@28=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@32=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@36=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@40=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@44=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@48=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@60=_radv_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_DestroyCuFunctionNVX@104=_radv_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_DestroyCuFunctionNVX=radv_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_DestroyCuFunctionNVX_Null)(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@4=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@8=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@12=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@16=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@20=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@24=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@28=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@32=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@36=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@40=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@44=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@48=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@60=_sqtt_DestroyCuFunctionNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_DestroyCuFunctionNVX@104=_sqtt_DestroyCuFunctionNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_DestroyCuFunctionNVX=sqtt_DestroyCuFunctionNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_DestroyCuFunctionNVX(VkDevice device, VkCuFunctionNVX function, const VkAllocationCallbacks* pAllocator) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*radv_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@4=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@8=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@12=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@16=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@20=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@24=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@28=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@32=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@36=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@40=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@44=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@48=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@60=_radv_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_radv_CmdCuLaunchKernelNVX@104=_radv_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:radv_CmdCuLaunchKernelNVX=radv_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL radv_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif
#ifdef _MSC_VER
    void (*sqtt_CmdCuLaunchKernelNVX_Null)(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) = 0;
#ifdef _M_IX86
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@4=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@8=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@12=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@16=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@20=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@24=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@28=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@32=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@36=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@40=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@44=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@48=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@60=_sqtt_CmdCuLaunchKernelNVX_Null")
    #pragma comment(linker, "/alternatename:_sqtt_CmdCuLaunchKernelNVX@104=_sqtt_CmdCuLaunchKernelNVX_Null")
#else
    #pragma comment(linker, "/alternatename:sqtt_CmdCuLaunchKernelNVX=sqtt_CmdCuLaunchKernelNVX_Null")
#endif
#else
    VKAPI_ATTR void VKAPI_CALL sqtt_CmdCuLaunchKernelNVX(VkCommandBuffer commandBuffer, const VkCuLaunchInfoNVX* pLaunchInfo) __attribute__ ((weak));
#endif

const struct vk_device_entrypoint_table radv_device_entrypoints = {
    .GetDeviceProcAddr = radv_GetDeviceProcAddr,
    .DestroyDevice = radv_DestroyDevice,
    .GetDeviceQueue = radv_GetDeviceQueue,
    .QueueSubmit = radv_QueueSubmit,
    .QueueWaitIdle = radv_QueueWaitIdle,
    .DeviceWaitIdle = radv_DeviceWaitIdle,
    .AllocateMemory = radv_AllocateMemory,
    .FreeMemory = radv_FreeMemory,
    .MapMemory = radv_MapMemory,
    .UnmapMemory = radv_UnmapMemory,
    .FlushMappedMemoryRanges = radv_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = radv_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = radv_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = radv_GetBufferMemoryRequirements,
    .BindBufferMemory = radv_BindBufferMemory,
    .GetImageMemoryRequirements = radv_GetImageMemoryRequirements,
    .BindImageMemory = radv_BindImageMemory,
    .GetImageSparseMemoryRequirements = radv_GetImageSparseMemoryRequirements,
    .QueueBindSparse = radv_QueueBindSparse,
    .CreateFence = radv_CreateFence,
    .DestroyFence = radv_DestroyFence,
    .ResetFences = radv_ResetFences,
    .GetFenceStatus = radv_GetFenceStatus,
    .WaitForFences = radv_WaitForFences,
    .CreateSemaphore = radv_CreateSemaphore,
    .DestroySemaphore = radv_DestroySemaphore,
    .CreateEvent = radv_CreateEvent,
    .DestroyEvent = radv_DestroyEvent,
    .GetEventStatus = radv_GetEventStatus,
    .SetEvent = radv_SetEvent,
    .ResetEvent = radv_ResetEvent,
    .CreateQueryPool = radv_CreateQueryPool,
    .DestroyQueryPool = radv_DestroyQueryPool,
    .GetQueryPoolResults = radv_GetQueryPoolResults,
    .ResetQueryPool = radv_ResetQueryPool,
    .ResetQueryPoolEXT = radv_ResetQueryPoolEXT,
    .CreateBuffer = radv_CreateBuffer,
    .DestroyBuffer = radv_DestroyBuffer,
    .CreateBufferView = radv_CreateBufferView,
    .DestroyBufferView = radv_DestroyBufferView,
    .CreateImage = radv_CreateImage,
    .DestroyImage = radv_DestroyImage,
    .GetImageSubresourceLayout = radv_GetImageSubresourceLayout,
    .CreateImageView = radv_CreateImageView,
    .DestroyImageView = radv_DestroyImageView,
    .CreateShaderModule = radv_CreateShaderModule,
    .DestroyShaderModule = radv_DestroyShaderModule,
    .CreatePipelineCache = radv_CreatePipelineCache,
    .DestroyPipelineCache = radv_DestroyPipelineCache,
    .GetPipelineCacheData = radv_GetPipelineCacheData,
    .MergePipelineCaches = radv_MergePipelineCaches,
    .CreateGraphicsPipelines = radv_CreateGraphicsPipelines,
    .CreateComputePipelines = radv_CreateComputePipelines,
    .DestroyPipeline = radv_DestroyPipeline,
    .CreatePipelineLayout = radv_CreatePipelineLayout,
    .DestroyPipelineLayout = radv_DestroyPipelineLayout,
    .CreateSampler = radv_CreateSampler,
    .DestroySampler = radv_DestroySampler,
    .CreateDescriptorSetLayout = radv_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = radv_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = radv_CreateDescriptorPool,
    .DestroyDescriptorPool = radv_DestroyDescriptorPool,
    .ResetDescriptorPool = radv_ResetDescriptorPool,
    .AllocateDescriptorSets = radv_AllocateDescriptorSets,
    .FreeDescriptorSets = radv_FreeDescriptorSets,
    .UpdateDescriptorSets = radv_UpdateDescriptorSets,
    .CreateFramebuffer = radv_CreateFramebuffer,
    .DestroyFramebuffer = radv_DestroyFramebuffer,
    .CreateRenderPass = radv_CreateRenderPass,
    .DestroyRenderPass = radv_DestroyRenderPass,
    .GetRenderAreaGranularity = radv_GetRenderAreaGranularity,
    .CreateCommandPool = radv_CreateCommandPool,
    .DestroyCommandPool = radv_DestroyCommandPool,
    .ResetCommandPool = radv_ResetCommandPool,
    .AllocateCommandBuffers = radv_AllocateCommandBuffers,
    .FreeCommandBuffers = radv_FreeCommandBuffers,
    .BeginCommandBuffer = radv_BeginCommandBuffer,
    .EndCommandBuffer = radv_EndCommandBuffer,
    .ResetCommandBuffer = radv_ResetCommandBuffer,
    .CmdBindPipeline = radv_CmdBindPipeline,
    .CmdSetViewport = radv_CmdSetViewport,
    .CmdSetScissor = radv_CmdSetScissor,
    .CmdSetLineWidth = radv_CmdSetLineWidth,
    .CmdSetDepthBias = radv_CmdSetDepthBias,
    .CmdSetBlendConstants = radv_CmdSetBlendConstants,
    .CmdSetDepthBounds = radv_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = radv_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = radv_CmdSetStencilWriteMask,
    .CmdSetStencilReference = radv_CmdSetStencilReference,
    .CmdBindDescriptorSets = radv_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = radv_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = radv_CmdBindVertexBuffers,
    .CmdDraw = radv_CmdDraw,
    .CmdDrawIndexed = radv_CmdDrawIndexed,
    .CmdDrawMultiEXT = radv_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = radv_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = radv_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = radv_CmdDrawIndexedIndirect,
    .CmdDispatch = radv_CmdDispatch,
    .CmdDispatchIndirect = radv_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = radv_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = radv_CmdCopyBuffer,
    .CmdCopyImage = radv_CmdCopyImage,
    .CmdBlitImage = radv_CmdBlitImage,
    .CmdCopyBufferToImage = radv_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = radv_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = radv_CmdUpdateBuffer,
    .CmdFillBuffer = radv_CmdFillBuffer,
    .CmdClearColorImage = radv_CmdClearColorImage,
    .CmdClearDepthStencilImage = radv_CmdClearDepthStencilImage,
    .CmdClearAttachments = radv_CmdClearAttachments,
    .CmdResolveImage = radv_CmdResolveImage,
    .CmdSetEvent = radv_CmdSetEvent,
    .CmdResetEvent = radv_CmdResetEvent,
    .CmdWaitEvents = radv_CmdWaitEvents,
    .CmdPipelineBarrier = radv_CmdPipelineBarrier,
    .CmdBeginQuery = radv_CmdBeginQuery,
    .CmdEndQuery = radv_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = radv_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = radv_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = radv_CmdResetQueryPool,
    .CmdWriteTimestamp = radv_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = radv_CmdCopyQueryPoolResults,
    .CmdPushConstants = radv_CmdPushConstants,
    .CmdBeginRenderPass = radv_CmdBeginRenderPass,
    .CmdNextSubpass = radv_CmdNextSubpass,
    .CmdEndRenderPass = radv_CmdEndRenderPass,
    .CmdExecuteCommands = radv_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = radv_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = radv_CreateSwapchainKHR,
    .DestroySwapchainKHR = radv_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = radv_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = radv_AcquireNextImageKHR,
    .QueuePresentKHR = radv_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = radv_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = radv_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = radv_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = radv_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = radv_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = radv_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = radv_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = radv_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = radv_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = radv_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = radv_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = radv_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = radv_CmdPushDescriptorSetKHR,
    .TrimCommandPool = radv_TrimCommandPool,
    .TrimCommandPoolKHR = radv_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = radv_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = radv_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = radv_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = radv_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = radv_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = radv_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = radv_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = radv_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = radv_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = radv_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = radv_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = radv_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = radv_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = radv_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = radv_GetFenceFdKHR,
    .ImportFenceFdKHR = radv_ImportFenceFdKHR,
    .DisplayPowerControlEXT = radv_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = radv_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = radv_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = radv_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = radv_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = radv_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = radv_BindBufferMemory2,
    .BindBufferMemory2KHR = radv_BindBufferMemory2KHR,
    .BindImageMemory2 = radv_BindImageMemory2,
    .BindImageMemory2KHR = radv_BindImageMemory2KHR,
    .CmdSetDeviceMask = radv_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = radv_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = radv_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = radv_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = radv_AcquireNextImage2KHR,
    .CmdDispatchBase = radv_CmdDispatchBase,
    .CmdDispatchBaseKHR = radv_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = radv_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = radv_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = radv_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = radv_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = radv_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = radv_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = radv_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = radv_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = radv_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = radv_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = radv_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = radv_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = radv_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = radv_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = radv_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = radv_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = radv_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = radv_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = radv_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = radv_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = radv_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = radv_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = radv_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = radv_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = radv_GetDeviceQueue2,
    .CreateValidationCacheEXT = radv_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = radv_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = radv_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = radv_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = radv_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = radv_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = radv_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = radv_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = radv_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = radv_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = radv_GetShaderInfoAMD,
    .SetLocalDimmingAMD = radv_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = radv_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = radv_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = radv_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = radv_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = radv_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = radv_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = radv_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = radv_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = radv_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = radv_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = radv_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = radv_CreateRenderPass2,
    .CreateRenderPass2KHR = radv_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = radv_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = radv_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = radv_CmdNextSubpass2,
    .CmdNextSubpass2KHR = radv_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = radv_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = radv_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = radv_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = radv_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = radv_WaitSemaphores,
    .WaitSemaphoresKHR = radv_WaitSemaphoresKHR,
    .SignalSemaphore = radv_SignalSemaphore,
    .SignalSemaphoreKHR = radv_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = radv_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = radv_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = radv_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = radv_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = radv_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = radv_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = radv_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = radv_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = radv_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = radv_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = radv_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = radv_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = radv_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = radv_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = radv_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = radv_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = radv_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = radv_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = radv_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = radv_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = radv_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = radv_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = radv_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = radv_CompileDeferredNV,
    .CreateAccelerationStructureNV = radv_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = radv_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = radv_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = radv_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = radv_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = radv_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = radv_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = radv_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = radv_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = radv_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = radv_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = radv_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = radv_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = radv_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = radv_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = radv_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = radv_CmdTraceRaysKHR,
    .CmdTraceRaysNV = radv_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = radv_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = radv_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = radv_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = radv_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = radv_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = radv_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = radv_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = radv_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = radv_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = radv_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = radv_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = radv_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = radv_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = radv_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = radv_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = radv_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = radv_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = radv_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = radv_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = radv_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = radv_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = radv_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = radv_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = radv_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = radv_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = radv_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = radv_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = radv_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = radv_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = radv_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = radv_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = radv_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = radv_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = radv_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = radv_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = radv_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = radv_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = radv_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = radv_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = radv_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = radv_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = radv_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = radv_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = radv_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = radv_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = radv_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = radv_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = radv_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = radv_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = radv_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = radv_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = radv_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = radv_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = radv_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = radv_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = radv_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = radv_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = radv_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = radv_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = radv_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = radv_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = radv_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = radv_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = radv_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = radv_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = radv_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = radv_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = radv_SetPrivateDataEXT,
    .GetPrivateDataEXT = radv_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = radv_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = radv_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = radv_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = radv_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = radv_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = radv_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = radv_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = radv_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = radv_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = radv_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = radv_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = radv_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = radv_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = radv_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = radv_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = radv_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = radv_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = radv_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = radv_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = radv_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = radv_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = radv_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = radv_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = radv_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = radv_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = radv_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = radv_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = radv_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = radv_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = radv_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = radv_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = radv_CreateCuModuleNVX,
    .CreateCuFunctionNVX = radv_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = radv_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = radv_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = radv_CmdCuLaunchKernelNVX,
};
const struct vk_device_entrypoint_table sqtt_device_entrypoints = {
    .GetDeviceProcAddr = sqtt_GetDeviceProcAddr,
    .DestroyDevice = sqtt_DestroyDevice,
    .GetDeviceQueue = sqtt_GetDeviceQueue,
    .QueueSubmit = sqtt_QueueSubmit,
    .QueueWaitIdle = sqtt_QueueWaitIdle,
    .DeviceWaitIdle = sqtt_DeviceWaitIdle,
    .AllocateMemory = sqtt_AllocateMemory,
    .FreeMemory = sqtt_FreeMemory,
    .MapMemory = sqtt_MapMemory,
    .UnmapMemory = sqtt_UnmapMemory,
    .FlushMappedMemoryRanges = sqtt_FlushMappedMemoryRanges,
    .InvalidateMappedMemoryRanges = sqtt_InvalidateMappedMemoryRanges,
    .GetDeviceMemoryCommitment = sqtt_GetDeviceMemoryCommitment,
    .GetBufferMemoryRequirements = sqtt_GetBufferMemoryRequirements,
    .BindBufferMemory = sqtt_BindBufferMemory,
    .GetImageMemoryRequirements = sqtt_GetImageMemoryRequirements,
    .BindImageMemory = sqtt_BindImageMemory,
    .GetImageSparseMemoryRequirements = sqtt_GetImageSparseMemoryRequirements,
    .QueueBindSparse = sqtt_QueueBindSparse,
    .CreateFence = sqtt_CreateFence,
    .DestroyFence = sqtt_DestroyFence,
    .ResetFences = sqtt_ResetFences,
    .GetFenceStatus = sqtt_GetFenceStatus,
    .WaitForFences = sqtt_WaitForFences,
    .CreateSemaphore = sqtt_CreateSemaphore,
    .DestroySemaphore = sqtt_DestroySemaphore,
    .CreateEvent = sqtt_CreateEvent,
    .DestroyEvent = sqtt_DestroyEvent,
    .GetEventStatus = sqtt_GetEventStatus,
    .SetEvent = sqtt_SetEvent,
    .ResetEvent = sqtt_ResetEvent,
    .CreateQueryPool = sqtt_CreateQueryPool,
    .DestroyQueryPool = sqtt_DestroyQueryPool,
    .GetQueryPoolResults = sqtt_GetQueryPoolResults,
    .ResetQueryPool = sqtt_ResetQueryPool,
    .ResetQueryPoolEXT = sqtt_ResetQueryPoolEXT,
    .CreateBuffer = sqtt_CreateBuffer,
    .DestroyBuffer = sqtt_DestroyBuffer,
    .CreateBufferView = sqtt_CreateBufferView,
    .DestroyBufferView = sqtt_DestroyBufferView,
    .CreateImage = sqtt_CreateImage,
    .DestroyImage = sqtt_DestroyImage,
    .GetImageSubresourceLayout = sqtt_GetImageSubresourceLayout,
    .CreateImageView = sqtt_CreateImageView,
    .DestroyImageView = sqtt_DestroyImageView,
    .CreateShaderModule = sqtt_CreateShaderModule,
    .DestroyShaderModule = sqtt_DestroyShaderModule,
    .CreatePipelineCache = sqtt_CreatePipelineCache,
    .DestroyPipelineCache = sqtt_DestroyPipelineCache,
    .GetPipelineCacheData = sqtt_GetPipelineCacheData,
    .MergePipelineCaches = sqtt_MergePipelineCaches,
    .CreateGraphicsPipelines = sqtt_CreateGraphicsPipelines,
    .CreateComputePipelines = sqtt_CreateComputePipelines,
    .DestroyPipeline = sqtt_DestroyPipeline,
    .CreatePipelineLayout = sqtt_CreatePipelineLayout,
    .DestroyPipelineLayout = sqtt_DestroyPipelineLayout,
    .CreateSampler = sqtt_CreateSampler,
    .DestroySampler = sqtt_DestroySampler,
    .CreateDescriptorSetLayout = sqtt_CreateDescriptorSetLayout,
    .DestroyDescriptorSetLayout = sqtt_DestroyDescriptorSetLayout,
    .CreateDescriptorPool = sqtt_CreateDescriptorPool,
    .DestroyDescriptorPool = sqtt_DestroyDescriptorPool,
    .ResetDescriptorPool = sqtt_ResetDescriptorPool,
    .AllocateDescriptorSets = sqtt_AllocateDescriptorSets,
    .FreeDescriptorSets = sqtt_FreeDescriptorSets,
    .UpdateDescriptorSets = sqtt_UpdateDescriptorSets,
    .CreateFramebuffer = sqtt_CreateFramebuffer,
    .DestroyFramebuffer = sqtt_DestroyFramebuffer,
    .CreateRenderPass = sqtt_CreateRenderPass,
    .DestroyRenderPass = sqtt_DestroyRenderPass,
    .GetRenderAreaGranularity = sqtt_GetRenderAreaGranularity,
    .CreateCommandPool = sqtt_CreateCommandPool,
    .DestroyCommandPool = sqtt_DestroyCommandPool,
    .ResetCommandPool = sqtt_ResetCommandPool,
    .AllocateCommandBuffers = sqtt_AllocateCommandBuffers,
    .FreeCommandBuffers = sqtt_FreeCommandBuffers,
    .BeginCommandBuffer = sqtt_BeginCommandBuffer,
    .EndCommandBuffer = sqtt_EndCommandBuffer,
    .ResetCommandBuffer = sqtt_ResetCommandBuffer,
    .CmdBindPipeline = sqtt_CmdBindPipeline,
    .CmdSetViewport = sqtt_CmdSetViewport,
    .CmdSetScissor = sqtt_CmdSetScissor,
    .CmdSetLineWidth = sqtt_CmdSetLineWidth,
    .CmdSetDepthBias = sqtt_CmdSetDepthBias,
    .CmdSetBlendConstants = sqtt_CmdSetBlendConstants,
    .CmdSetDepthBounds = sqtt_CmdSetDepthBounds,
    .CmdSetStencilCompareMask = sqtt_CmdSetStencilCompareMask,
    .CmdSetStencilWriteMask = sqtt_CmdSetStencilWriteMask,
    .CmdSetStencilReference = sqtt_CmdSetStencilReference,
    .CmdBindDescriptorSets = sqtt_CmdBindDescriptorSets,
    .CmdBindIndexBuffer = sqtt_CmdBindIndexBuffer,
    .CmdBindVertexBuffers = sqtt_CmdBindVertexBuffers,
    .CmdDraw = sqtt_CmdDraw,
    .CmdDrawIndexed = sqtt_CmdDrawIndexed,
    .CmdDrawMultiEXT = sqtt_CmdDrawMultiEXT,
    .CmdDrawMultiIndexedEXT = sqtt_CmdDrawMultiIndexedEXT,
    .CmdDrawIndirect = sqtt_CmdDrawIndirect,
    .CmdDrawIndexedIndirect = sqtt_CmdDrawIndexedIndirect,
    .CmdDispatch = sqtt_CmdDispatch,
    .CmdDispatchIndirect = sqtt_CmdDispatchIndirect,
    .CmdSubpassShadingHUAWEI = sqtt_CmdSubpassShadingHUAWEI,
    .CmdCopyBuffer = sqtt_CmdCopyBuffer,
    .CmdCopyImage = sqtt_CmdCopyImage,
    .CmdBlitImage = sqtt_CmdBlitImage,
    .CmdCopyBufferToImage = sqtt_CmdCopyBufferToImage,
    .CmdCopyImageToBuffer = sqtt_CmdCopyImageToBuffer,
    .CmdUpdateBuffer = sqtt_CmdUpdateBuffer,
    .CmdFillBuffer = sqtt_CmdFillBuffer,
    .CmdClearColorImage = sqtt_CmdClearColorImage,
    .CmdClearDepthStencilImage = sqtt_CmdClearDepthStencilImage,
    .CmdClearAttachments = sqtt_CmdClearAttachments,
    .CmdResolveImage = sqtt_CmdResolveImage,
    .CmdSetEvent = sqtt_CmdSetEvent,
    .CmdResetEvent = sqtt_CmdResetEvent,
    .CmdWaitEvents = sqtt_CmdWaitEvents,
    .CmdPipelineBarrier = sqtt_CmdPipelineBarrier,
    .CmdBeginQuery = sqtt_CmdBeginQuery,
    .CmdEndQuery = sqtt_CmdEndQuery,
    .CmdBeginConditionalRenderingEXT = sqtt_CmdBeginConditionalRenderingEXT,
    .CmdEndConditionalRenderingEXT = sqtt_CmdEndConditionalRenderingEXT,
    .CmdResetQueryPool = sqtt_CmdResetQueryPool,
    .CmdWriteTimestamp = sqtt_CmdWriteTimestamp,
    .CmdCopyQueryPoolResults = sqtt_CmdCopyQueryPoolResults,
    .CmdPushConstants = sqtt_CmdPushConstants,
    .CmdBeginRenderPass = sqtt_CmdBeginRenderPass,
    .CmdNextSubpass = sqtt_CmdNextSubpass,
    .CmdEndRenderPass = sqtt_CmdEndRenderPass,
    .CmdExecuteCommands = sqtt_CmdExecuteCommands,
    .CreateSharedSwapchainsKHR = sqtt_CreateSharedSwapchainsKHR,
    .CreateSwapchainKHR = sqtt_CreateSwapchainKHR,
    .DestroySwapchainKHR = sqtt_DestroySwapchainKHR,
    .GetSwapchainImagesKHR = sqtt_GetSwapchainImagesKHR,
    .AcquireNextImageKHR = sqtt_AcquireNextImageKHR,
    .QueuePresentKHR = sqtt_QueuePresentKHR,
    .DebugMarkerSetObjectNameEXT = sqtt_DebugMarkerSetObjectNameEXT,
    .DebugMarkerSetObjectTagEXT = sqtt_DebugMarkerSetObjectTagEXT,
    .CmdDebugMarkerBeginEXT = sqtt_CmdDebugMarkerBeginEXT,
    .CmdDebugMarkerEndEXT = sqtt_CmdDebugMarkerEndEXT,
    .CmdDebugMarkerInsertEXT = sqtt_CmdDebugMarkerInsertEXT,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleNV = sqtt_GetMemoryWin32HandleNV,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .CmdExecuteGeneratedCommandsNV = sqtt_CmdExecuteGeneratedCommandsNV,
    .CmdPreprocessGeneratedCommandsNV = sqtt_CmdPreprocessGeneratedCommandsNV,
    .CmdBindPipelineShaderGroupNV = sqtt_CmdBindPipelineShaderGroupNV,
    .GetGeneratedCommandsMemoryRequirementsNV = sqtt_GetGeneratedCommandsMemoryRequirementsNV,
    .CreateIndirectCommandsLayoutNV = sqtt_CreateIndirectCommandsLayoutNV,
    .DestroyIndirectCommandsLayoutNV = sqtt_DestroyIndirectCommandsLayoutNV,
    .CmdPushDescriptorSetKHR = sqtt_CmdPushDescriptorSetKHR,
    .TrimCommandPool = sqtt_TrimCommandPool,
    .TrimCommandPoolKHR = sqtt_TrimCommandPoolKHR,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandleKHR = sqtt_GetMemoryWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryWin32HandlePropertiesKHR = sqtt_GetMemoryWin32HandlePropertiesKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetMemoryFdKHR = sqtt_GetMemoryFdKHR,
    .GetMemoryFdPropertiesKHR = sqtt_GetMemoryFdPropertiesKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandleFUCHSIA = sqtt_GetMemoryZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetMemoryZirconHandlePropertiesFUCHSIA = sqtt_GetMemoryZirconHandlePropertiesFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreWin32HandleKHR = sqtt_GetSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportSemaphoreWin32HandleKHR = sqtt_ImportSemaphoreWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetSemaphoreFdKHR = sqtt_GetSemaphoreFdKHR,
    .ImportSemaphoreFdKHR = sqtt_ImportSemaphoreFdKHR,
#ifdef VK_USE_PLATFORM_FUCHSIA
    .GetSemaphoreZirconHandleFUCHSIA = sqtt_GetSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_FUCHSIA
    .ImportSemaphoreZirconHandleFUCHSIA = sqtt_ImportSemaphoreZirconHandleFUCHSIA,
#endif // VK_USE_PLATFORM_FUCHSIA
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetFenceWin32HandleKHR = sqtt_GetFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ImportFenceWin32HandleKHR = sqtt_ImportFenceWin32HandleKHR,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .GetFenceFdKHR = sqtt_GetFenceFdKHR,
    .ImportFenceFdKHR = sqtt_ImportFenceFdKHR,
    .DisplayPowerControlEXT = sqtt_DisplayPowerControlEXT,
    .RegisterDeviceEventEXT = sqtt_RegisterDeviceEventEXT,
    .RegisterDisplayEventEXT = sqtt_RegisterDisplayEventEXT,
    .GetSwapchainCounterEXT = sqtt_GetSwapchainCounterEXT,
    .GetDeviceGroupPeerMemoryFeatures = sqtt_GetDeviceGroupPeerMemoryFeatures,
    .GetDeviceGroupPeerMemoryFeaturesKHR = sqtt_GetDeviceGroupPeerMemoryFeaturesKHR,
    .BindBufferMemory2 = sqtt_BindBufferMemory2,
    .BindBufferMemory2KHR = sqtt_BindBufferMemory2KHR,
    .BindImageMemory2 = sqtt_BindImageMemory2,
    .BindImageMemory2KHR = sqtt_BindImageMemory2KHR,
    .CmdSetDeviceMask = sqtt_CmdSetDeviceMask,
    .CmdSetDeviceMaskKHR = sqtt_CmdSetDeviceMaskKHR,
    .GetDeviceGroupPresentCapabilitiesKHR = sqtt_GetDeviceGroupPresentCapabilitiesKHR,
    .GetDeviceGroupSurfacePresentModesKHR = sqtt_GetDeviceGroupSurfacePresentModesKHR,
    .AcquireNextImage2KHR = sqtt_AcquireNextImage2KHR,
    .CmdDispatchBase = sqtt_CmdDispatchBase,
    .CmdDispatchBaseKHR = sqtt_CmdDispatchBaseKHR,
    .CreateDescriptorUpdateTemplate = sqtt_CreateDescriptorUpdateTemplate,
    .CreateDescriptorUpdateTemplateKHR = sqtt_CreateDescriptorUpdateTemplateKHR,
    .DestroyDescriptorUpdateTemplate = sqtt_DestroyDescriptorUpdateTemplate,
    .DestroyDescriptorUpdateTemplateKHR = sqtt_DestroyDescriptorUpdateTemplateKHR,
    .UpdateDescriptorSetWithTemplate = sqtt_UpdateDescriptorSetWithTemplate,
    .UpdateDescriptorSetWithTemplateKHR = sqtt_UpdateDescriptorSetWithTemplateKHR,
    .CmdPushDescriptorSetWithTemplateKHR = sqtt_CmdPushDescriptorSetWithTemplateKHR,
    .SetHdrMetadataEXT = sqtt_SetHdrMetadataEXT,
    .GetSwapchainStatusKHR = sqtt_GetSwapchainStatusKHR,
    .GetRefreshCycleDurationGOOGLE = sqtt_GetRefreshCycleDurationGOOGLE,
    .GetPastPresentationTimingGOOGLE = sqtt_GetPastPresentationTimingGOOGLE,
    .CmdSetViewportWScalingNV = sqtt_CmdSetViewportWScalingNV,
    .CmdSetDiscardRectangleEXT = sqtt_CmdSetDiscardRectangleEXT,
    .CmdSetSampleLocationsEXT = sqtt_CmdSetSampleLocationsEXT,
    .GetBufferMemoryRequirements2 = sqtt_GetBufferMemoryRequirements2,
    .GetBufferMemoryRequirements2KHR = sqtt_GetBufferMemoryRequirements2KHR,
    .GetImageMemoryRequirements2 = sqtt_GetImageMemoryRequirements2,
    .GetImageMemoryRequirements2KHR = sqtt_GetImageMemoryRequirements2KHR,
    .GetImageSparseMemoryRequirements2 = sqtt_GetImageSparseMemoryRequirements2,
    .GetImageSparseMemoryRequirements2KHR = sqtt_GetImageSparseMemoryRequirements2KHR,
    .CreateSamplerYcbcrConversion = sqtt_CreateSamplerYcbcrConversion,
    .CreateSamplerYcbcrConversionKHR = sqtt_CreateSamplerYcbcrConversionKHR,
    .DestroySamplerYcbcrConversion = sqtt_DestroySamplerYcbcrConversion,
    .DestroySamplerYcbcrConversionKHR = sqtt_DestroySamplerYcbcrConversionKHR,
    .GetDeviceQueue2 = sqtt_GetDeviceQueue2,
    .CreateValidationCacheEXT = sqtt_CreateValidationCacheEXT,
    .DestroyValidationCacheEXT = sqtt_DestroyValidationCacheEXT,
    .GetValidationCacheDataEXT = sqtt_GetValidationCacheDataEXT,
    .MergeValidationCachesEXT = sqtt_MergeValidationCachesEXT,
    .GetDescriptorSetLayoutSupport = sqtt_GetDescriptorSetLayoutSupport,
    .GetDescriptorSetLayoutSupportKHR = sqtt_GetDescriptorSetLayoutSupportKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsageANDROID = sqtt_GetSwapchainGrallocUsageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetSwapchainGrallocUsage2ANDROID = sqtt_GetSwapchainGrallocUsage2ANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .AcquireImageANDROID = sqtt_AcquireImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .QueueSignalReleaseImageANDROID = sqtt_QueueSignalReleaseImageANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .GetShaderInfoAMD = sqtt_GetShaderInfoAMD,
    .SetLocalDimmingAMD = sqtt_SetLocalDimmingAMD,
    .GetCalibratedTimestampsEXT = sqtt_GetCalibratedTimestampsEXT,
    .SetDebugUtilsObjectNameEXT = sqtt_SetDebugUtilsObjectNameEXT,
    .SetDebugUtilsObjectTagEXT = sqtt_SetDebugUtilsObjectTagEXT,
    .QueueBeginDebugUtilsLabelEXT = sqtt_QueueBeginDebugUtilsLabelEXT,
    .QueueEndDebugUtilsLabelEXT = sqtt_QueueEndDebugUtilsLabelEXT,
    .QueueInsertDebugUtilsLabelEXT = sqtt_QueueInsertDebugUtilsLabelEXT,
    .CmdBeginDebugUtilsLabelEXT = sqtt_CmdBeginDebugUtilsLabelEXT,
    .CmdEndDebugUtilsLabelEXT = sqtt_CmdEndDebugUtilsLabelEXT,
    .CmdInsertDebugUtilsLabelEXT = sqtt_CmdInsertDebugUtilsLabelEXT,
    .GetMemoryHostPointerPropertiesEXT = sqtt_GetMemoryHostPointerPropertiesEXT,
    .CmdWriteBufferMarkerAMD = sqtt_CmdWriteBufferMarkerAMD,
    .CreateRenderPass2 = sqtt_CreateRenderPass2,
    .CreateRenderPass2KHR = sqtt_CreateRenderPass2KHR,
    .CmdBeginRenderPass2 = sqtt_CmdBeginRenderPass2,
    .CmdBeginRenderPass2KHR = sqtt_CmdBeginRenderPass2KHR,
    .CmdNextSubpass2 = sqtt_CmdNextSubpass2,
    .CmdNextSubpass2KHR = sqtt_CmdNextSubpass2KHR,
    .CmdEndRenderPass2 = sqtt_CmdEndRenderPass2,
    .CmdEndRenderPass2KHR = sqtt_CmdEndRenderPass2KHR,
    .GetSemaphoreCounterValue = sqtt_GetSemaphoreCounterValue,
    .GetSemaphoreCounterValueKHR = sqtt_GetSemaphoreCounterValueKHR,
    .WaitSemaphores = sqtt_WaitSemaphores,
    .WaitSemaphoresKHR = sqtt_WaitSemaphoresKHR,
    .SignalSemaphore = sqtt_SignalSemaphore,
    .SignalSemaphoreKHR = sqtt_SignalSemaphoreKHR,
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetAndroidHardwareBufferPropertiesANDROID = sqtt_GetAndroidHardwareBufferPropertiesANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
#ifdef VK_USE_PLATFORM_ANDROID_KHR
    .GetMemoryAndroidHardwareBufferANDROID = sqtt_GetMemoryAndroidHardwareBufferANDROID,
#endif // VK_USE_PLATFORM_ANDROID_KHR
    .CmdDrawIndirectCount = sqtt_CmdDrawIndirectCount,
    .CmdDrawIndirectCountKHR = sqtt_CmdDrawIndirectCountKHR,
    .CmdDrawIndirectCountAMD = sqtt_CmdDrawIndirectCountAMD,
    .CmdDrawIndexedIndirectCount = sqtt_CmdDrawIndexedIndirectCount,
    .CmdDrawIndexedIndirectCountKHR = sqtt_CmdDrawIndexedIndirectCountKHR,
    .CmdDrawIndexedIndirectCountAMD = sqtt_CmdDrawIndexedIndirectCountAMD,
    .CmdSetCheckpointNV = sqtt_CmdSetCheckpointNV,
    .GetQueueCheckpointDataNV = sqtt_GetQueueCheckpointDataNV,
    .CmdBindTransformFeedbackBuffersEXT = sqtt_CmdBindTransformFeedbackBuffersEXT,
    .CmdBeginTransformFeedbackEXT = sqtt_CmdBeginTransformFeedbackEXT,
    .CmdEndTransformFeedbackEXT = sqtt_CmdEndTransformFeedbackEXT,
    .CmdBeginQueryIndexedEXT = sqtt_CmdBeginQueryIndexedEXT,
    .CmdEndQueryIndexedEXT = sqtt_CmdEndQueryIndexedEXT,
    .CmdDrawIndirectByteCountEXT = sqtt_CmdDrawIndirectByteCountEXT,
    .CmdSetExclusiveScissorNV = sqtt_CmdSetExclusiveScissorNV,
    .CmdBindShadingRateImageNV = sqtt_CmdBindShadingRateImageNV,
    .CmdSetViewportShadingRatePaletteNV = sqtt_CmdSetViewportShadingRatePaletteNV,
    .CmdSetCoarseSampleOrderNV = sqtt_CmdSetCoarseSampleOrderNV,
    .CmdDrawMeshTasksNV = sqtt_CmdDrawMeshTasksNV,
    .CmdDrawMeshTasksIndirectNV = sqtt_CmdDrawMeshTasksIndirectNV,
    .CmdDrawMeshTasksIndirectCountNV = sqtt_CmdDrawMeshTasksIndirectCountNV,
    .CompileDeferredNV = sqtt_CompileDeferredNV,
    .CreateAccelerationStructureNV = sqtt_CreateAccelerationStructureNV,
    .DestroyAccelerationStructureKHR = sqtt_DestroyAccelerationStructureKHR,
    .DestroyAccelerationStructureNV = sqtt_DestroyAccelerationStructureNV,
    .GetAccelerationStructureMemoryRequirementsNV = sqtt_GetAccelerationStructureMemoryRequirementsNV,
    .BindAccelerationStructureMemoryNV = sqtt_BindAccelerationStructureMemoryNV,
    .CmdCopyAccelerationStructureNV = sqtt_CmdCopyAccelerationStructureNV,
    .CmdCopyAccelerationStructureKHR = sqtt_CmdCopyAccelerationStructureKHR,
    .CopyAccelerationStructureKHR = sqtt_CopyAccelerationStructureKHR,
    .CmdCopyAccelerationStructureToMemoryKHR = sqtt_CmdCopyAccelerationStructureToMemoryKHR,
    .CopyAccelerationStructureToMemoryKHR = sqtt_CopyAccelerationStructureToMemoryKHR,
    .CmdCopyMemoryToAccelerationStructureKHR = sqtt_CmdCopyMemoryToAccelerationStructureKHR,
    .CopyMemoryToAccelerationStructureKHR = sqtt_CopyMemoryToAccelerationStructureKHR,
    .CmdWriteAccelerationStructuresPropertiesKHR = sqtt_CmdWriteAccelerationStructuresPropertiesKHR,
    .CmdWriteAccelerationStructuresPropertiesNV = sqtt_CmdWriteAccelerationStructuresPropertiesNV,
    .CmdBuildAccelerationStructureNV = sqtt_CmdBuildAccelerationStructureNV,
    .WriteAccelerationStructuresPropertiesKHR = sqtt_WriteAccelerationStructuresPropertiesKHR,
    .CmdTraceRaysKHR = sqtt_CmdTraceRaysKHR,
    .CmdTraceRaysNV = sqtt_CmdTraceRaysNV,
    .GetRayTracingShaderGroupHandlesKHR = sqtt_GetRayTracingShaderGroupHandlesKHR,
    .GetRayTracingShaderGroupHandlesNV = sqtt_GetRayTracingShaderGroupHandlesNV,
    .GetRayTracingCaptureReplayShaderGroupHandlesKHR = sqtt_GetRayTracingCaptureReplayShaderGroupHandlesKHR,
    .GetAccelerationStructureHandleNV = sqtt_GetAccelerationStructureHandleNV,
    .CreateRayTracingPipelinesNV = sqtt_CreateRayTracingPipelinesNV,
    .CreateRayTracingPipelinesKHR = sqtt_CreateRayTracingPipelinesKHR,
    .CmdTraceRaysIndirectKHR = sqtt_CmdTraceRaysIndirectKHR,
    .GetDeviceAccelerationStructureCompatibilityKHR = sqtt_GetDeviceAccelerationStructureCompatibilityKHR,
    .GetRayTracingShaderGroupStackSizeKHR = sqtt_GetRayTracingShaderGroupStackSizeKHR,
    .CmdSetRayTracingPipelineStackSizeKHR = sqtt_CmdSetRayTracingPipelineStackSizeKHR,
    .GetImageViewHandleNVX = sqtt_GetImageViewHandleNVX,
    .GetImageViewAddressNVX = sqtt_GetImageViewAddressNVX,
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .GetDeviceGroupSurfacePresentModes2EXT = sqtt_GetDeviceGroupSurfacePresentModes2EXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .AcquireFullScreenExclusiveModeEXT = sqtt_AcquireFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
#ifdef VK_USE_PLATFORM_WIN32_KHR
    .ReleaseFullScreenExclusiveModeEXT = sqtt_ReleaseFullScreenExclusiveModeEXT,
#endif // VK_USE_PLATFORM_WIN32_KHR
    .AcquireProfilingLockKHR = sqtt_AcquireProfilingLockKHR,
    .ReleaseProfilingLockKHR = sqtt_ReleaseProfilingLockKHR,
    .GetImageDrmFormatModifierPropertiesEXT = sqtt_GetImageDrmFormatModifierPropertiesEXT,
    .GetBufferOpaqueCaptureAddress = sqtt_GetBufferOpaqueCaptureAddress,
    .GetBufferOpaqueCaptureAddressKHR = sqtt_GetBufferOpaqueCaptureAddressKHR,
    .GetBufferDeviceAddress = sqtt_GetBufferDeviceAddress,
    .GetBufferDeviceAddressKHR = sqtt_GetBufferDeviceAddressKHR,
    .GetBufferDeviceAddressEXT = sqtt_GetBufferDeviceAddressEXT,
    .InitializePerformanceApiINTEL = sqtt_InitializePerformanceApiINTEL,
    .UninitializePerformanceApiINTEL = sqtt_UninitializePerformanceApiINTEL,
    .CmdSetPerformanceMarkerINTEL = sqtt_CmdSetPerformanceMarkerINTEL,
    .CmdSetPerformanceStreamMarkerINTEL = sqtt_CmdSetPerformanceStreamMarkerINTEL,
    .CmdSetPerformanceOverrideINTEL = sqtt_CmdSetPerformanceOverrideINTEL,
    .AcquirePerformanceConfigurationINTEL = sqtt_AcquirePerformanceConfigurationINTEL,
    .ReleasePerformanceConfigurationINTEL = sqtt_ReleasePerformanceConfigurationINTEL,
    .QueueSetPerformanceConfigurationINTEL = sqtt_QueueSetPerformanceConfigurationINTEL,
    .GetPerformanceParameterINTEL = sqtt_GetPerformanceParameterINTEL,
    .GetDeviceMemoryOpaqueCaptureAddress = sqtt_GetDeviceMemoryOpaqueCaptureAddress,
    .GetDeviceMemoryOpaqueCaptureAddressKHR = sqtt_GetDeviceMemoryOpaqueCaptureAddressKHR,
    .GetPipelineExecutablePropertiesKHR = sqtt_GetPipelineExecutablePropertiesKHR,
    .GetPipelineExecutableStatisticsKHR = sqtt_GetPipelineExecutableStatisticsKHR,
    .GetPipelineExecutableInternalRepresentationsKHR = sqtt_GetPipelineExecutableInternalRepresentationsKHR,
    .CmdSetLineStippleEXT = sqtt_CmdSetLineStippleEXT,
    .CreateAccelerationStructureKHR = sqtt_CreateAccelerationStructureKHR,
    .CmdBuildAccelerationStructuresKHR = sqtt_CmdBuildAccelerationStructuresKHR,
    .CmdBuildAccelerationStructuresIndirectKHR = sqtt_CmdBuildAccelerationStructuresIndirectKHR,
    .BuildAccelerationStructuresKHR = sqtt_BuildAccelerationStructuresKHR,
    .GetAccelerationStructureDeviceAddressKHR = sqtt_GetAccelerationStructureDeviceAddressKHR,
    .CreateDeferredOperationKHR = sqtt_CreateDeferredOperationKHR,
    .DestroyDeferredOperationKHR = sqtt_DestroyDeferredOperationKHR,
    .GetDeferredOperationMaxConcurrencyKHR = sqtt_GetDeferredOperationMaxConcurrencyKHR,
    .GetDeferredOperationResultKHR = sqtt_GetDeferredOperationResultKHR,
    .DeferredOperationJoinKHR = sqtt_DeferredOperationJoinKHR,
    .CmdSetCullModeEXT = sqtt_CmdSetCullModeEXT,
    .CmdSetFrontFaceEXT = sqtt_CmdSetFrontFaceEXT,
    .CmdSetPrimitiveTopologyEXT = sqtt_CmdSetPrimitiveTopologyEXT,
    .CmdSetViewportWithCountEXT = sqtt_CmdSetViewportWithCountEXT,
    .CmdSetScissorWithCountEXT = sqtt_CmdSetScissorWithCountEXT,
    .CmdBindVertexBuffers2EXT = sqtt_CmdBindVertexBuffers2EXT,
    .CmdSetDepthTestEnableEXT = sqtt_CmdSetDepthTestEnableEXT,
    .CmdSetDepthWriteEnableEXT = sqtt_CmdSetDepthWriteEnableEXT,
    .CmdSetDepthCompareOpEXT = sqtt_CmdSetDepthCompareOpEXT,
    .CmdSetDepthBoundsTestEnableEXT = sqtt_CmdSetDepthBoundsTestEnableEXT,
    .CmdSetStencilTestEnableEXT = sqtt_CmdSetStencilTestEnableEXT,
    .CmdSetStencilOpEXT = sqtt_CmdSetStencilOpEXT,
    .CmdSetPatchControlPointsEXT = sqtt_CmdSetPatchControlPointsEXT,
    .CmdSetRasterizerDiscardEnableEXT = sqtt_CmdSetRasterizerDiscardEnableEXT,
    .CmdSetDepthBiasEnableEXT = sqtt_CmdSetDepthBiasEnableEXT,
    .CmdSetLogicOpEXT = sqtt_CmdSetLogicOpEXT,
    .CmdSetPrimitiveRestartEnableEXT = sqtt_CmdSetPrimitiveRestartEnableEXT,
    .CreatePrivateDataSlotEXT = sqtt_CreatePrivateDataSlotEXT,
    .DestroyPrivateDataSlotEXT = sqtt_DestroyPrivateDataSlotEXT,
    .SetPrivateDataEXT = sqtt_SetPrivateDataEXT,
    .GetPrivateDataEXT = sqtt_GetPrivateDataEXT,
    .CmdCopyBuffer2KHR = sqtt_CmdCopyBuffer2KHR,
    .CmdCopyImage2KHR = sqtt_CmdCopyImage2KHR,
    .CmdBlitImage2KHR = sqtt_CmdBlitImage2KHR,
    .CmdCopyBufferToImage2KHR = sqtt_CmdCopyBufferToImage2KHR,
    .CmdCopyImageToBuffer2KHR = sqtt_CmdCopyImageToBuffer2KHR,
    .CmdResolveImage2KHR = sqtt_CmdResolveImage2KHR,
    .CmdSetFragmentShadingRateKHR = sqtt_CmdSetFragmentShadingRateKHR,
    .CmdSetFragmentShadingRateEnumNV = sqtt_CmdSetFragmentShadingRateEnumNV,
    .GetAccelerationStructureBuildSizesKHR = sqtt_GetAccelerationStructureBuildSizesKHR,
    .CmdSetVertexInputEXT = sqtt_CmdSetVertexInputEXT,
    .CmdSetColorWriteEnableEXT = sqtt_CmdSetColorWriteEnableEXT,
    .CmdSetEvent2KHR = sqtt_CmdSetEvent2KHR,
    .CmdResetEvent2KHR = sqtt_CmdResetEvent2KHR,
    .CmdWaitEvents2KHR = sqtt_CmdWaitEvents2KHR,
    .CmdPipelineBarrier2KHR = sqtt_CmdPipelineBarrier2KHR,
    .QueueSubmit2KHR = sqtt_QueueSubmit2KHR,
    .CmdWriteTimestamp2KHR = sqtt_CmdWriteTimestamp2KHR,
    .CmdWriteBufferMarker2AMD = sqtt_CmdWriteBufferMarker2AMD,
    .GetQueueCheckpointData2NV = sqtt_GetQueueCheckpointData2NV,
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionKHR = sqtt_CreateVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionKHR = sqtt_DestroyVideoSessionKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CreateVideoSessionParametersKHR = sqtt_CreateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .UpdateVideoSessionParametersKHR = sqtt_UpdateVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .DestroyVideoSessionParametersKHR = sqtt_DestroyVideoSessionParametersKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .GetVideoSessionMemoryRequirementsKHR = sqtt_GetVideoSessionMemoryRequirementsKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .BindVideoSessionMemoryKHR = sqtt_BindVideoSessionMemoryKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdDecodeVideoKHR = sqtt_CmdDecodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdBeginVideoCodingKHR = sqtt_CmdBeginVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdControlVideoCodingKHR = sqtt_CmdControlVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEndVideoCodingKHR = sqtt_CmdEndVideoCodingKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
#ifdef VK_ENABLE_BETA_EXTENSIONS
    .CmdEncodeVideoKHR = sqtt_CmdEncodeVideoKHR,
#endif // VK_ENABLE_BETA_EXTENSIONS
    .CreateCuModuleNVX = sqtt_CreateCuModuleNVX,
    .CreateCuFunctionNVX = sqtt_CreateCuFunctionNVX,
    .DestroyCuModuleNVX = sqtt_DestroyCuModuleNVX,
    .DestroyCuFunctionNVX = sqtt_DestroyCuFunctionNVX,
    .CmdCuLaunchKernelNVX = sqtt_CmdCuLaunchKernelNVX,
};

